Objets Microsoft Office

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

Légende

Objet et collection
Objet uniquement


Nouveaux événements

Le modèle d'objet Visual Basic Microsoft Office a subi des modifications importantes visant à prendre en charge des fonctionnalités nouvelles et améliorées dans des composants partagés. De nombreux objets, propriétés, méthodes et événements ont été ajoutés.

Visitez le centre Office Developer Center sur le site de MSDN en ligne pour obtenir les dernières informations relatives au développement de Microsoft Office, telles que de nouveaux articles techniques, des programmes à télécharger, des démonstrations, des informations sur les produits, etc.

Nouveaux éléments relatifs aux langues

Les rubriques ci-dessous fournissent des listes d'éléments linguistiques qui sont des nouveautés de Office :

Nouveaux objets

Nouvelles propriétés (par objet)

Nouvelles propriétés (liste alphabétique)

Nouvelles méthodes

Nouveaux événements


Nouveaux objets

Visitez le centre Office Developer Center sur le site MSDN en ligne pour obtenir les dernières informations relatives au développement de Microsoft Office, telles que de nouveaux articles techniques, des programmes à télécharger, des démonstrations, des informations sur les produits, etc.

Les objets ajoutés à Visual Basic dans Microsoft Office sont répertoriés dans le tableau ci-dessous.

Objets
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


Nouveaux événements

Les nouveaux événements de Microsoft Office sont répertoriés dans le tableau ci-dessous.

Événements
EnvelopeHide
EnvelopeShow


Nouvelles méthodes

Les méthodes qui ont été ajoutées aux objets existants dans Microsoft Office sont répertoriées dans le tableau suivant, triées par objet.

Objets Méthodes
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


Nouvelles propriétés (liste alphabétique)

Les propriétés qui ont été ajoutées aux objets existants dans Microsoft Office sont répertoriées dans le tableau ci-dessous (par ordre alphabétique).

Propriétés
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


Nouvelles propriétés (par objet)

Les propriétés qui ont été ajoutées aux objets existants dans Microsoft Office sont répertoriées dans le tableau ci-dessous (par ordre alphabétique des noms d'objets).

Objets | Propriétés
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Vue d'ensemble du Compagnon Office

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Le Compagnon Office, l'info-bulle du Compagnon Office ainsi que tous les éléments sont contrôlés par programmation via les objets, propriétés et méthodes de l'objet Assistant.

L'illustration suivante montre le Compagnon Office, l'info-bulle du Compagnon Office et tous les objets programmables de l'info-bulle.

Le Compagnon Office, un objet Balloon et les éléments programmables de l'info-bulle

Pour plus d'informations sur la façon d'apporter des modifications au Compagnon Office au moment de la conception et de l'exécution, consultez les rubriques suivantes :

Utiliser le Compagnon Office

Créer et modifier des info-bulles

Apporter des modification aux info-bulles au moment de l'exécution


Vue d'ensemble des barres de commandes

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Dans Microsoft Office, les barres d'outils, les barres de menus et les menus contextuels sont contrôlés par programmation comme un type d'objet : les barres de commandes. Tous les éléments suivants sont représentés dans Visual Basic pour Applications par les objets CommandBar :

  • Barres de menus, barres d'outils et menus contextuels
  • Menus dans les barres de menus et les barres d'outils
  • Sous-menus dans les menus, sous-menus et menus contextuels

Vous pouvez modifier toute barre de menus ou barre d'outils prédéfinie, et vous pouvez créer et modifier des barres d'outils, des barres de menus et des menus contextuels personnalisés pour votre application Visual Basic. Vous présentez les fonctionnalités de votre application sous forme de boutons individuels dans des barres d'outils ou sous forme de groupes de noms de commandes dans des menus. Étant donné que les barres d'outils et les menus sont des barres de commandes, vous utilisez le même type de contrôles pour les deux. Par exemple, la barre d'outils ancrée de l'illustration suivante contient trois boutons.

Barre d'outils ancrée contenant trois boutons

Le menu présenté dans l'illustration suivante contient les trois commandes montrées dans l'illustration précédente, mais ici elles sont affichées en tant qu'éléments de menu.

Menu contenant trois éléments de menu

Dans Microsoft Office, les barres de menus et les barres d'outils peuvent toutes deux contenir des menus. La barre d'outils flottante présentée dans l'illustration suivante contient trois boutons, ainsi qu'un menu avec les trois mêmes commandes affichées en tant qu'éléments de menu.

Barre d'outils flottante contenant trois boutons et un menu avec trois éléments de menu

Dans Visual Basic, les boutons et les éléments de menu sont représentés par des objets CommandBarButton. Les menus contextuels qui affichent les menus et les sous-menus sont représentés par les objets CommandBarPopup. Dans l'illustration suivante, le contrôle appelé « Menu » et le contrôle appelé « Sous-menu » sont des menus contextuels qui affichent respectivement un menu et un sous-menu. Le menu et le sous-menu sont des objets CommandBar uniques avec leur propre jeu de contrôles.

Menus contextuels affichant un menu et un sous-menu

Dans Microsoft Office, vous pouvez également ajouter des zones de texte, des zones de listes déroulantes et des zones modifiables pour n'importe quelle barre de commandes. Ces trois types de contrôles sont tous représentés dans Visual Basic par des objets CommandBarComboBox.

Notes Bien qu'ils aient le même aspect et les mêmes comportements, les contrôles de barres de commandes et les contrôles ActiveX ne sont pas identiques. Vous ne pouvez pas ajouter des contrôles ActiveX à des barres de commandes, et vous ne pouvez pas non plus ajouter des contrôles de barres de commandes à des documents et des formulaires.

Les contrôles de barres de commandes prédéfinis dans les applications conteneur sont également représentés dans Visual Basic par les objets CommandBarButton, CommandBarPopup et CommandBarComboBox, même si leur aspect et leurs comportements peuvent être plus complexes que les contrôles que vous ajoutez vous-même. Même si vous pouvez modifier l'emplacement et l'aspect de contrôles prédéfinis, vous ne pouvez pas modifier leur comportement prédéfini. Cependant, vous pouvez affecter une macro personnalisée à n'importe quel contrôle prédéfini pour remplacer son comportement.


Utiliser des barres de commandes

En règle générale, pour créer ou modifier des barres d'outils, des barres de menus et des menus contextuels que vous voulez transmettre avec votre application Visual Basic, vous devez utiliser les fonctionnalités de personnalisation de votre application conteneur. Les modifications apportées aux barres d'outils, barres de menus et menus contextuels à l'aide de ces fonctionnalités sont connues sous le nom de modifications « au moment de la conception ». Pour plus d'informations sur l'utilisation de l'application conteneur en vue de modifications au moment de la conception, consultez l'aide en ligne relative à cette application.

Vous pouvez ajouter et modifier des barres d'outils, des barres de menus et des menus contextuels (et leurs composants) à l'aide de la partie CommandBars du modèle d'objet de Microsoft Office dans le code Visual Basic. Vous pouvez écrire du code qui s'exécute une fois pour créer des barres d'outils et des barres de menus ; en effet, le code simule le fait d'apporter des modifications au moment de la conception. Cependant, dans certaines applications conteneur, il est possible que vous soyez invité à utiliser une combinaison de ce type de code Visual Basic et l'interface de personnalisation pour créer votre application Visual Basic. Voici quelques zones communes dans lesquelles vous devez utiliser une combinaison de code et l'interface de l'application conteneur :

  • Si votre application conteneur ne fournit pas une interface pour ajouter ou modifier des zones de listes modifiables, des zones de listes déroulantes ou des zones modifiables dans des barres d'outils, vous devez utiliser le code Visual Basic pour ajouter et créer un de ces contrôles.
  • Si votre application conteneur fournit une interface pour créer des barres d'outils mais n'en fournit pas pour créer une barre de menus, vous devrez créer une barre de menus à l'aide de Visual Basic. Après avoir créé la barre de menus dans Visual Basic, vous pouvez créer des menus dans cette barre à l'aide de l'interface de l'application conteneur.
  • Si votre application conteneur ne fournit pas un moyen d'afficher des menus contextuels personnalisés alors que l'interface de personnalisation est affichée, vous devez utiliser le code Visual Basic pour modifier ces menus contextuels.

Vous pouvez également écrire du code qui existe dans votre application Visual Basic pour apporter des modifications aux barres d'outils et aux barres de menus pendant l'exécution de votre application (par exemple, vous pouvez écrire du code pour désactiver une commande dans une barre de menus sous certaines conditions, ou pour ajouter des boutons à une barre d'outils en réponse aux actions des utilisateurs). Les modifications apportées par votre code pendant l'exécution de votre application Visual Basic sont connues sous le nom de modifications « au moment de l'exécution ».

Les rubriques suivantes fournissent des informations sur le moyen d'apporter des modifications aux barres d'outils et aux barres de menus au moment de la conception et de l'exécution à partir de votre code Visual Basic.

Ajouter et modifier des barres d'outils

Ajouter et gérer des barres de menus et des éléments de menu

Ajouter et afficher des menus contextuels

Note Le volet Office est un type d'objet CommandBar qui peut être référencé comme suit :

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
Cependant, de nombreuses méthodes et propriétés de barres de commandes, lorsqu'elles sont appliquées au volet Office, ne se comportent pas de la même manière qu'un objet CommandBar normal. Par exemple, les méthodes Delete et ShowPopup n'ont aucun effet, et ne changent pas la valeur des propriétés AdaptiveMenu, Context, Name, NameLocal ou Protection.


Ajouter et modifier des barres d'outils

Toutes les applications hôtes disposent d'une interface importante pour l'ajout et la conception de barres d'outils personnalisées (ajout de boutons prédéfinis, ajout de macros comme boutons, ajout même de menus contextuels aux barres d'outils). Les modifications que vous apporterez au moment de la conception à partir du code Visual basic sont celles qui permettent d'ajouter ou de modifier les zones de listes modifiables. Autrement, l'utilisation des barres d'outils dans le code est limité presque totalement aux modifications au moment de l'exécution (modifier l'état, l'aspect, l'action du bouton et ainsi de suite).

Modifier les barres d'outils au moment de l'exécution

Vous pouvez apporter plusieurs modifications à une barre d'outils au moment de l'exécution. Une de ces modifications consiste à changer l'état d'un bouton de barre de commandes dans la barre d'outils. Chaque bouton présente deux états actifs : appuyé (True) et non appuyé (False). Pour modifier l'état d'un bouton, utilisez la constante appropriée pour la propriété State, en suivant l'explication donnée dans le tableau situé plus bas dans cette rubrique.

Vous pouvez apporter une autre modification au moment de l'exécution qui consiste à modifier l'aspect ou l'action d'un bouton. Pour modifier l'aspect d'un bouton sans modifier son action, utilisez les méthodes CopyFace et PasteFace. Ces méthodes sont utiles si vous souhaitez copier l'image d'un bouton spécifique dans le Presse-papiers ou l'importer dans une autre application pour modifier certaines de ces fonctionnalités. Utilisez la méthode PasteFace pour transférer l'image du bouton du Presse-papiers vers un bouton spécifique.

Pour changer l'action d'un bouton en une fonction que vous avez développée, affectez le nom de la procédure personnalisée à la propriété OnAction du bouton.

Le tableau suivant répertorie les propriétés et les méthodes les plus utilisées pour modifier l'état, l'aspect ou l'action d'un bouton.

Propriété ou méthode | Description
CopyFace, PasteFace | Copie ou colle l'image sur le bouton. Utilisez la méthode CopyFace pour copier l'image du bouton spécifié dans le Presse-papiers. Utilisez la méthode PasteFace pour coller le contenu du Presse-papiers sur le bouton spécifié. La méthode PasteFace échouera si le Presse-papiers est vide. Si l'image du Presse-papiers est trop grande pour le bouton, l'image ne sera pas réduite. Généralement, il est plus pratique de copier et de coller l'image d'un bouton au moment de la conception, mais vous pouvez également modifier l'image d'un bouton au moment de l'exécution. Vous pouvez également utiliser la propriété FaceId pour affecter une image prédéfinie différente à un bouton.
Id | Spécifie la valeur que représente la fonctionnalité prédéfinie du bouton. Par exemple, un bouton qui copie du texte en surbrillance dans le Presse-papiers a une valeur Id de 19.
State | Spécifie l'aspect ou l'état d'un bouton. Il peut s'agir de l'une des constantes MsoButtonState suivantes : msoButtonDown, msoButtonMixed ou msoButtonUp.
Style | Spécifie si l'image du bouton affiche son icône ou sa légende. Il peut s'agir de l'une des constantes MsoButtonStyle suivantes : msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow ou msoButtonWrapCaption.
OnAction | Spécifie la procédure à exécuter lorsque l'utilisateur clique sur un bouton, affiche un menu ou modifie le contenu d'une zone de liste modifiable.
Visible | Spécifie si le contrôle sera affiché ou masqué.
Enabled | Active ou désactive une barre de commande ; le nom d'une barre de commandes désactivée n'apparaît pas dans la liste des barres de commandes disponibles.

L'exemple suivant montre comment créer une barre de commandes contenant un seul bouton de barre de commande. À l'aide de la propriété OnAction de l'objet CommandBarButton, vous pouvez utiliser la méthode CopyFace pour copier l'image du bouton prédéfini Ouvrir dans le Presse-papiers, puis vous pouvez utiliser la méthode PasteFace pour coller l'image sur le bouton existant. Cela modifiera l'aspect du bouton de barre de commandes au moment de l'exécution.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Ajouter et modifier des zones de listes modifiables

Zones de modification, zones de listes déroulantes et zones modifiables sont des nouveaux contrôles puissants que vous pouvez ajouter aux barres d'outils de votre application Visual Basic. Cependant, la plupart des applications conteneur requiert l'utilisation de code Visual Basic pour créer ces contrôles. Pour créer une zone de liste modifiable, utilisez les propriétés et les méthodes décrites dans le tableau suivant.

Propriété ou méthode | Description
Add | Ajoute une zone de liste modifiable à une barre de commandes en spécifiant une des constantes MsoControlType suivantes pour l'argument Type : msoControlEdit, msoControlDropdown ou msoControlComboBox.
AddItem | Ajoute un élément à une partie de la liste déroulante d'une zone de liste déroulante ou d'une zone modifiable. Vous pouvez spécifier le numéro d'index du nouvel élément dans la liste existante, mais si le nombre est plus élevé que le nombre d'éléments de la liste, la méthode AddItem échoue.
Caption | Spécifie l'étiquette de la zone de liste modifiable. Cette étiquette s'affiche en regard du contrôle si vous affectez la propriété Style à msoComboLabel.
Style | Spécifie si la légende du contrôle spécifié sera affichée en regard du contrôle. Il peut s'agir de l'une des constantes MsoComboStyle suivantes : msoComboLabel (l'étiquette est affichée) ou msoComboNormal (l'étiquette n'est pas affichée).
OnAction | Spécifie la procédure à exécuter lorsque l'utilisateur modifie le contenu de la zone de liste modifiable.

L'exemple suivant montre comment ajouter une zone modifiable à une barre d'outils personnalisée et affecter la macro appelée « ScrollToQuarter » à la zone modifiable.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Lors de l'exécution de votre application, la procédure affectée à la propriété OnAction de la zone de liste modifiable est appelée chaque fois que l'utilisateur modifie le contrôle. Dans la procédure, vous pouvez utiliser la propriété ActionControl de l'objet CommandBar pour rechercher quel contrôle a été modifié et pour renvoyer la valeur modifiée. La propriété ListIndex renvoie l'élément tapé ou sélectionné dans la zone modifiable.


Ajouter et gérer des barres de menus et des éléments de menu

Certaines applications conteneur ne vous donnent pas le moyen de créer des barres de menus, il vous faudra donc les créer à l'aide de Visual Basic. Après avoir créé une barre de menus dans Visual Basic, vous pouvez la personnaliser en utilisant l'interface de l'application conteneur ou en utilisant Visual Basic.

Ajouter des barres de menus au moment de l'exécution

Lorsque vous ajoutez une barre de menus à une application au moment de l'exécution, vous utilisez la méthode Add pour la collection CommandBars et spécifiez True pour l'argument MenuBar. L'exemple suivant montre comment ajouter une barre de menus qui ne peut pas être déplacée. L'exemple montre également comment ancrer cette barre de menus le long du côté droit de la fenêtre de l'application.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Apporter des modifications aux barres de menus au moment de l'exécution

Vous pouvez apporter des modifications à la barre de menus mais aussi à ses contrôles au moment de l'exécution. Les modifications que vous effectuez sur la barre de menus peuvent affecter son aspect et sa position ; les modifications que vous effectuez sur les contrôles dépendent du type de contrôle. Les propriétés et les méthodes répertoriées dans le tableau suivant sont les plus utilisées pour modifier les barres de menus au moment de l'exécution.

Propriété ou méthode | Description
Add | Ajoute une barre de menus en utilisant la méthode Add de la collection CommandBars et spécifie True pour l'argument MenuBar.
Enabled | Si la valeur de cette propriété est True, l'utilisateur peut afficher la barre de menus spécifiée à l'aide du code Visual Basic. Si la valeur est False, l'utilisateur ne peut pas afficher la barre de menus, mais elle apparaîtra dans la liste des barres de commandes disponibles.
Protection | Vous permet de protéger la barre de menus d'actions utilisateur spécifiques. Il peut s'agir de l'une ou d'une combinaison des constantes MsoBarProtection suivantes : msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize et msoBarNoVerticalDock.
Position | Indique la position de la nouvelle barre de menus relative à la fenêtre de l'application. Il peut s'agir de l'une des constantes MsoBarPosition suivantes : msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (utilisée pour créer des menus contextuels) ou msoBarMenuBar (disponible sur Macintosh uniquement).
Visible | Indique si le contrôle sera affiché ou masqué pour l'utilisateur. Si le contrôle est masqué, le nom de la barre de menus apparaîtra toujours dans la liste des barres de commandes disponibles.

L'exemple suivant montre comment masquer la barre de menus active et la remplacer par une barre de menus provisoire ancrée le long du côté droit de la fenêtre de l'application et protégée par l'utilisateur.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Fusionner des barres de menus au moment de l'exécution

Si une application supposée être un complément contient des barres de menus personnalisées, il se peut que vous souhaitiez spécifier la manière dont les contrôles seront représentés dans l'application conteneur. Vous pouvez utiliser la propriété OLEMenuGroup de l'objet CommandBarPopup pour spécifier comment la fusion de la barre de menus va être effectuée.

Apporter des modifications aux éléments de menu au moment de l'exécution

L'ensemble des modifications que vous pouvez apporter à l'élément de menu dépend du type de contrôle. Généralement, les boutons sont affichés ou masqués. Zones de modification, zones de listes déroulantes et zones modifiables sont plus souples dans le sens où vous pouvez ajouter ou supprimer des éléments de la liste et vous pouvez déterminer l'action exécutée en regardant la valeur sélectionnée. Vous pouvez changer l'action de n'importe quel contrôle en fonction par défaut ou personnalisée.

Le tableau suivant répertorie les propriétés et les méthodes les plus utilisées pour changer l'état, l'action ou le contenu d'un contrôle.

Propriété ou méthode | But
Add | Ajoute un élément de menu à une barre de commandes. Il peut s'agir de l'une des constantes MsoControlType suivantes pour l'argument Type pour un contrôle prédéfini : msoControlButton, msoControlEdit, msoControlDropdown ou msoControlComboBox.
AddItem | Ajoute un élément à une partie de la liste déroulante d'une zone de liste déroulante ou d'une zone modifiable. Vous pouvez spécifier le numéro d'index d'un nouvel élément dans la liste existante, mais si le nombre est plus élevé que le nombre d'éléments de la liste, la méthode AddItem échoue.
Style | Indique si l'image du bouton affiche son icône ou sa légende ou les deux (si oui, indique comment). Il peut s'agir de l'une des constantes MsoButtonStyle suivantes : msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow ou msoButtonWrapCaption.
OnAction | Indique la procédure à effectuer lorsque l'utilisateur change la valeur du contrôle spécifié.
Visible | Indique si le contrôle sera affiché ou masqué.

L'exemple suivant montre comment ajouter un menu contextuel provisoire intitulé Custom à la fin de la barre de menus active, puis comment ajouter un bouton intitulé Import dans la barre de commandes contextuelle personnalisée.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Ajouter et afficher des menus contextuels

Un menu contextuel est une barre de commandes flottante que l'utilisateur affiche en cliquant avec le bouton droit. Il peut contenir les mêmes types de contrôles qu'une barre de commandes et les contrôles se comportent de la même façon que sur une barre de commande. Cependant, dans la plupart des applications, vous ne pouvez pas créer ou modifier des menus contextuels à partir de l'interface de l'application. Par conséquent, vous devez créer et modifier vos menus contextuels au moment de l'exécution.

Ajouter des menus contextuels au moment de l'exécution

Lorsque vous créez le menu contextuel avec la méthode Add, vous devez spécifier msoBarPopUp comme argument Position, ce qui constitue la seule différence entre les menus contextuels et les autres barres d'outils. L'exemple suivant montre comment créer un menu contextuel, lui ajouter deux contrôles (avec des légendes), puis utiliser la méthode ShowPopup pour afficher le nouveau menu.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Afficher des menus contextuels

Utilisez la méthode ShowPopup pour afficher les menus contextuels, comme cela a été démontré dans l'exemple précédent.

Si l'application conteneur prend en charge l'affectation de procédures d'événements aux actions utilisateurs, vous pouvez afficher un menu contextuel en cliquant avec le bouton droit. Cependant, toutes les applications ne prennent pas en charge les procédures d'événements. Consultez la documentation relative à votre application conteneur pour vérifier si l'application prend en charge les procédures d'événements.

Modifier des menus contextuels au moment de l'exécution

Toute modification apportée à un menu contextuel doit être effectuée au moment de l'exécution. De plus, ces modifications sont généralement limitées à l'aspect et à l'action des contrôles du menu. Pour plus d'informations sur l'ajout et la gestion des éléments de menu, consultez Ajouter et gérer des barres de menus et des éléments de menu.


Identificateurs par programmation OLE

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Les identificateurs par programmation OLE, ou ProgID (OLE Programmatic Identifiers), servent à la création d'objets Automation. Les tableaux ci-dessous répertorient les identificateurs OLE pour les contrôles ActiveX, les applications Microsoft Office et Microsoft Office Web Components.

Contrôles ActiveX

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web Components

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

Contrôles ActiveX

Pour créer les contrôles ActiveX répertoriés dans le tableau ci-dessous, utilisez l'identificateur par programmation OLE correspondant.

Pour créer le contrôle | Utilisez l'identificateur
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Pour créer les objets Microsoft Access répertoriés dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de Access la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'un des identificateurs suivants
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Pour créer les objets Microsoft Excel répertoriés dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de Excel la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'identificateur | Commentaires
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | Renvoie un classeur contenant deux feuilles de calcul : l'une pour le graphique, l'autre pour ses données. C'est la feuille du graphique qui est active.
Workbook | Excel.Sheet | Renvoie un classeur contenant une feuille de calcul.

Microsoft Graph

Pour créer les objets Microsoft Graph répertoriés dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de Graph la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'identificateur
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web Components

Pour créer les objets Microsoft Office Web Components répertoriés dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de Microsoft Office Web Components la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'un des identificateurs suivants
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

Pour créer l'objet Microsoft Outlook indiqué dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de Outlook la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'identificateur
Application | Outlook.Application

Microsoft PowerPoint

Pour créer l'objet Microsoft PowerPoint indiqué dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de PowerPoint la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'identificateur
Application | PowerPoint.Application

Microsoft Word

Pour créer les objets Microsoft Word répertoriés dans le tableau ci-dessous, utilisez l'un des identificateurs par programmation OLE correspondants. Si vous utilisez un identificateur sans suffixe de numéro de version, vous créez un objet dans la version de Microsoft Word la plus récente disponible sur l'ordinateur sur lequel la macro s'exécute.

Pour créer un objet | Utilisez l'un des identificateurs suivants
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard, objet

AnswerWizard (AnswerWizardFiles)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cet objet représente l'aide intuitive dans une application Microsoft Office. Il n'existe qu'une seule aide intuitive par application et toutes les modifications apportées à AnswerWizard ou à la collection AnswerWizardFiles affectent immédiatement l'application Office active.

Utilisation de l'objet AnswerWizard

Utilisez la méthode ClearFileList pour supprimer toutes les entrées de la liste des fichiers disponibles pour l'aide intuitive actuelle. Cette méthode permet de vérifier que les fichiers par défaut disponibles pour l'application hôte Office ne sont plus accessibles par l'intermédiaire de l'aide intuitive, par exemple lorsque vous remplacez les fichiers de l'aide intuitive par les fichiers personnalisés .AW. L'exemple suivant montre comment supprimer la liste des fichiers de l'aide intuitive par défaut, puis comment ajouter deux fichiers à l'aide intuitive personnalisée.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Utilisez la méthode ResetFileList pour restaurer la liste des fichiers de l'aide intuitive actuelle en la remplaçant par la liste des fichiers par défaut pour l'application hôte Office. Vous pouvez également établir une liste de fichiers par défaut personnalisée dans le Registre Windows en ajoutant les noms des fichiers personnalisés à la clé de Registre appropriée. Les fichiers spécifiés dans cette clé de Registre sont ensuite restaurés lorsque ResetFileList est appelée. Cet exemple montre comment restaurer la liste de fichiers pour l'aide intuitive actuelle.

customAnswerWizard.ResetFileList

Utilisez la propriété Files pour obtenir la collection de références de fichiers de l'aide intuitive. La propriété Files renvoie une collection de chaînes qui font référence aux fichiers .AW. L'exemple suivant montre comment renvoyer la collection AnswerWizardFiles et comment afficher le nombre de fichiers dans un message.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles, collection d'objets

AnswerWizard (AnswerWizardFiles)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Collection de références aux fichiers de l'aide intuitive. La collection AnswerWizardFiles contient tous les fichiers de l'aide intuitive (avec l'extension .AW) disponibles pour l'application Microsoft Office active.

Utilisation de la collection AnswerWizardFiles

Utilisez la propriété Files pour obtenir la collection de références de fichiers de l'aide intuitive. La propriété Files renvoie une collection de chaînes qui font référence aux fichiers .AW. L'exemple suivant montre comment renvoyer la collection AnswerWizardFiles et comment afficher le nombre de fichiers dans un message.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Utilisez la méthode Add pour rendre des fichiers supplémentaires disponibles pour l'aide intuitive. L'exemple ci-dessous montre comment ajouter le fichier Custom_1.aw à la liste des fichiers de l'aide intuitive dans l'application Office active.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Utilisez la propriété Item pour obtenir le nom d'une référence de fichier de l'aide intuitive existant. L'exemple ci-dessous montre comment afficher un message contenant le nom du fichier ayant Item(1) pour référence.

MsgBox customAnswerWizard.Files.Item(1)


Assistant, objet

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cet objet représente le Compagnon Office de Microsoft.

Utilisation de l'objet Assistant

Utilisez la propriété Assistant pour renvoyer l'objet Assistant. Il n'existe pas de collection pour l'objet Assistant ; un seul objet Assistant peut être actif à la fois. Utilisez la propriété Visible pour afficher le Compagnon et la propriété On pour activer le Compagnon.

Note

Le Compagnon par défaut est Toufou. Pour sélectionner un autre Compagnon par programmation, utilisez la propriété FileName.

L'exemple suivant montre comment afficher et animer le Compagnon.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon, objet

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Représente la bulle dans laquelle le Compagnon Office affiche des informations. Une bulle peut contenir des contrôles, tels que des cases à cocher et des étiquettes.

Utilisation de l'objet Balloon

Utilisez la propriété NewBalloon pour renvoyer un objet Balloon. Il n'existe pas de collection pour l'objet Balloon ; une seule bulle peut être affichée à la fois. Cependant, il est possible de définir plusieurs bulles et d'afficher une d'entre elles lorsque vous le souhaitez. Pour plus d'informations, consultez « Définition et réutilisation des bulles » plus bas dans cette rubrique.

Utilisez la méthode Show pour afficher la bulle spécifiée. Utilisez la propriété Callback pour exécuter des procédures basées sur des sélections de bulles non modales (bulles qui restent affichées pendant que l'utilisateur travaille dans l'application). Utilisez la méthode Close pour fermer les bulles non modales.

L'exemple suivant montre comment créer une bulle qui contient des astuces pour enregistrer des données entrées.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Définition et réutilisation des bulles

Vous pouvez réutiliser des objets Balloon que vous avez déjà créés en affectant l'objet à une variable et en affichant cette dernière lorsque vous en avez besoin. Cet exemple montre comment définir balloon1 et balloon2 séparément de manière à ce qu'elles puissent être réutilisées.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

Sinon, au lieu d'utiliser des variables séparées, vous pouvez placer l'objet Balloon dans un tableau.


BalloonCheckBox, objet

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Représente une case à cocher dans l'info-bulle du Compagnon Office. L'objet BalloonCheckBox est un membre de la collection BalloonCheckBoxes.

Utilisation de l'objet BalloonCheckBox

Pour renvoyer un seul objet BalloonCheckBox, utilisez CheckBoxes(index), index étant un nombre compris entre 1 à 5. Une info-bulle peut contenir un maximum de cinq cases à cocher ; chaque case à cocher s'affiche lorsqu'une valeur est affectée à sa propriété Text.

L'exemple suivant montre comment créer une info-bulle avec un en-tête, du texte et le choix entre trois régions. L'utilisateur active une ou plusieurs cases à cocher et clique sur OK. L'exemple appelle la ou les procédures spécifiées.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Notes

Les cases à cocher des info-bulles affichent les choix de l'utilisateur tant que ce dernier ne fait pas disparaître l'info-bulle. Vous pouvez utiliser les étiquettes des info-bulles pour renvoyer un numéro correspondant au choix de l'utilisateur dans la méthode Select dès que l'utilisateur clique sur le bouton en regard de l'étiquette. Pour passer les valeurs dans la méthode Select basée sur le choix de l'utilisateur, vous devez avoir affecté le type d'info-bulle à msoBalloonTypeButtons.


BalloonCheckboxes, collection d'objets

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Collection d'objets BalloonCheckbox qui représente toutes les cases à cocher situées dans l'info-bulle du Compagnon Office.

Utilisation de la collection BalloonCheckboxes

Pour renvoyer la collection BalloonCheckboxes, utilisez la propriété Checkboxes.

Pour renvoyer un seul objet BalloonCheckbox, utilisez Checkboxes(index), index étant un nombre compris entre 1 et 5. Vous pouvez spécifier un maximum de cinq cases à cocher (et cinq étiquettes) par info-bulle ; une case apparaît quand une valeur est affectée à sa propriété Text. Si vous spécifiez plus de cinq cases à cocher, une erreur d'exécution se produit.

L'exemple suivant montre comment créer une info-bulle avec un en-tête, du texte et un choix de trois régions. Lorsque l'utilisateur active une ou plusieurs cases à cocher et clique sur OK, la ou les procédures spécifiées sont appelées.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Après avoir affiché l'info-bulle, vous ne pouvez ni ajouter, ni supprimer de cases à cocher dans la collection BalloonCheckboxes.

Notes

Les cases à cocher des info-bulles affichent les choix de l'utilisateur tant que ce dernier ne fait pas disparaître l'info-bulle. Vous pouvez utiliser les étiquettes des info-bulles en conjonction avec la méthode Select pour renvoyer un nombre correspondant au choix de l'utilisateur concernant les cases à cocher dès que l'utilisateur clique sur le bouton en regard de l'étiquette. Pour passer les valeurs à la méthode Select basée sur le choix de l'utilisateur, vous devez avoir affecté le type d'info-bulle à msoBalloonTypeButtons.


BalloonLabel, objet

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Représente une étiquette dans l'info-bulle du Compagnon Office. L'objet BalloonLabel est un membre de la collection BalloonLabels.

Utilisation de l'objet BalloonLabel

Pour renvoyer un objet BalloonLabel, utilisez Labels(index), index étant un nombre compris entre 1 et 5. Une info-bulle peut contenir un maximum de cinq étiquettes ; chaque étiquette s'affiche lorsqu'une valeur est affectée à sa propriété Text.

L'exemple suivant montre comment créer une info-bulle qui invite l'utilisateur à cliquer sur l'étiquette correspondant à son âge.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Notes

Les cases à cocher des info-bulles affichent les choix de l'utilisateur tant que ce dernier ne fait pas disparaître l'info-bulle. Vous pouvez utiliser les étiquettes des info-bulles pour renvoyer un numéro correspondant au choix de l'utilisateur dans la méthode Select dès que l'utilisateur clique sur le bouton en regard de l'étiquette. Pour passer les valeurs dans la méthode Select basée sur le choix de l'utilisateur, vous devez avoir affecté le type d'info-bulle à msoBalloonTypeButtons.


BalloonLabels, collection d'objets

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Collection d'objets BalloonLabel qui représente toutes les étiquettes de l'info-bulle du Compagnon Office.

Utilisation de la collection BalloonLabels

Utilisez la propriété Labels pour renvoyer la collection BalloonLabels.

Pour renvoyer un objet BalloonLabel, utilisez Labels(index), index étant un nombre compris entre 1 et 5. Vous pouvez spécifier un maximum de cinq étiquettes (et cinq cases à cocher) par info-bulle ; chaque étiquette s'affiche lorsqu'une valeur est affectée à sa propriété Text. Si vous spécifiez plus de cinq étiquettes, une erreur d'exécution se produit.

L'exemple suivant montre comment créer une info-bulle contenant trois options. La variable returnValue est affectée à la valeur renvoyée de la méthode Show qui peut être 1, 2, ou 3 et qui correspond à l'étiquette sur laquelle l'utilisateur clique. Cet exemple montre également comment renvoyer la valeur de la variable returnValue que vous pouvez passer à une autre procédure ou utiliser dans une instruction Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Notes

Les cases à cocher des info-bulles affichent les choix de l'utilisateur tant que ce dernier ne fait pas disparaître l'info-bulle. Vous pouvez utiliser les étiquettes des info-bulles pour renvoyer un numéro correspondant au choix de l'utilisateur dans la méthode Select dès que l'utilisateur clique sur le bouton en regard de l'étiquette. Pour passer les valeurs dans la méthode Select basée sur le choix de l'utilisateur, vous devez avoir affecté le type d'info-bulle à msoBalloonTypeButtons.


COMAddIn, objet

COMAddIns (COMAddIn)

Représente un complément COM dans l'application hôte Microsoft Office. L'objet COMAddIn est un membre de la collection COMAddIns.

Utilisation de l'objet COMAddIn

Utilisez COMAddIns.Item(index), où index est soit une valeur ordinale qui renvoie le complément COM à cet emplacement dans la collection COMAddIns, soit une valeur de type String qui représente le ProgID du complément COM spécifié. Cet exemple montre comment afficher le texte décrivant un complément COM dans un message.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Utilisez la propriété ProgID de l'objet COMAddin pour renvoyer le ProgID d'un complément COM, et utilisez la propriété Guid pour renvoyer l'identificateur unique global (GUID, Globally Unique Identifier) du complément. Cet exemple montre comment afficher le ProgID et le GUID du complément COM 1 dans un message.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Utilisez la propriété Connect pour définir ou renvoyer l'état de la connexion vers un complément COM spécifié. Cet exemple montre comment afficher un message qui indique si le complément COM 1 est inscrit et actuellement connecté.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


COMAddIns, collection d'objets

COMAddIns (COMAddIn)

Collection d'objets COMAddIn qui fournissent des informations sur un complément COM inscrit dans le Registre Windows.

Utilisation de la collection COMAddIns

Utilisez la propriété COMAddIns de l'objet Application pour renvoyer la collection COMAddIns pour une application hôte Microsoft Office. Cette collection contient tous les compléments COM qui sont à la disposition d'une application hôte Office donnée, et la propriété Count de la collection COMAddins renvoie le nombre de compléments COM disponibles, comme le montre l'exemple suivant.

MsgBox Application.COMAddIns.Count

Utilisez la méthode Update de la collection COMAddins pour actualiser la liste des compléments COM du Registre Windows, comme le montre l'exemple suivant.

Application.COMAddIns.Update

Utilisez COMAddIns.Item(index), où index est soit une valeur ordinale qui renvoie le complément COM à cet emplacement dans la collection COMAddIns, soit une valeur de type String qui représente le ProgID du complément COM spécifié. Cet exemple montre comment afficher le texte décrivant un complément COM et le ProgID de ce dernier ("msodraa9.ShapeSelect") dans un message.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar, objet

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Représente la barre de commandes de l'application conteneur. L'objet CommandBar est un membre de la collection CommandBars.

Utilisation de l'objet CommandBar

Pour renvoyer un seul objet CommandBar, utilisez CommandBars(index), index étant le nom ou le numéro d'index d'une barre de commandes. L'exemple suivant montre comment parcourir la collection de barres de commandes à la recherche de la barre intitulée « Formulaires ». Si cette barre de commandes est trouvée, elle est rendue visible et son ancrage est protégé. Dans cet exemple, la variable cb représente un objet CommandBar.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

Vous pouvez utiliser un nom ou un numéro d'index pour spécifier une barre de menus ou une barre d'outils dans la liste des barres de menus et des barres d'outils disponibles dans l'application conteneur. Cependant, vous devez utiliser un nom pour spécifier un menu, un menu contextuel ou un sous-menu (tous étant représentés par les objets CommandBar). L'exemple montre comment ajouter un nouvel élément de menu au bas du menu Outils. Lorsque vous cliquez dessus, cet élément exécute la procédure intitulée « qtrReport ».

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Si deux menus ou sous-menus ou plus ont le même nom, CommandBars(index) renvoie le premier. Afin de vous assurer que vous avez renvoyé le bon menu ou sous-menu, recherchez le menu contextuel qui affiche ce menu. Puis, appliquez la propriété CommandBar au menu contextuel pour renvoyer la barre de commandes qui représente ce menu.

En supposant que le troisième contrôle de la barre d'outils intitulée « Custom Tools » est un menu contextuel, cet exemple montre comment ajouter la commande Enregistrer au bas de ce menu.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


CommandBarButton, objet

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Représente un bouton dans une barre de commandes.

Utilisation de l'objet CommandBarButton

Pour renvoyer un objet CommandBarButton, utilisez Controls(index), index étant le numéro d'index du contrôle. (La propriété Type du contrôle doit être msoControlButton.)

En supposant que le deuxième contrôle de la barre de commandes intitulée « Custom » est un bouton, l'exemple suivant montre comment modifier le style de ce bouton.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

Vous pouvez également utiliser la méthode FindControl pour renvoyer un objet CommandBarButton.


CommandBarComboBox, objet

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Représente une zone de liste modifiable d'une barre de commandes.

Utilisation de l'objet CommandBarComboBox

Pour renvoyer un objet CommandBarComboBox, utilisez Controls(index), index étant le numéro d'index du contrôle. (La propriété Type du contrôle doit être msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo ou msoControlGraphicDropdown.)

L'exemple suivant montre comment ajouter deux éléments au deuxième contrôle de la barre de commandes intitulée « Custom », puis comment ajuster la taille du contrôle.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

Pour renvoyer un objet CommandBarComboBox, vous pouvez également utiliser la méthode FindControl. L'exemple suivant montre comment rechercher toutes les barres de commandes pour un objet CommandBarComboBox visible dont l'intitulé est « sheet assignments ».

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


CommandBarControl, objet

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Représente un contrôle de barre de commandes. L'objet CommandBarControl est un membre de la collection CommandBarControls. Les propriétés et les méthodes de l'objet CommandBarControl sont toutes partagées par les objets CommandBarButton, CommandBarComboBox et CommandBarPopup.

Remarque Lorsque l'écriture en code Visual Basic fonctionne avec les contrôles de barres de commandes, utilisez les objets CommandBarButton, CommandBarComboBox et CommandBarPopup. Lorsqu'elle fonctionne avec les contrôles prédéfinis de l'application conteneur qui ne peut pas être représentée par un de ces trois objets, utilisez l'objet CommandBarControl.

Utilisation de l'objet CommandBarControl

Pour renvoyer un objet CommandBarControl, utilisez Controls(index), index étant le numéro d'index d'un contrôle. (La propriété Type du contrôle doit être msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid ou msoControlGauge.)

Remarque Les variables CommandBarControl peuvent être affectées aux valeurs CommandBarButton, CommandBarComboBox et CommandBarPopup.

Pour renvoyer un objet CommandBarControl, vous pouvez également utiliser la méthode FindControl. L'exemple suivant montre comment rechercher un contrôle de type msoControlGauge ; si un contrôle est trouvé, le numéro d'index du contrôle et le nom de la barre de commandes qui le contient s'affichent. Dans cet exemple, la variable lbl représente un objet CommandBarControl.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


CommandBarControls, collection d'objets

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Collection d'objets CommandBarControl qui représente les contrôles de barres de commandes d'une barre de commandes.

Utilisation de la collection CommandBarControls

Pour renvoyer la collection CommandBarControls, utilisez la propriété Controls. L'exemple suivant montre comment changer la légende de chaque contrôle de la barre d'outils intitulée « Standard » pour la remplacer par la valeur en cours de la propriété Id pour ce contrôle.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Pour ajouter un nouveau contrôle de barre de commandes à la collection CommandBarControls, utilisez la méthode Add. Cet exemple montre comment ajouter un nouveau bouton vide à la barre de commandes intitulée « Custom ».

Set myBlankBtn = CommandBars("Custom").Controls.Add

Pour renvoyer un objet CommandBarControl, CommandBarButton, CommandBarComboBox ou CommandBarPopup, utilisez Controls(index), index étant la légende ou le numéro d'index d'un contrôle. L'exemple suivant montre comment copier le premier contrôle de la barre de commandes intitulée « Standard » vers la barre de commandes intitulée « Custom ».

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup, objet

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Représente un menu contextuel d'une barre de commandes.

Utilisation de l'objet CommandBarPopup

Pour renvoyer un objet CommandBarPopup, utilisez Controls(index), index étant le numéro du contrôle. (La propriété Type du contrôle doit être msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup ou msoControlSplitButtonMRUPopup.)

Pour renvoyer un objet CommandBarPopup, vous pouvez également utiliser la méthode FindControl. L'exemple suivant montre comment rechercher toutes les barres de commandes pour un objet CommandBarPopup dont l'intitulé est « Graphics ».

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Note

Chaque menu contextuel contient un objet CommandBar. Pour renvoyer la barre de commandes à partir d'un menu contextuel, appliquez la propriété CommandBar à l'objet CommandBarPopup.


CommandBars, collection d'objets

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Collection d'objets CommandBar qui représente les barres de commandes dans l'application conteneur.

Utilisation de la collection CommandBars

Pour renvoyer la collection CommandBars, utilisez la propriété CommandBars. L'exemple suivant montre comment afficher la fenêtre Immediate, le nom et le nom local de chaque barre de menus et de chaque barre d'outils, et comment afficher une valeur qui indique si la barre de menus ou la barre d'outils s'affiche.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Utilisez la méthode Add pour ajouter une nouvelle barre de commandes à la collection. L'exemple suivant montre comment créer une barre d'outils personnalisée intitulée « Custom1 » et comment l'afficher dans une barre d'outils flottante.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Pour renvoyer un seul objet CommandBar, utilisez la propriété CommandBars(index), index étant le nom ou le numéro d'index d'une barre de commandes. L'exemple suivant montre comment ancrer la barre d'outils intitulée « Custom1 » en bas de la fenêtre de l'application .

CommandBars("Custom1").Position = msoBarBottom

Remarque Vous pouvez utiliser le nom ou le numéro d'index pour spécifier une barre de menus ou une barre d'outils dans la liste des barres de menus et de barres d'outils disponibles de l'application conteneur. Cependant, vous devez utiliser le nom pour spécifier un menu, un menu contextuel ou un sous-menu (tous étant représentés par les objets CommandBar).

Si deux menus ou sous-menus ou plus ont le même nom, CommandBars(index) renvoie le premier. Afin de vous assurer que vous avez renvoyé le bon menu ou sous-menu, recherchez le menu contextuel qui affiche ce menu. Puis, appliquez la propriété CommandBar au menu contextuel pour renvoyer la barre de commandes qui représente ce menu.


DocumentProperties, collection d'objets

Collection d'objets DocumentProperty. Chaque objet DocumentProperty représente une propriété prédéfinie ou personnalisée d'un document conteneur.

Utilisation de la collection DocumentProperties

Pour créer une propriété personnalisée et l'ajouter à la collection DocumentProperties, utilisez la méthode Add. Vous ne pouvez pas utiliser la méthode Add pour créer une propriété de document prédéfinie.

Pour renvoyer un seul objet DocumentProperty qui représente une propriété de document prédéfinie spécifique, utilisez BuiltinDocumentProperties(index), index étant le numéro d'index de la propriété de document prédéfinie. Pour renvoyer un objet DocumentProperty qui représente une propriété de document personnalisée spécifique, utilisez CustomDocumentProperties(index), index étant le numéro de la propriété de document personnalisée.


DocumentProperty, objet

Représente une propriété de document prédéfinie ou personnalisée d'un document conteneur. L'objet DocumentProperty est un membre de la collection DocumentProperties.

Utilisation de l'objet DocumentProperty

Pour renvoyer un seul objet DocumentProperty qui représente une propriété de document prédéfinie spécifique, utilisez BuiltinDocumentProperties(index), index étant le nom ou le numéro d'index de la propriété de document prédéfinie. Pour renvoyer un objet DocumentProperty qui représente une propriété de document personnalisée spécifique, utilisez CustomDocumentProperties(index), index étant le nom ou le numéro d'index de la propriété de document personnalisée.

La liste suivante contient les noms des propriétés de document prédéfinies disponibles :

Title

Subject

Author

Keywords

Comments

Template

Last Author

Revision Number

Application Name

Last Print Date

Creation Date

Last Save Time

Total Editing Time

Number of Pages

 Number of Words

Number of Characters

Security

Category

Format

Manager

Company

Number of Bytes

Number of Lines

Number of Paragraphs

Number of Slides

Number of Notes

Number of Hidden Slides

Number of Multimedia Clips

Les applications conteneur ne définissent pas nécessairement une valeur pour chaque propriété de document prédéfinie. Si une application donnée ne définit pas une valeur pour une des propriétés de document prédéfinies, renvoyer la propriété Value pour cette propriété de document provoque une erreur.


FileDialog, objet

FileDialog
Plusieurs objets

Cet objet fournit une fonctionnalité de boîte de dialogue de fichier similaire à la fonctionnalité des boîtes de dialogue standard Ouvrir et Enregistrer qui existent dans les applications Microsoft Office. Avec ces boîtes de dialogue, les utilisateurs de vos solutions peuvent facilement spécifier les fichiers et les dossiers que votre solution doit utiliser.

Utilisation de l'objet FileDialog

Utilisez la propriété FileDialog pour renvoyer un objet FileDialog. La propriété FileDialog se trouve dans l'objet Application de chaque application Office individuelle. La propriété prend un seul argument, DialogType, qui détermine le type d'objet FileDialog que la propriété renvoie. Il existe quatre types d'objets FileDialog :

  • Boîte de dialogue Ouvrir - permet aux utilisateurs de sélectionner un ou plusieurs fichiers que vous pouvez ensuite ouvrir dans l'application hôte à l'aide de la méthode Execute.
  • Boîte de dialogue Enregistrer sous - permet aux utilisateurs de sélectionner un seul fichier que vous pouvez ensuite enregistrer comme fichier en cours à l'aide de la méthode Execute.
  • Boîte de dialogue Sélecteur de fichier - permet aux utilisateurs de sélectionner un ou plusieurs fichiers. Les chemins d'accès aux fichiers que l'utilisateur sélectionne sont capturés dans la collection FileDialogSelectedItems.
  • Boîte de dialogue Sélecteur de dossier - permet aux utilisateurs de sélectionner un chemin d'accès. Le chemin que l'utilisateur sélectionne est capturé dans la collection FileDialogSelectedItems.

Chaque application hôte ne peut instancier qu'une seule instance de l'objet FileDialog. Par conséquent, bon nombre des propriétés de l'objet FileDialog persistent même lorsque vous créez plusieurs objets FileDialog. Par conséquent, assurez-vous que vous avez défini toutes les propriétés de manière appropriée pour votre objectif avant d'afficher la boîte de dialogue.

Afin d'afficher une boîte de dialogue de fichier en utilisant l'objet FileDialog, vous devez utiliser la méthode Show. Une fois qu'une boîte de dialogue est affichée, l'exécution du code est suspendue tant que l'utilisateur ne fait pas disparaître la boîte de dialogue. L'exemple suivant montre comment créer et afficher une boîte de dialogue Sélecteur de fichier, puis comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileDialogFilter, objet

FileDialogFilters
FileDialogFilter

Cet objet représente un filtre de fichier dans une boîte de dialogue de fichier affichée via l'objet FileDialog. Chaque filtre de fichier détermine quels fichiers sont affichés dans la boîte de dialogue de fichier.

Utilisation de l'objet FileDialogFilter

Utilisez la méthode Item avec la collection FileDialogFilters pour renvoyer un objet FileDialogFilter. Utilisez la méthode Add pour ajouter un objet FileDialogFilter à la collection FileDialogFilters. Vous pouvez renvoyer les extensions qu'un objet FileDialogFilter utilise pour filtrer des fichiers avec la propriété Extensions et vous pouvez renvoyer la description du filtre avec la propriété Description ; toutefois, ces deux propriétés sont en lecture seule. Si vous souhaitez définir l'extension ou la description, vous devez utiliser la méthode Add.

L'exemple suivant montre comment balayer les filtres par défaut de la boîte de dialogue Enregistrer sous et comment afficher la description de chaque filtre incluant un fichier Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters, collection

FileDialog
FileDialogFilters
FileDialogFilter

Collection d'objets FileDialogFilter qui représentent les types de fichiers qui peuvent être sélectionnés dans une boîte de dialogue de fichier affichée à l'aide de l'objet FileDialog.

Utilisation de la collection FileDialogFilters

Utilisez la propriété Filters de l'objet FileDialog pour renvoyer une collection FileDialogFilters. Le code suivant renvoie la collection FileDialogFilters pour la boîte de dialogue Ouvrir.

Application.FileDialog(msoFileDialogOpen).Filters

Utilisez la méthode Add pour ajouter des objets FileDialogFilter à la collection FileDialogFilters. L'exemple suivant montre comment utiliser la méthode Clear pour supprimer la collection puis comment ajouter des filtres à la collection. La méthode Clear vide complètement la collection ; toutefois, si vous n'ajoutez aucun filtre à la collection après l'avoir vidée, le filtre "Tous les fichiers (*.*)" est ajouté automatiquement.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

Lorsque vous modifiez la collection FileDialogFilters, souvenez-vous que chaque application ne peut instancier qu'un seul objet FileDialog. Cela signife que les filtres par défaut de la collection FileDialogFilters sont réinitialisés chaque fois que vous appelez la méthode FileDialog avec un nouveau type de boîte de dialogue.

L'exemple suivant montre comment balayer les filtres par défaut de la boîte de dialogue Enregistrer sous et comment afficher la description de chaque filtre incluant un fichier Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

Remarque Une erreur d'exécution se produit si la propriété Filters est utilisée en conjonction avec les méthodes Clear, Add ou Delete lorsqu'elle est appliquée à un objet FileDialog Enregistrer sous. Par exemple, Application.FileDialog(msoFileDialogSaveAs).Filters.Clear engendre une erreur d'exécution.


FileDialogSelectedItems, collection

FileDialog
FileDialogSelectedItems

Collection de valeurs de type String qui correspondent aux chemins des fichiers ou des dossiers qu'un utilisateur a sélectionnés à partir d'une boîte de dialogue de fichier affichée via l'objet FileDialog.

Utilisation de la collection FileDialogSelectedItems

Utilisez la propriété SelectedItems avec l'objet FileDialog pour renvoyer une collection FileDialogSelectedItems. L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileSearch, objet

FileSearch
Plusieurs objets

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cet objet représente la fonctionnalité de la boîte de dialogue Ouvrir (menu Fichier).

Utiliser l'objet FileSearch

Pour renvoyer l'objet FileSearch, utilisez la propriété FileSearch. L'exemple suivant montre comment rechercher des fichiers et afficher le nombre de fichiers trouvés ainsi que leur nom.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Pour rétablir les critères de recherche par défaut, utilisez la méthode NewSearch. Toutes les valeurs de la propriété sont maintenues après chaque recherche. En utilisant la méthode NewSearch, vous pouvez définir les propriétés de manière sélective pour le prochain fichier de recherche sans rétablir manuellement les valeurs précédentes. L'exemple suivant montre comment rétablir les critères de recherche par défaut avant de lancer une nouvelle recherche.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes, collection

FileSearch
FileTypes

Collection de valeurs du type msoFileType qui déterminent quels types de fichiers sont renvoyés par la méthode Execute de l'objet FileSearch.

Utilisation de la collection FileTypes

Utilisez la propriété FileTypes avec l'objet FileSearch pour renvoyer une collection FileTypes ; par exemple :

Set ft = Application.FileSearch.FileTypes

Remarque La propriété FileType de l'objet FileSearch supprime la collection FileTypes et affecte le type de fichier défini par la propriété FileType au premier élément dans la collection.

Il n'existe qu'une collection FileTypes pour toutes les recherches ; il est donc important de supprimer la collection FileTypes avant d'exécuter une recherche à moins que vous souhaitiez rechercher des types de fichiers dans les résultats des recherches précédentes. Le moyen le plus facile de supprimer la collection est d'affecter le premier type de fichier que vous souhaitez rechercher à la propriété FileType. Vous pouvez également supprimer des types individuels en utilisant la méthode Remove. Pour déterminer le type de fichier de chaque élément dans la collection, utilisez la méthode Item pour renvoyer la valeur msoFileType.

L'exemple suivant montre comment rechercher tous les fichiers HTML et Microsoft Excel sur le lecteur C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

L'exemple suivant montre comment effectuer une boucle sur la collection FileTypes et comment supprimer les types de fichiers qui ne sont ni des fichiers Microsoft Word ni des fichiers Microsoft Excel (en général, il est plus simple de supprimer la collection FileTypes et de recommencer depuis le début).

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles Object

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Représente la liste de fichiers renvoyés par la recherche.

Utilisation de l'objet FoundFiles

Pour renvoyer l'objet FoundFiles, utilisez la propriété FoundFiles. Cet exemple montre comment parcourir la liste de fichiers trouvés et afficher le chemin d'accès et le nom de chacun d'eux. Pour renvoyer le chemin d'accès et le nom d'un fichier spécifique trouvé au cours de la recherche, utilisez FoundFiles(index), index étant le numéro d'index.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Pour lancer la recherche et mettre à jour l'objet FoundFiles, utilisez la méthode Execute. L'exemple suivant montre comment rechercher le dossier Mes documents pour tous les fichiers dont le nom commence par « Cmd » et afficher le nom et l'emplacement de chaque fichier trouvé. Il montre également comment trier les fichiers renvoyés par ordre alphabétique en fonction de leur nom.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject, objet

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Cet objet représente une branche de projet de niveau supérieur, comme dans l'Explorateur de projet de Microsoft Script Editor.

Utilisation de l'objet HTMLProject

Utilisez la méthode Open de l'objet HTMLProject pour ouvrir un projet HTML dans Microsoft Script Editor. Le projet est ouvert en affichage source ou texte pour le document Microsoft Word, la présentation PowerPoint ou le classeur Excel actif. Cet exemple montre comment ouvrir un projet HTML dans le document Word actif en affichage source.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Utilisez la propriété HTMLProjectItems pour renvoyer la collection d'objets HTMLProjectItem dans le projet HTML. Utilisez la méthode RefreshDocument pour actualiser le document HTML dans l'application hôte. Utilisez la méthode RefreshProject pour actualiser le projet dans Microsoft Script Editor. Utilisez la méthode State pour déterminer si le projet HTML doit être actualisé ou non.


HTMLProjectItem, objet

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Représente un élément de projet individuel qui constitue une branche d'élément de projet dans l'Explorateur de projet de Microsoft Script Editor. L'objet HTMLProjectItem est un membre de la collection HTMLProjectItems.

Utilisation de l'objet HTMLProjectItem

Utilisez HTMLProjectItems(index), où index est le nom ou le numéro d'index d'un élément de projet, pour renvoyer un seul objet HTMLProjectItem. Utilisez la propriété Name pour renvoyer le nom complet de l'élément de projet. Cet exemple montre comment renvoyer le nom du premier élément de projet dans la collection HTMLProjectItems pour le document actif.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Utilisez la méthode Open pour ouvrir un élément de projet en affichage source ou texte, et utilisez la propriété IsOpen pour déterminer si l'élément de projet est actuellement ouvert. Cet exemple montre comment ouvrir l'élément de projet nommé « ItemOne » (dans le document actif) dans l'affichage par défaut, puis afficher un message indiquant que l'élément a été ouvert.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Utilisez la méthode SaveCopyAs pour enregistrer l'élément de projet en utilisant un nouveau nom de fichier. Cet exemple montre comment enregistrer une copie de ItemOne nommée « NewItem ».

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Considérant que le fichier texte C:\NewText.txt existe, l'exemple suivant montre comment utiliser la propriété LoadFromFile pour attribuer au texte de ItemOne la valeur du texte contenu dans le fichier. Cet exemple montre comment utiliser la propriété Text pour afficher le nouveau texte dans un message.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems, collection d'objets

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Une collection des objets HTMLProjectItem qui représentent les éléments de projet HTML contenus dans l'objet HTMLProject.

Utilisation de la collection HTMLProjectItems

Utilisez la propriété HTMLProjectItems de l'objet HTMLProject pour renvoyer la collection HTMLProjectItems. Utilisez la propriété Count de la collection HTMLProjectItems pour renvoyer le nombre d'éléments de projet du projet HTML pour le document spécifié. Utilisez la méthode Item de la collection HTMLProjectItems pour renvoyer un élément de projet individuel. Cet exemple montre comment renvoyer le nom du premier élément de projet dans la collection HTMLProjectItems pour le document actif.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings, objet

LanguageSettings

Cet objet renvoie des informations sur les paramètres linguistiques d'une application Microsoft Office.

Utilisation de l'objet LanguageSettings

Utilisez Application.LanguageSettings.LanguageID(MsoAppLanguageID), MsoAppLanguageID étant une constante utilisée pour renvoyer les informations relatives au LCID (locale identifier) à l'application spécifiée.

MsoAppLanguageID peut être l'une de ces constantes MsoAppLanguageID.
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

Cet exemple montre comment renvoyer dans un message la langue du programme d'installation et de l'interface utilisateur, ainsi que les LCID de l'aide.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Utilisez Application.LanguageSettings.LanguagePreferredForEditing pour déterminer quels sont les LCID inscrits comme langues d'édition préférées pour l'application, comme le montre l'exemple suivant.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


MsoEnvelope, objet

MsoEnvelope
CommandBars

Cet objet offre un accès à une fonctionnalité qui vous permet d'envoyer des documents sous la forme de messages électroniques directement à partir d'applications Microsoft Office.

Utilisation de l'objet MsoEnvelope

Utilisez la propriété MailEnvelope des objets Document, Chart ou Worksheet (selon l'application que vous utilisez) pour renvoyer un objet MsoEnvelope.

L'exemple suivant montre comment envoyer le document Microsoft Word actif sous la forme d'un message électronique à une adresse électronique que vous transmettez à la sous-routine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


NewFile, objet

NewFile

L'objet NewFile représente des éléments répertoriés dans le volet Office Nouvel élément disponible dans plusieurs applications Microsoft Office. Le tableau suivant montre la propriété à utiliser pour accéder à l'objet NewFile dans chacune des applications.

Application | Propriété
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

Remarque Les exemples ci-dessous concernent Word, mais vous pouvez changer la propriété NewDocument pour n'importe quelle propriété répertoriée ci-dessus et utiliser le code dans l'application correspondante.

Utilisation de l'objet NewFile

Utilisez la méthode Add pour ajouter un nouvel élément au volet Office Nouvel élément. L'exemple suivant montre comment ajouter un élément au volet Office New Document de Word.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

Utilisez la méthode Remove pour supprimer un élément du volet Office Nouvel élément. L'exemple suivant montre comment supprimer le document ajouté dans l'exemple précédent du volet Office New Document de Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


ODSOColumn, objet

ODSOColumns
ODSOColumn

Cet objet représente un champ dans une source de données. L'objet ODSOColumn est un membre de la collection ODSOColumns. La collection ODSOColumns inclut tous les champs de données dans une source de données de publipostage (par exemple, Nom, Adresse et Ville).

Utilisation de l'objet ODSOColumn

Utilisez Columns(index), où index est le nom du champ de données ou le numéro d'index, pour renvoyer un seul objet ODSOColumn. Le numéro d'index représente l'emplacement du champ de données dans la source de données de publipostage. Cet exemple montre comment récupérer le nom et la valeur du premier champ du premier enregistrement dans la source de données liée à la publication active.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

Notes

Vous ne pouvez pas ajouter de champ à la collection ODSOColumns. Tous les champs de données d'une source de données sont automatiquement inclus dans la collection ODSOColumns.


ODSOColumns, objet

OfficeDataSourceObject
ODSOColumns
ODSOColumn

Collection d'objets ODSOColumn qui représentent les champs de données dans une source de données de publipostage.

Utilisation de l'objet ODSOColumns

Utilisez la propriété Columns pour renvoyer la collection ODSOColumns. L'exemple suivant montre comment afficher les noms de champs dans la source de données liée à la publication active.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

Utilisez Columns(index), où index est le nom du champ de données ou le numéro d'index, pour renvoyer un seul objet ODSOColumn. Le numéro d'index représente l'emplacement du champ de données dans la source de données de publipostage. Cet exemple montre comment récupérer le nom du premier champ et la valeur du premier enregistrement du champ FirstName dans la source de données liée à la publication active.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter, objet

ODSOFilters
ODSOFilter

Cet objet représente un filtre à appliquer à une source de données de publipostage liée. L'objet ODSOFilter est un membre de l'objet ODSOFilters.

Utilisation de l'objet ODSOFilter

Chaque filtre est une ligne dans une chaîne de requête. Utilisez les propriétés Column, Comparison, CompareTo et Conjunction pour renvoyer et définir le critère de requête de la source de données. L'exemple suivant montre comment modifier un filtre existant à supprimer de tous les enregistrement de publipostage qui n'ont pas de champ Région égal à "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

Utilisez la méthode Add de l'objet ODSOFilters pour ajouter un nouveau critère de filtre à la requête. Cet exemple montre comment ajouter une nouvelle ligne à la chaîne de requête puis comment appliquer le filtre combiné à la source de données.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters, objet

OfficeDataSourceObject
ODSOFilters
ODSOFilter

Cet objet représente tous les filtres à appliquer à la source de données liée à la publication de publipostage. L'objet ODSOFilters est composé d'objets ODSOFilter.

Utilisation de l'objet ODSOFilters

Utilisez la méthode Add de l'objet ODSOFilters pour ajouter un nouveau critère de filtre à la requête. Cet exemple montre comment ajouter une nouvelle ligne à la chaîne de requête puis comment appliquer le filtre combiné à la source de données.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

Utilisez la méthode Item pour atteindre un critère de filtre individuel. Cet exemple montre comment effectuer une boucle sur tous les critères de filtre et s'il en trouve un avec une valeur pour le champ "Région", il montre comment le changer pour supprimer du publipostage tous les enregistrements qui ne sont pas égaux à "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject, objet

OfficeDataSourceObject
Plusieurs objets

Cet objet représente la source de données de publipostage dans une opération de publipostage.

Utilisation de l'objet OfficeDataSourceObject

Pour utiliser l'objet OfficeDataSourceObject, dimensionnez une variable en tant qu'objet OfficeDataSourceObject. Vous pouvez ensuite utiliser les différentes propriétés et méthodes associées à l'objet. Utilisez la méthode SetSortOrder pour indiquer comment trier les enregistrements dans une source de données. L'exemple suivant montre comment trier la source de données en fonction du code postal en ordre décroissant, puis en fonction du nom et du prénom en ordre croissant.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

Utilisez les propriétés Column, Comparison, CompareTo et Conjunction pour renvoyer et définir le critère de requête de la source de données. L'exemple suivant montre comment changer un filtre existant à supprimer de tous les enregistrements du publipostage qui n'ont pas de champ Région égal à "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest, objet

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Représente un seul critère de recherche de fichiers. Les critères de recherche sont répertoriés dans la boîte de dialogue Recherche approfondie (menu Fichier, commande Ouvrir, bouton Rechercher). L'objet PropertyTest est un membre de la collection PropertyTests.

Utilisation de l'objet PropertyTest

Pour renvoyer un seul objet PropertyTest, utilisez PropertyTests(index), index étant le numéro d'index. L'exemple suivant montre comment afficher tous les critères de recherche pour le premier test de propriété de la collection PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests Collection Object

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Collection d'objets PropertyTest qui représente tous les critères de recherche d'une recherche de fichiers. Les critères de recherche sont répertoriés dans la boîte de dialogue Recherche approfondie (menu Fichier, commande Ouvrir, bouton Rechercher).

Utilisation de la collection PropertyTests

Pour renvoyer la collection PropertyTests, utilisez la propriété PropertyTests. L'exemple suivant montre comment afficher le nombre de critères d'une recherche approfondie qui seront utilisés pour une recherche.

Application.FileSearch.PropertyTests.Count

Utilisez la méthode Add pour ajouter un nouvel objet PropertyTest à la collection PropertyTests. L'exemple suivant montre comment ajouter deux tests de propriété aux critères de recherche. Le premier critère spécifie que les fichiers trouvés peuvent être de tout type, et le second critère spécifie que ces fichiers doivent avoir été modifiés entre le premier janvier 1996 et le trente juin 1996. Cet exemple montre comment afficher le nombre de fichiers trouvés et le nom de chacun d'eux dans une zone de message.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Pour renvoyer un seul objet PropertyTest, utilisez PropertyTests(index), index étant le numéro d'index. L'exemple suivant montre comment afficher tous les critères de recherche pour le premier test de propriété de la collection PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ScopeFolder, objet

Plusieurs objets
ScopeFolder
ScopeFolders

Cet objet correspond à un dossier que vous pouvez rechercher. Les objets ScopeFolder sont destinés à être utilisés avec la collection SearchFolders. La collection SearchFolders définit les dossiers qui sont recherchés lorsque vous utilisez l'objet FileSearch. Lorsque vous souhaitez rechercher des dossiers spécifiques, vous pouvez utiliser les méthodes et les propriétés de l'objet SearchScope et la collection ScopeFolders pour extraire des objets ScopeFolder et les ajouter à la collection SearchFolders.

Utilisation de l'objet ScopeFolder

Utilisez la propriété ScopeFolder de l'objet SearchScope pour renvoyer l'objet ScopeFolder racine d'une zone de recherche ; par exemple :

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

Utilisez la méthode Item de la collection ScopeFolders pour renvoyer un sous-dossier d'un objet ScopeFolder racine ; par exemple :

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

Utilisez la méthode Item de la collection SearchFolders pour renvoyer un dossier qui sera recherché la prochaine fois que la méthode Execute de l'objet FileSearch sera appelée ; par exemple :

Set sf = Application.FileSearch.SearchFolders.Item(1)

Dans chaque objet ScopeFolder, il existe une collection ScopeFolders qui contient les sous-dossiers de l'objet ScopeFolder parent. Vous pouvez traverser la structure de dossiers entière d'une zone de recherche (par exemple, tous les lecteurs locaux) en effectuant des boucles sur ces collections ScopeFolders et en renvoyant tous les objets ScopeFolder de niveau inférieur. Un objet ScopeFolder sans sous-dossier contient une collection ScopeFolders vide.

Pour voir un exemple illustrant comment effectuer une boucle sur tous les objets ScopeFolder dans une zone de recherche, consultez la rubrique correspondante de la collection SearchFolders.

Vous pouvez utiliser la méthode Add de la collection SearchFolders pour ajouter un objet ScopeFolder à la collection SearchFolders. Toutefois, il est souvent plus simple d'utiliser la méthode AddToSearchFolders de l'objet ScopeFolder que vous souhaitez ajouter, étant donné qu'il n'existe qu'une seule collection SearchFolders pour toutes les recherches.

Pour voir un exemple illustrant la manière d'ajouter un objet ScopeFolder à la collection SearchFolders, consultez la rubrique correspondante de la collection SearchFolders.

L'exemple suivant montre comment afficher le chemin racine de chaque répertoire dans le Poste de travail. Pour récupérer cette information, l'exemple montre comment obtenir l'objet ScopeFolder à la racine du Poste de travail. Le chemin de cet objet ScopeFolder est toujours "*". Comme avec tous les objets ScopeFolder, l'objet racine contient une collection ScopeFolders. Cet exemple montre comment effectuer une boucle sur cette collection ScopeFolders et comment afficher le chemin de chaque objet ScopeFolder qu'elle contient. Les chemins de ces objets ScopeFolder sont "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders, collection

ScopeFolder
ScopeFolders
ScopeFolder

Collection d'objets ScopeFolder. Seuls des objets ScopeFolder contiennent des collections ScopeFolders. Chaque collection ScopeFolders contient les objets ScopeFolder qui correspondent aux sous-dossiers de l'objet ScopeFolder parent.

Utilisation de la collection ScopeFolders

Utilisez la propriété ScopeFolders de l'objet ScopeFolder pour renvoyer une collection ScopeFolders.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

Vous ne pouvez pas ajouter ni supprimer des objets ScopeFolder d'une collection ScopeFolders.


Script, objet

Scripts (Script)

Cet objet représente un bloc de script HTML dans un document Microsoft Word, une feuille de calcul Microsoft Excel ou une diapositive Microsoft PowerPoint. L'objet Script est un membre de la collection Scripts.

Utilisation de l'objet Script

Utilisez Scripts.Item(index), index étant le nom, l'ID ou le numéro d'index d'un script, pour renvoyer un seul objet Script. Chaque objet Script est identifié par la propriété Id, qui fournit un nom pratique que vous pouvez utiliser pour accéder au script. Cet exemple montre comment ajouter un seul script à la collection Scripts pour le document actif et afficher l'ID du script avec la valeur d'index 1.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Vous pouvez spécifier le langage de script en modifiant la propriété Language. Cet exemple montre comment remplacer le langage ScriptOne par ASP (Active Server Pages).

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Vous pouvez vérifier l'emplacement de la forme de l'ancre de script au sein d'un document HTML en utilisant la propriété Location. Cet exemple montre comment effectuer cette vérification afin de déterminer si ScriptOne se trouve dans le corps du document HTML actif.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Vous pouvez vérifier ou définir les attributs ajoutés à la balise <SCRIPT> (à l'exception des attributs LANGUAGE et ID) en utilisant la propriété Extended. Cet exemple montre comment vérifier s'il existe des attributs supplémentaires dans le script 1 du document actif.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Vous pouvez vérifier ou définir le texte de script associé à un script donné en utilisant la propriété ScriptText. Cet exemple montre comment afficher un message contenant le texte de script associé à ScriptOne dans le document actif.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts, collection d'objets

Scripts (Script)

Collection d'objets Script qui représentent la collection des scripts HTML dans le document spécifié.

Utilisation de la collection Scripts

La collection Scripts contient tous les objets Script dans un document donné, dans l'ordre source (l'ordre dans lequel les objets Script ont été ajoutés au fichier source). L'ordre source n'est pas affecté par l'emplacement (en-tête ou corps du texte) du script dans le document. Vous pouvez utiliser les objets Script pour accéder à un script ou pour ajouter un script à un document Microsoft Word, une feuille de calcul Microsoft Excel ou une diapositive Microsoft PowerPoint. Vous pouvez également utiliser la collection Scripts pour accéder à une page ou à un script HTML qui est ouvert dans une application Microsoft Office.

Note Microsoft Access n'utilise pas ce composant Office partagé.

Ajout d'un script

Lorsque vous ajoutez un objet Script à la collection Scripts, un objet Shape de type msoScriptAnchor est automatiquement ajouté au document. Dans une feuille de calcul Excel ou une diapositive PowerPoint, la forme est ajoutée à la collection Shapes. Dans un document Word, elle est ajoutée à la collection InlineShapes. Vous ajoutez un objet Script à un document à l'aide de la méthode Add. Cet exemple montre comment ajouter un script simple au document Word actif.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Pour accéder à un élément particulier de la collection Scripts, utilisez la méthode Item et fournissez soit l'attribut ID de la balise <SCRIPT>, soit le numéro d'index qui indique l'emplacement du script dans la collection. L'ID doit être unique dans le document. En cas d'attributs ID en double, le premier script trouvé portant cet ID est renvoyé. Cet exemple montre comment afficher un message indiquant le langage du premier script trouvé qui utilise l'ID ScriptOne.

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Utilisez la propriété Count pour déterminer le nombre d'objets Script dans le document spécifié. Cet exemple montre comment afficher le nombre de scripts dans le document actif.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Utilisez la méthode Delete pour supprimer un script de la collection Scripts, comme le montre l'exemple suivant.

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders, collection

FileSearch
SearchFolders
ScopeFolder

Collection d'objets ScopeFolder qui détermine quels dossiers sont recherchés lorsque la méthode Execute de l'objet FileSearch est appelée.

Utilisation de la collection SearchFolders

Utilisez la propriété SearchFolders avec l'objet FileSearch pour renvoyer la collection SearchFolders ; par exemple :

Set sfs = Application.FileSearch.SearchFolders

Pour chaque application, il n'existe qu'une seule collection SearchFolders. Le contenu de la collection reste après la fin de l'exécution du code qui l'appelle. Par conséquent, il est important de supprimer la collection à moins que vous ne souhaitiez inclure des dossiers des précédentes recherches dans votre recherche.

Vous pouvez utiliser la méthode Add de la collection SearchFolders pour ajouter un objet ScopeFolder à la collection SearchFolders. Toutefois, il est souvent plus simple d'utiliser la méthode AddToSearchFolders de l'objet ScopeFolder que vous souhaitez ajouter, étant donné qu'il n'existe qu'une seule collection SearchFolders pour toutes les recherches.

La collection SearchFolders peut être considérée comme un complément de la propriété LookIn de l'objet FileSearch. Toutes deux spécifient des dossiers à rechercher et sont utilisées lorsque la recherche est exécutée. Toutefois, si vous souhaitez uniquement utiliser la propriété LookIn, assurez-vous que la collection SearchFolders est vide. Par contre, si vous souhaitez uniquement utiliser la collection SearchFolders, affectez le chemin du premier membre de la collection SearchFolders à la propriété LookIn avant d'appeler la méthode Execute.

L'exemple suivant montre comment rechercher tous les dossiers intitulés « 1033 » sur la machine locale parmi tous les fichiers HTML et Microsoft Excel. L'exemple montre comment utiliser les collections SearchFolders, SearchScopes et ScopeFolders.

Cet exemple se compose de deux routines. La routine SearchEveryFolder est celle que vous devez exécuter. La routine OutputPaths est séparée de la routine principale parce qu'elle s'appelle de manière récursive afin de traverser la structure de répertoires entière de la machine locale.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope, objet

SearchScopes
SearchScope
ScopeFolder

Cet objet correspond à un type d'arborescence de dossiers dans laquelle vous pouvez effectuer des recherches en utilisant l'objet FileSearch. Par exemple, les lecteurs locaux de cet ordinateur représentent une seule zone de recherche. Les dossiers Network et Microsoft Outlook constituent également une zone de recherche distincte éventuellement disponible. Chaque objet SearchScope contient un seul objet ScopeFolder qui correspond au dossier racine de la zone de recherche.

Utilisation de l'objet SearchScope

Utilisez la méthode Item de la collection SearchScopes pour renvoyer un objet SearchScope ; par exemple :

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

Enfin, l'objet SearchScope permet d'accéder aux objets ScopeFolder qui peuvent être ajoutés à la collection SearchFolders. Pour voir un exemple illustrant la manière dont cela est effectué, consultez la rubrique correspondante dans la collection SearchFolders.

Consultez la rubrique correspondante de l'objet ScopeFolder pour voir un exemple simple de la manière de renvoyer un objet ScopeFolder à partir d'un objet SearchScope.

L'exemple suivant montre comment afficher tous les objets SearchScope actuellement disponibles.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchScopes, collection

FileSearch
SearchScopes
SearchScope

Collection d'objets SearchScope.

Utilisation de la collection SearchScopes

Utilisez la propriété SearchScopes de l'objet FileSearch pour renvoyer une collection SearchScopes ; par exemple :

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

Vous ne pouvez ni ajouter ni supprimer des objets SearchScope de la collection SearchScopes.


Signature, objet

SignatureSet
Signature

Cet objet correspond à une signature numérique liée à un document. Les objets Signature sont contenus dans la collection SignatureSet de l'objet Document.

Utilisation de l'objet Signature

Vous pouvez ajouter un objet Signature à une collection SignatureSet en utilisant la méthode Add et vous pouvez renvoyer un membre existant en utilisant la méthode Item. Pour supprimer un objet Signature d'une collection SignatureSet, utilisez la méthode Delete de l'objet Signature.

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


SignatureSet, collection

SignatureSet
Signature

Collection d'objets Signature correspondant aux signatures numériques liées à un document.

Utilisation de la collection SignatureSet

Utilisez la propriété Signatures de l'objet Document pour renvoyer une collection SignatureSet ; par exemple :

Set sigs = ActiveDocument.Signatures

Remarque Les modifications que vous effectuez dans la collection SignatureSet d'un document ne sont pas conservées tant que vous n'appelez pas la méthode Commit.

Vous pouvez ajouter un objet Signature à une collection SignatureSet en utilisant la méthode Add et vous pouvez renvoyer un membre existant à l'aide de la méthode Item. Pour supprimer un objet Signature d'une collection SignatureSet, utilisez la méthode Delete de l'objet Signature.

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


WebPageFont, objet

WebPageFonts (WebPageFont)

Représente la police par défaut utilisée lorsque des documents sont enregistrés en tant que pages Web pour un jeu de caractères particulier.

Utilisation de l'objet WebPageFont

Utilisez l'objet WebPageFont pour décrire la police proportionnelle et sa taille ainsi que la police à largeur fixe et sa taille pour tout jeu de caractères disponible.

Les jeux de caractères suivants sont pris en charge.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Cet exemple montre comment définir la police proportionnelle ainsi que sa taille pour l'objet WebPageFont myFont.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts, collection d'objets

WebPageFonts (WebPageFont)

Collection d'objets WebPageFont qui décrivent la police proportionnelle et sa taille ainsi que la police à largeur fixe et sa taille utilisées lorsque des documents sont enregistrés en tant que pages Web. Vous pouvez spécifier un ensemble différent de propriétés de polices de pages Web pour chaque jeu de caractères disponible.

Utilisation de la collection WebPageFonts

La collection WebPageFonts contient un objet WebPageFont pour chaque jeu de caractères.

Les jeux de caractères suivants sont pris en charge.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Cet exemple montre comment utiliser la propriété Item pour attribuer à myFont la valeur de l'objet WebPageFont pour le jeu de caractères Anglais/Européen occidental/Autre script latin (« English/Western European/Other Latin Script ») dans l'application en cours.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette méthode poursuit ou suspend l'aide du Compagnon Office au cours de l'affichage d'Assistants personnalisés.

Remarque Vous ne devez utiliser cette méthode qu'avec la méthode StartWizard.

expression.ActivateWizard(WizardID, Act, Animation)

expression Obligatoire. Expression qui renvoie un objet Assistant.

WizardID Argument de type Long obligatoire. Numéro renvoyé par la méthode StartWizard.

Act MsoWizardActType obligatoire. Spécifie la modification apportée à la session d'aide du Compagnon Office.

MsoWizardActType peut être l'une de ces constantes MsoWizardActType.
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Argument de type Variant facultatif. Animation que le Compagnon Office exécute lorsqu'il est suspendu ou poursuivi.

Exemple

Cet exemple montre comment suspendre la session de l'Assistant lancée par la méthode StartWizard. La variable IHelpForWiz a reçu la valeur renvoyée par la méthode StartWizard.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add, méthode

Méthode Add telle qu'elle s'applique à l'objet NewFile.

Cette méthode ajoute un nouvel élément au volet Office Nouvel élément. Elle renvoie un objet de type Boolean. Elle a la valeur True si l'élément a été correctement ajouté.

expression.Add(FileName, Section, DisplayName, Action)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

FileName Argument de type String obligatoire. Nom du fichier à ajouter à la liste des fichiers dans le volet Office.

Section Argument de type Variant facultatif. Section à laquelle ajouter le fichier. Il peut s'agir de n'importe quelle constante msoFileNewSection.

DisplayName Argument de type Variant facultatif. Texte à afficher dans le volet Office.

Action Argument de type Variant facultatif. Action à entreprendre lorsqu'un utilisateur clique sur l'élément. Il peut s'agir de n'importe quelle constante msoFileNewAction.

Méthode Add telle qu'elle s'applique à l'objet CommandBars.

Cette méthode crée une nouvelle barre de commandes et l'ajoute à la collection de barres de commandes. Elle renvoie un objet CommandBar.

expression.Add(Name, Position, MenuBar, Temporary)

expression Obligatoire. Expression qui renvoie un objet CommandBars.

Name Argument de type Variant facultatif. Nom de la nouvelle barre de commandes. Si vous ne spécifiez pas cet argument, un nom par défaut est affecté à la barre de commandes (tel que Custom 1).

Position Argument de type Variant facultatif. Position ou type de la nouvelle barre de commandes. Il peut s'agir de l'une des constantes MsoBarPosition répertoriées dans le tableau suivant :

Constante | Description
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Indique les coordonnées de gauche, du haut, de droite et du bas de la barre
msoBarFloating | Indique que la barre ne sera pas ancrée
msoBarPopup | Indique qu'il s'agit d'un menu contextuel
msoBarMenuBar | Disponible uniquement sur Macintosh

MenuBar Argument de type Variant facultatif. Affectez-lui la valeur True pour remplacer la barre de menus active par la nouvelle barre de commandes. La valeur par défaut est False.

Temporary Argument de type Variant facultatif. Affectez-lui la valeur True s'il s'agit d'une barre temporaire. Les barres de commandes temporaires sont supprimées lors de la fermeture de l'application. La valeur par défaut est False.

Méthode Add telle qu'elle s'applique à l'objet CommandBarControls.

Cette méthode crée un nouvel objet CommandBarControl et l'ajoute à la collection de contrôles dans la barre de commandes spécifiée.

expression.Add(Type, Id, Parameter, Before, Temporary)

expression Obligatoire. Expression qui renvoie un objet CommandBarControls.

Type Argument de type Variant facultatif. Type de contrôle à ajouter à la barre de commandes spécifiée. Il peut s'agir de l'une des constantes MsoControlType suivantes : msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox ou msoControlPopup.

Id Argument de type Variant facultatif. Nombre entier qui spécifie un contrôle prédéfini. Si la valeur de l'argument est 1, ou si vous ne spécifiez pas cet argument, un contrôle personnalisé vide du type spécifié sera ajouté à la barre de commandes.

Parameter Argument de type Variant facultatif. Pour les contrôles prédéfinis, cet argument est utilisé par l'application conteneur pour exécuter la commande. Pour les contrôles personnalisés, vous pouvez utiliser cet argument pour envoyer des informations aux macros Visual Basic, ou pour stocker des informations relatives aux contrôles (similaire à une deuxième valeur de la propriété Tag).

Before Argument de type Variant facultatif. Numéro qui indique la position du nouveau contrôle dans la barre de commandes. Le nouveau contrôle s'insère avant celui qui occupe déjà cette position dans la barre. Si vous ne spécifiez pas cet argument, le contrôle est ajouté à la fin de la barre de commandes spécifiée.

Temporary Argument de type Variant facultatif. Affectez-lui la valeur True s'il s'agit d'un nouveau contrôle temporaire. Les contrôles temporaires sont automatiquement supprimés lors de la fermeture de l'application conteneur. La valeur par défaut est False.

Méthode Add telle qu'elle s'applique à l'objet DocumentProperties.

Cette méthode crée une nouvelle propriété de document personnalisée. Cette méthode ne s'applique que sur la collection DocumentProperties personnalisée.

expression.Add(Name, LinkToContent, Type, Value, LinkSource)

expression Obligatoire. L'objet DocumentProperties personnalisé.

Name Argument de type String obligatoire. Nom de la propriété.

LinkToContent Argument de type Boolean obligatoire. Indique si la propriété est liée au contenu du document ou non. Si l'argument a la valeur True, l'argument LinkSource est obligatoire ; s'il a la valeur False, l'argument Value est obligatoire.

Type Argument de type Variant facultatif. Type de données de la propriété. Il peut s'agir de l'une des constantes MsoDocProperties suivantes : msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber ou msoPropertyTypeString.

Value Argument de type Variant facultatif. Valeur de la propriété, si elle n'est pas liée au contenu du document conteneur. La valeur est convertie pour correspondre au type de données spécifié par l'argument Type. Si elle ne peut pas être convertie, une erreur se produit. Si LinkToContent a la valeur True, l'argument Value est ignoré et une valeur par défaut est affectée à la propriété du nouveau document jusqu'à ce que les valeurs de la propriété liée soient mises à jour par l'application conteneur (généralement lorsque le document est enregistré).

LinkSource Argument de type Variant facultatif. Cet argument est ignoré si l'argument LinkToContent a la valeur False. La source de la propriété liée. Les types de liens utilisables sont déterminés par l'application conteneur.

Notes

Si vous ajoutez une propriété de document personnalisée à la collection DocumentProperties liée à une valeur donnée dans un document Microsoft Office, vous devez enregistrer le document pour voir la modification effectuée dans l'objet DocumentProperty.

Méthode Add telle qu'elle s'applique à l'objet FileDialogFilters.

Cette méthode ajoute un nouveau filtre de fichier à la liste des filtres dans la zone de liste déroulante Type de fichier de la boîte de dialogue Fichier. Elle renvoie un objet FileDialogFilter qui représente le filtre de fichier nouvellement ajouté.

expression.Add(Description, Extensions, Position)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Description Argument de type String obligatoire. Texte représentant la description de l'extension de fichier que vous souhaitez ajouter à la liste des filtres.

Extensions Argument de type String obligatoire. Texte représentant l'extension de fichier que vous souhaitez ajouter à la liste des filtres. Plusieurs extensions peuvent être spécifiées et chacune doit être séparée par un point-virgule (;). Par exemple, l'argument Extensions peut être affecté à la chaîne : "*.txt; *.htm". Notez qu'il n'est pas nécessaire d'ajouter des parenthèses autour des extensions. Office ajoute automatiquement des parenthèses autour de la chaîne des extensions lorsque la description et les chaînes des extensions sont concaténées dans un élément de filtre de fichier.

Position Argument de type Variant facultatif. Nombre qui indique la position du nouveau contrôle dans la liste de filtres. Le nouveau filtre sera inséré devant le filtre à cet emplacement. Si vous ne spécifiez pas cet argument, le filtre est ajouté à la fin de la liste.

Notes

Chaque filtre dans une liste est composé de deux parties : l'extension de fichier (par exemple .txt) et la description de l'extension du fichier (par exemple Fichiers texte). Ainsi, le filtre de fichier s'affiche dans la zone de liste déroulante Type de fichier sous la forme : Fichiers texte (*.txt).

Notez que lorsqu'un filtre est ajouté à la liste, les filtres par défaut ne sont pas supprimés.

Les filtres ne s'affichent que lorsque l'option Fenêtres est activée.

Si l'argument Position n'est pas valide, une erreur d'exécution en dehors de l'intervalle admis s'affiche. Si les valeurs des arguments Description et Extensions ne sont pas valides, une erreur d'exécution (analyse) s'affiche.

Les boîtes de dialogue du sélecteur de dossier ne contiennent pas de filtres Les méthodes de filtre ne s'appliquent donc pas au sélecteur de dossier.

Méthode Add telle qu'elle s'applique à l'objet Scripts.

Cette méthode ajoute un objet Script à la collection Scripts de l'un des objets suivants : un objet Document ou Range dans Microsoft Word ; un objet Worksheet ou Chart dans Microsoft Excel ; un objet Slide, SlideRange, Master (masque des diapositives) ou Master (masque de titre) dans Microsoft PowerPoint. Elle renvoie un objet Script.

expression.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expression Obligatoire. Collection Scripts.

Anchor Argument de type Range facultatif (Microsoft Excel uniquement). L'argument Anchor accepte un objet Range Excel, qui spécifie l'emplacement de l'ancre de script dans un objet Worksheet Excel. Vous ne pouvez pas insérer d'ancres de script dans les graphiques Excel.

Location Argument de type MsoScriptLocation facultatif. Indique l'emplacement de l'ancre de script dans un document. Si vous avez spécifié l'argument Anchor, l'argument Location n'est pas utilisé ; l'emplacement de l'argument Anchor détermine l'emplacement de l'ancre de script.

MsoScriptLocation peut être l'une de ces constantes MsoScriptLocation.
msoScriptLocationInBody par défaut
msoScriptLocationInHead

Language Argument de type MsoScriptLanguage facultatif. Indique le langage de script.

MsoScriptLanguage peut être l'une des ces constantes MsoScriptLanguage.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic par défaut

Id Argument de type String facultatif. ID de la balise <SCRIPT> en HTML. L'argument Id indique un identificateur SGML utilisé pour nommer des éléments. Les identificateurs valides incluent n'importe quelle chaîne commençant par une lettre et composée de caractères alphanumériques ; la chaîne peut également inclure le caractère de soulignement ( _ ). L'ID doit être unique au sein du document HTML. Ce paramètre est exporté en tant qu'attribut ID dans la balise <SCRIPT>.

Extended Argument de type String facultatif. Indique les attributs qui doivent être ajoutés à la balise <SCRIPT> (les attributs LANGUAGE et ID sont exportés par l'intermédiaire des paramètres Language et Id et ne doivent pas être exportés au moyen du paramètre Extended). La valeur par défaut est une chaîne vide. Les attributs sont séparés par des espaces, comme en langage HTML. L'application Microsoft Office hôte n'offre aucun moyen de vérifier la syntaxe des attributs transmis.

ScriptText Argument de type String facultatif. Indique le texte contenu dans un bloc de script. La valeur par défaut est une chaîne vide. L'application hôte Microsoft Office ne vérifie pas la syntaxe du script.

Notes

Une forme associée à un bloc de script n'est pas exportée ou imprimée comme une forme en HTML. Seul le bloc de script est exporté.

Vous ne pouvez pas utiliser la méthode Add pour ajouter une ancre de script à une plage de diapositives PowerPoint qui contient plusieurs diapositives.

Méthode Add telle qu'elle s'applique à l'objet SignatureSet.

Cette méthode renvoie un objet Signature qui représente la signature d'un nouveau courrier électronique.

expression.Add

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Méthode Add telle qu'elle s'applique à l'objet ODSOFilters.

Cette méthode ajoute un nouveau filtre à la collection ODSOFilters.

expression.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Column Argument de type String obligatoire. Nom du tableau dans la source de données.

Comparison Argument de type MsoFilterComparison obligatoire. Manière dont les données contenues dans le tableau sont filtrées.

MsoFilterComparison peut être l'une de ces constantes MsoFilterComparison.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction Argument de type MsoFilterConjunction obligatoire. Il détermine comment ce filtre est lié à d'autres filtres dans l'objet ODSOFilters.

MsoFilterConjunction peut être l'une de ces constantes MsoFilterConjunction.
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo Argument de type String facultatif. Si l'argument Comparison n'a pas la valeur msoFilterComparisonIsBlank ou msoFilterComparisonIsNotBlank, cet argument est une chaîne à laquelle les données du tableau sont comparées.

DeferUpdate Argument de type Boolean facultatif. La valeur par défaut est False.

Méthode Add telle qu'elle s'applique à l'objet AnswerWizardFiles.

Cette méthode crée une nouvelle référence (argument de type String) à un fichier de l'aide intuitive et l'ajoute à la collection AnswerWizardFiles.

expression.Add(FileName)

expression Obligatoire. Expression qui renvoie une collection AnswerWizardFiles.

FileName Argument de type String obligatoire. Chemin d'accès complet du fichier spécifié de l'aide intuitive.

Méthode Add telle qu'elle s'applique à l'objet FileTypes.

Cette méthode ajoute un nouveau type de fichier à une recherche de fichiers.

expression.Add(FileType)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

FileType Argument de type MsoFileType obligatoire. Indique le type de fichier à rechercher.

MsoFileType peut être l'une de ces constantes MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Méthode Add telle qu'elle s'applique à l'objet PropertyTests.

Cette méthode ajoute un objet PropertyTest à la collection PropertyTests.

expression.Add(Name, Condition, Value, SecondValue, Connector)

expression Obligatoire. Expression qui renvoie un objet PropertyTests.

Name Argument de type String obligatoire. Nom du critère de la propriété. Le nom correspond à une valeur dans la zone Propriété de la boîte de dialogue Recherche approfondie, que vous ouvrez à partir du menu Outils dans la boîte de dialogue Ouvrir de l'application (menu Fichier).

Condition Argument de type MsoCondition obligatoire. Condition de critères de recherche.

MsoCondition peut être l'une de ces constantes MsoCondition.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Argument de type Variant facultatif. Valeur de critères de recherche.

SecondValue Argument de type Variant facultatif. Valeur plus élevée pour la plage de recherche. Vous pouvez utiliser cet argument seulement si Condition est msoConditionAnyTimeBetween ou msoConditionAnyNumberBetween.

Connector Argument de type MsoConnector facultatif. Spécifie la façon dont deux critères de recherche sont combinés.

MsoConnector peut être l'une de ces constantes MsoConnector.
msoConnectorAnd par défaut
msoConnectorOr

Méthode Add telle qu'elle s'applique à l'objet SearchFolders.

Cette méthode ajoute un dossier de recherche à une recherche de fichier.

expression.Add(ScopeFolder)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

ScopeFolder Objet ScopeFolder obligatoire. Dossier à ajouter à la recherche.

Exemples

Telle qu'elle s'applique à l'objet AnswerWizardFiles.

Cet exemple montre comment préparer l'Aide intuitive à accepter une liste de fichiers personnalisée et comment ajouter deux fichiers d'Aide intuitive personnalisés. L'exemple montre d'abord comment supprimer la liste de fichiers, puis comment ajouter deux fichiers d'Aide intuitive personnalisés et comment vérifier le nombre de fichiers et les noms de fichiers pour s'assurer que les fichiers ont été correctement ajoutés.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

Telle qu'elle s'applique à l'objet CommandBarControls.

Cet exemple montre comment créer une barre d'outils personnalisée qui contient des boutons (contrôles) permettant de couper, copier et coller.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

Telle qu'elle s'applique à l'objet DocumentProperties.

Cet exemple, conçu pour s'exécuter dans Microsoft Word, montre comment ajouter trois propriétés de document personnalisées à la collection DocumentProperties.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

Telle qu'elle s'applique à l'objet PropertyTests.

Cet exemple montre comment ajouter deux tests de propriété aux critères de recherche. Le premier test consiste à vérifier que les fichiers sont des documents Microsoft Word et le second vérifie qu'ils ont été modifiés entre le 1er janvier 1996 et le 30 juin 1996. L'exemple montre également comment afficher un message qui indique le nombre total de fichiers trouvés, le cas échéant, et le nom de chaque fichier trouvé.

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
Telle qu'elle s'applique à l'objet Scripts.

Cet exemple montre comment ajouter un nouvel objet Script dans la plage spécifiée de la feuille de calcul 1 du classeur actif.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


AddItem, méthode

Ajoute un élément de liste à la zone de liste modifiable de barre de commandes spécifiée. Ce contrôle doit être personnalisé et correspondre à une liste déroulante ou à une liste modifiable.

Remarque Cette méthode échouera si elle est appliquée à une zone de liste modifiable prédéfinie ou à une zone de modification.

expression.AddItem(Text, Index)

expression Obligatoire. Expression qui renvoie un objet CommandBarComboBox.

Text Argument de type String obligatoire. Élément à ajouter au contrôle spécifié.

Index Argument de type Variant facultatif. Position de l'élément spécifié dans la liste d'éléments. Si vous ne spécifiez pas cet argument, l'élément est ajouté à la fin de la liste.

Exemple

Cet exemple montre comment ajouter une zone de liste modifiable à une barre de commandes. Deux éléments sont ajoutés au contrôle et une valeur est affectée au nombre de lignes d'éléments et à la largeur de la zone modifiable.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders, méthode

Cette méthode ajoute un objet ScopeFolder à la collection SearchFolders.

expression.AddToSearchFolders

expression Obligatoire. Expression qui renvoie un objet ScopeFolder.

Notes

Bien que vous puissiez utiliser la méthode Add de la collection SearchFolders pour ajouter un objet ScopeFolder à la collection SearchFolders, il est généralement plus simple d'utiliser la méthode AddToSearchFolders de l'objet ScopeFolder que vous souhaitez ajouter, parce qu'il n'existe qu'une seule collection SearchFolders pour toutes les recherches.

Exemple

L'exemple suivant montre comment ajouter l'objet ScopeFolder racine à la collection SearchFolders. Pour un exemple plus long qui utilise la méthode AddToSearchFolders, consultez la rubrique de la collection SearchFolders.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter, méthode

Cette méthode applique un filtre à une source de données de publipostage pour filtrer des enregistrements spécifiés répondant à des critères spécifiés.

expression.ApplyFilter

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment ajouter un nouveau filtre qui supprime tous les enregistrements contenant un champ Région vide, puis comment appliquer le filtre à la publication active.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear, méthode

Supprime tous les éléments de liste de la zone de liste modifiable de barre de commandes spécifiée (zone de liste déroulante ou zone de liste modifiable) et efface la zone de texte (zone de modification ou zone de liste modifiable).

Remarque Cette méthode échouera si elle est appliquée à un contrôle de barre de commandes prédéfini.

expression.Clear

expression Obligatoire. Expression qui renvoie un objet CommandBarComboBox.

Exemple

Cet exemple montre comment vérifier le nombre d'éléments de la zone de liste modifiable de la barre de commandes « Custom ». Si la liste de la zone modifiable comporte moins de trois éléments, elle est effacée, puis un nouveau premier élément y est ajouté et devient l'élément par défaut.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


ClearFileList, méthode

Supprime la liste des fichiers pour l'aide intuitive actuelle, y compris la liste par défaut pour l'application hôte Microsoft Office.

expression.ClearFileList

expression Expression qui renvoie un objet AnswerWizard.

Notes

Utilisez cette méthode pour supprimer toutes les entrées de la liste de fichier actuelle pour l'application spécifiée. Cette méthode permet également de vérifier qu'aucun des fichiers par défaut de l'aide intuitive pour l'application hôte n'est disponible pour les utilisateurs. Vous pouvez ensuite établir une liste de fichiers personnalisée à l'aide de la méthode Add de la collection AnswerWizardFiles.

Pour restaurer l'ensemble de fichiers de l'aide intuitive par défaut pour l'application hôte, utilisez la méthode ResetFileList.

Exemple

Cet exemple montre comment préparer l'aide intuitive à accepter une liste de fichiers personnalisés et ajouter deux fichiers personnalisés de l'aide intuitive. L'exemple montre comment supprimer la liste de fichiers, puis ajouter deux fichiers personnalisés de l'aide intuitive et vérifier le nombre de fichiers ainsi que leurs noms pour vérifier que ces fichiers ont été ajoutés correctement.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close, méthode

Ferme la bulle non modale active. Vous devez utiliser la méthode uniquement lors de procédures de rappel.

expression.Close

expression Obligatoire. Expression qui renvoie un objet Balloon.

Exemple

Cet exemple montre comment afficher une bulle qui contient des instructions pour chacune des trois imprimantes. Dès que l'utilisateur clique sur le bouton OK de la bulle, la procédure callback ProcessPrinter démarre et la bulle est fermée.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Commit, méthode

Cette méthode valide tous les changements de la collection SignatureSet spécifiée sur un disque. Tant que la méthode Commit n'est pas exécutée, aucun des changements effectués dans la collection SignatureSet n'est enregistré.

expression.Commit

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et appelez cette fonction. La fonction effectue un test pour s'assurer que la signature numérique que l'utilisateur sélectionne ne va pas expirer dans moins de 12 mois. Si c'est le cas, le certificate n'est pas joint.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Copy, méthode

Copie le contrôle de barre de commandes spécifié dans une barre de commandes existante.

expression.Copy(Bar, Before)

expression Obligatoire. Expression qui renvoie un objet CommandBarControl, CommandBarButton, CommandBarPopup ou CommandBarComboBox.

Bar Argument de type Variant facultatif. Objet CommandBar qui représente la barre de commandes de destination. Si vous ne spécifiez pas cet argument, le contrôle est recopié sur sa barre d'origine.

Before Argument de type Variant facultatif. Numéro qui indique la position du nouveau contrôle sur la barre de commandes indiquée. Le nouveau contrôle s'insère avant celui qui occupe déjà cette position dans la barre. Si vous ne spécifiez pas cet argument, le contrôle est copié en fin de barre.

Exemple

Cet exemple montre comment copier le premier contrôle de la barre de commandes intitulée « Standard » sur la barre « Custom » en le plaçant en première position.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace, méthode

Copie l'image du bouton de barre de commandes spécifié dans le Presse-papiers.

expression.CopyFace

expression Obligatoire. Expression qui renvoie un objet CommandBarButton.

Notes

La méthode PasteFace permet de coller le contenu du Presse-papiers sur l'image du bouton.

Exemple

Cet exemple montre comment trouver le bouton prédéfini Ouvrir, copier son image dans le Presse-papiers et la coller sur le bouton Grammaire et orthographe.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete, méthode

Méthode Delete telle qu'elle s'applique à l'objet DocumentProperty.

Cette méthode supprime une propriété de document personnalisée.

expression.Delete

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Notes

Il n'est pas possible de supprimer une propriété de document intégrée.

Méthode Delete telle qu'elle s'applique à l'objet AnswerWizardFiles.

Cette méthode supprime l'objet spécifié de la collection qui le contient.

expression.Delete(FileName)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

FileName Argument de type String obligatoire. Nom du fichier à supprimer, incluant le chemin complet, le nom du fichier et son extension.

Méthode Delete telle qu'elle s'applique à l'objet FileDialogFilters.

Cette méthode supprime un filtre de boîte de dialogue de fichier.

expression.Delete(filter)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

filter Argument de type Variant facultatif. Filtre à supprimer.

Méthode Delete telle qu'elle s'applique à l'objet ODSOFilters.

Cette méthode supprime un objet de filtre de la collection ODSOFilters.

expression.Delete(Index, DeferUpdate)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Numéro du filtre à supprimer.

DeferUpdate Argument de type Boolean facultatif.

Méthode Delete telle qu'elle s'applique aux objets CommandBar, Script, Scripts et Signature.

Cette méthode supprime l'objet spécifié de la collection.

expression.Delete

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Notes

Pour la collection Scripts, l'utilisation de la méthode Delete permet de supprimer tous les scripts du document Word, de la feuille de calcul Excel, ou de la diapositive PowerPoint spécifié. Une ancre de script est représentée par une forme dans l'application hôte. Par conséquent, l'objet Shape associé à chaque ancre de script de type msoScriptAnchor est supprimé de la collection Shapes dans Excel et PowerPoint et des collections InlineShapes et Shapes dans Word.

Méthode Delete telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cette méthode supprime l'objet spécifié de la collection qui le contient.

expression.Delete(Temporary)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Temporary Argument de type Variant facultatif. Affectez-lui la valeur True pour supprimer le contrôle pour la session en cours. L'application affichera de nouveau le contrôle lors de la prochaine session.

Exemples

Telle qu'elle s'applique à l'objet CommandBar.

Cet exemple montre comment supprimer toutes les barres de commandes personnalisées qui ne sont pas visibles.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

Telle qu'elle s'applique à l'objet DocumentProperty.

Cet exemple montre comment supprimer une propriété de document personnalisée. Vous devez disposer d'un objet DocumentProperty personnalisé appelé « CustomNumber ».

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


DoAlert, méthode

Cette méthode affiche une alerte et renvoie un objet de type Long qui indique sur quel bouton l'utilisateur a appuyé. Vous pouvez choisir d'afficher cette alerte via le Compagnon Microsoft Office ou en tant que message normal.

expression.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

bstrAlertTitle Argument de type String obligatoire. Définit le titre de l'alerte.

bstrAlertText Argument de type String obligatoire. Définit le texte de l'alerte.

alb Argument de type MsoAlertButtonType obligatoire. Détermine quels boutons sont affichés sur l'alerte.

MsoAlertButtonType peut être l'une de ces constantes MsoAlertButtonType.
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel N'utilisez cette constante que lorsque l'argument varfSysAlert a la valeur False.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc Argument de type MsoAlertIconType obligatoire. Détermine l'icône qui est affichée sur l'alerte.

MsoAlertIconType peut être l'une de ces constantes MsoAlertIconType.
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald Argument de type MsoAlertDefaultType obligatoire. Détermine quel bouton est défini comme bouton par défaut de l'alerte. Si cet argument a une valeur supérieure au nombre de boutons, une erreur est renvoyée.

MsoAlertDefaultType peut être l'une de ces constantes MsoAlertDefaultType.
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq Argument de type MsoAlertCancelType obligatoire. Affectez toujours la valeur msoAlertCancelDefault à cet argument. Toute autre valeur risque d'entraîner le renvoi d'une erreur.

MsoAlertCancelType peut être l'une de ces constantes MsoAlertCancelType.
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Argument de type Boolean obligatoire. Cet argument a la valeur True si l'alerte est affichée dans un message ou la valeur False si l'alerte est affichée via le Compagnon Office.

Notes

Les valeurs renvoyées de la méthode DoAlert correspondent aux valeurs du type vbMsgBoxResult énuméré (par exemple, vbYes, vbNo ou vbCancel). En plus de ces valeurs, les valeurs suivantes peuvent également être renvoyées :

  • "Yes to all" = 8
  • "Try again" = 10
  • "Continue" = 11

Exemple

L'exemple suivant montre comment afficher une alerte via le Compagnon Office et comment afficher un message indiquant sur quel bouton l'utilisateur a appuyé. Si le Compagnon est désactivé, l'alerte s'affiche dans un message normal.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


EndWizard, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Désactive la variable renvoyée par la méthode StartWizard.

Remarque Vous ne devez utiliser cette méthode qu'avec la méthode StartWizard.

expression.EndWizard(WizardID, varfSuccess, Animation)

expression Obligatoire. Expression qui renvoie un objet Assistant.

WizardID Argument de type Long obligatoire. Numéro renvoyé par la méthode StartWizard.

varfSuccess Argument de type Boolean obligatoire. Affectez-lui la valeur True pour indiquer que l'utilisateur a terminé une session du Compagnon avec succès.

Animation Argument de type Variant facultatif. Animation que le Compagnon Office exécute si la valeur True est affectée à varfSuccess. La valeur par défaut est msoAnimationCharacterSuccessMajor.

Exemple

Cet exemple montre comment fermer le Compagnon Office quand l'utilisateur a terminé avec succès une session du Compagnon. La valeur renvoyée par la méthode StartWizard est ensuite affectée à la variable IHelpForWiz.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute, méthode

Méthode Execute telle qu'elle s'applique à l'objet FileSearch.

Cette méthode commence la recherche du (des) fichier(s) spécifié(s). Elle renvoie un objet de type Long ; sa valeur est zéro (0) si aucun fichier n'est trouvé ou un nombre positif si un ou plusieurs fichiers sont trouvés.

expression.Execute(SortBy, SortOrder, AlwaysAccurate)

expression Obligatoire. Expression qui renvoie un objet FileSearch.

SortBy Argument de type MsoSortBy facultatif. Méthode utilisée pour trier le(s) fichier(s) renvoyé(s).

MsoSortBy peut être l'une de ces constantes MsoSortBy.
msoSortByFileName par défaut
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder Argument de type MsoSortOrder facultatif. Ordre dans lequel les fichiers renvoyés sont triés.

MsoSortOrder peut être l'une de ces constantes MsoSortOrder.
msoSortOrderAscending par défaut
msoSortOrderDescending

AlwaysAccurate Argument de type Boolean facultatif. Affectez-lui la valeur True pour inclure dans la recherche les fichiers ajoutés, modifiés ou supprimés depuis la dernière mise à jour de l'index. La valeur par défaut est True.

Méthode Execute telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl, CommandBarPopup et FileDialog.

Pour les objets de barre de commandes, cette méthode exécute la procédure ou la commande intégrée affectée au contrôle de barre de commandes spécifié. Pour les contrôles personnalisés, utilisez la propriété OnAction pour spécifier la procédure à exécuter.

Pour des objets FileDialog du type msoFileDialogOpen ou msoFileDialogSaveAs, cette méthode exécute une action de l'utilisateur juste après l'appel de la méthode Show.

expression.Execute

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Exemple

Telle qu'elle s'applique à l'objet FileSearch.

Cet exemple montre comment chercher tous les fichiers dont l'extension se termine par « .doc » dans le dossier My Documents, puis comment afficher l'emplacement et le nom de chaque fichier trouvé. Les fichiers sont triés alphabétiquement par nom de fichier.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cet exemple Microsoft Excel montre comment créer une barre de commandes et comment ajouter à celle-ci un bouton de barre de commandes. Le bouton exécute la fonction AutoSum Excel. Cet exemple montre comment utiliser la méthode Execute pour ajouter la plage de cellules sélectionnée lorsque la barre de commandes s'affiche.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl, méthode

Renvoie un objet CommandBarControl qui correspond à des critères spécifiés.

expression.FindControl(Type, Id, Tag, Visible, Recursive)

expression Obligatoire. Expression qui renvoie un objet CommandBars.

Type MsoControlType facultatif. Type de contrôle.

Le type MsoControlType peut être l'une de ces constantes MsoControlType.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Argument de type Variant facultatif. Identificateur du contrôle.

Tag Argument de type Variant facultatif. Valeur de l'étiquette du contrôle.

Visible Argument de type Variant facultatif. Affectez-lui la valeur True pour inclure uniquement les contrôles de barre de commandes visibles dans la recherche. La valeur par défaut est False. Les barres de commandes visibles incluent toutes les barres d'outils visibles et tout menu ouvert lors de l'exécution de la méthode FindControl.

Recursive Argument de type Boolean facultatif. Affectez-lui la valeur True pour inclure la barre de commandes et toutes ses sous-barres d'outils contextuelles dans la recherche. La valeur par défaut est False.

Note

Si la collection CommandBars contient deux contrôles ou plus correspondant aux critères de recherche, la méthode FindControl renvoie le premier contrôle qu'elle trouve. Si aucun contrôle n'est trouvé, la méthode FindControl renvoie Nothing.

Exemple

Cet exemple montre comment rechercher le premier contrôle de la barre de commandes intitulée « Custom ». Si le contrôle est un bouton, l'exemple montre comment utiliser la méthode FindControl pour rechercher le bouton Copy (dans la barre d'outils Standard), puis comment copier et coller l'image du bouton Copy sur le contrôle.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls, méthode

Renvoie la collection CommandBars qui correspond aux critères spécifiés.

expression.FindControls(Type, Id, Tag, Visible)

expression Obligatoire. Expression qui renvoie une collection CommandBarControls.

Type MsoControlType facultatif. Type de contrôle.

Le type MsoControlType peut être l'une de ces constantes MsoControlType.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Argument de type Variant facultatif. Identificateur du contrôle.

Tag Argument de type Variant facultatif. Valeur de l'étiquette du contrôle.

Visible Argument de type Variant facultatif. Affectez-lui la valeur True pour inclure uniquement les contrôles de barre de commandes visibles dans la recherche. La valeur par défaut est False.

Note

Si aucun contrôle correspondant aux critères n'est trouvé, la méthode FindControls renvoie Nothing.

Exemple

Cet exemple montre comment utiliser la méthode FindControls pour renvoyer tous les membres de la collection CommandBars qui ont une valeur d'ID de 18 et afficher (dans une zone de message) le nombre de contrôles qui correspondent aux critères de recherche.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Affiche le Compagnon Office et l'info-bulle intégrée du Compagnon.

expression.Help

expression Obligatoire. Expression qui renvoie un objet Assistant.

Exemple

Cet exemple montre comment afficher l'info-bulle intégrée du Compagnon quand l'utilisateur active la case à cocher « I need more information ».

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item, méthode

Méthode Item telle qu'elle s'applique à l'objet COMAddIns.

Cette méthode renvoie un membre de la collection COMAddIns spécifiée.

expression.Item(Index)

expression Obligatoire. Collection COMAddIns spécifiée.

Index Argument de type Variant obligatoire. Valeur ordinale qui renvoie le complément COM à cet emplacement dans la collection COMAddIns ou valeur de type String qui représente le ProgID du complément COM spécifié.

Méthode Item telle qu'elle s'applique à l'objet FileDialogFilters.

Cette méthode renvoie un objet FileDialogFilter qui est un membre de la collection FileDialogFilters spécifiée.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Numéro d'index de l'objet FileDialogFilter à renvoyer.

Méthode Item telle qu'elle s'applique à l'objet HTMLProjectItems.

Cette méthode renvoie l'objet HTMLProjectItem qui représente un objet particulier dans Microsoft Script Editor.

expression.Item(Index)

expression Obligatoire. Collection HTMLProjectItems.

Index Argument de type Variant obligatoire. Nom ou numéro d'index de l'élément du projet HTML à renvoyer.

Méthode Item telle qu'elle s'applique à l'objet Scripts.

Cette méthode renvoie un membre de la collection Scripts. Elle accepte le numéro d'index ou l'ID du script que l'application Microsoft Office doit renvoyer. La méthode Item accepte une valeur de type Variant qui peut accepter un nombre ordinal (valeur d'index), qui renvoie le script enregistré à cet emplacement dans la collection Scripts ou une valeur String qui représente le nom ou l'ID du script.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie un objet Scripts.

Index Argument de type Variant obligatoire. ID ou numéro d'index du script à renvoyer.

Notes

La collection Scripts contient tous les scripts d'un document donné, dans l'ordre source (l'ordre dans lequel les objets Script apparaissent dans le fichier source). Les scripts sont conservés dans cet ordre quel que soit leur emplacement dans le document, c'est-à-dire qu'ils figurent dans l'en-tête ou dans le corps du texte.

Vous pouvez utiliser la méthode Item pour accéder à un script dans la collection Scripts en utilisant l'ID de la balise <SCRIPT>. L'attribut ID de la balise <SCRIPT> est identique à la propriété Id de l'objet Script. Si le document comprend des ID en double ou plusieurs ID et que vous utilisez la propriété Id d'un objet Script pour accéder à un script à l'aide de la méthode Item, Office renvoie le premier script qui correspond à l'ID. Les autres scripts avec le même ID sont ignorés.

Les nouvelles ancres de script ajoutées à la collection sont ajoutées à la fin de la collection Scripts dans l'ordre où elles ont été ajoutées au document. Les ancres de script demeurent dans cet ordre jusqu'à ce que le document soit enregistré au format HTML, fermé, puis rouvert dans l'application hôte. L'exécution de ces étapes provoque l'indexation de la collection Scripts dans l'ordre où les ancres de script apparaissent dans le document, ordre qui peut être différent de celui dans lequel elles y ont été ajoutées. Par conséquent, il vous est conseillé d'utiliser la propriété Id de l'objet Script plutôt que la position du script dans la collection pour vous assurer que le script sera correctement identifié.

Méthode Item telle qu'elle s'applique à l'objet FileDialogSelectedItems.

Cette méthode renvoie un objet de type String qui correspond au chemin de l'un des fichiers que l'utilisateur a sélectionné dans une boîte de dialogue affichée à l'aide de la méthode Show de l'objet FileDialog. La collection FileDialogSelectedItems est une collection de chaînes.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Numéro d'index de la chaîne à renvoyer.


LoadFromFile, méthode

Met à jour le texte dans Microsoft Script Editor avec du texte provenant du fichier spécifié (sur disque).

expression.LoadFromFile(Filename)

expression Objet HTMLProjectItem.

Filename Argument de type String obligatoire. Chemin d'accès complet du fichier texte qui contient le texte à charger.

Exemple

Cet exemple montre comment déterminer si l'élément de projet HTML spécifié est ouvert, puis, si tel est le cas, charger le script à partir du fichier spécifié.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Move, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Méthode Move telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cette méthode déplace le contrôle de barre de commandes spécifié vers une barre de commandes existante.

expression.Move(Bar, Before)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Bar Argument de type Variant facultatif. Objet CommandBar représentant la barre de commandes de destination pour le contrôle. Si vous ne spécifiez pas cet argument, le contrôle est déplacé à la fin de la barre de commandes où le contrôle se trouve actuellement.

Before Argument de type Variant facultatif. Numéro représentant la position à laquelle le contrôle doit être inséré. Le contrôle est inséré avant celui qui occupait cette position. Si vous ne spécifiez pas cet argument, le contrôle est inséré dans la même barre de commandes.

Méthode Move telle qu'elle s'applique à l'objet Assistant.

Cette méthode déplace le Compagnon Office vers l'emplacement spécifié.

expression.Move(xLeft, yTop)

expression Obligatoire. Expression qui renvoie un objet Assistant.

xLeft Argument de type Integer obligatoire. Position de gauche de la fenêtre du Compagnon Office, en points.

yTop Argument de type Integer obligatoire. Position du haut de la fenêtre du Compagnon Office, en points.

Exemple

Telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cet exemple montre comment déplacer le premier contrôle de zone de liste modifiable sur la barre de commandes intitulée Custom vers l'emplacement situé devant le septième contrôle sur cette barre de commandes. L'exemple montre comment affecter "Selection box" à la balise et attribue une priorité basse au contrôle de sorte qu'il soit enlevé de la barre de commandes si tous les contrôles ne tiennent pas dans une ligne.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

Telle qu'elle s'applique à l'objet Assistant.

Cet exemple montre comment afficher le Compagnon Office à une position donnée et affecter une valeur à plusieurs options avant de le rendre visible.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Rétablit les valeurs par défaut de tous les critères de recherche.

expression.NewSearch

expression Obligatoire. Expression qui renvoie un objet FileSearch.

Note

Les valeurs des critères de recherche sont maintenues pour toute la durée d'une session. Utilisez cette méthode chaque fois que vous changez les critères de recherche ; notez qu'elle ne rétablit pas la valeur par défaut de la propriété LookIn.

Exemple

Cet exemple montre comment rétablir les critères de recherche par défaut au moyen de la méthode NewSearch avant de lancer une nouvelle recherche.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open, méthode

Cette méthode ouvre le projet HTML spécifié ou l'élément de projet HTML dans Microsoft Script Editor dans l'un des affichages spécifiés par les constantes MsoHTMLProjectOpen facultatives répertoriées ci-dessous. Si l'une des constantes n'est pas spécifiée, l'élément de projet est ouvert dans l'affichage par défaut.

expression.Open(OpenKind)

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

OpenKind Argument de type MsoHTMLProjectOpen facultatif. Affichage dans lequel le projet ou l'élément de projet spécifié est ouvert.

MsoHTMLProjectOpen peut être l'une de ces constantes MsoHTMLProjectOpen.
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

Notes

L'affichage par défaut est différent selon que Microsoft Script Editor est ouvert ou non lorsque la méthode Open est exécutée. S'il n'est pas ouvert, la méthode Open démarre Microsoft Script Editor en affichage source. S'il est déjà ouvert, la méthode Open active Microsoft Script Editor et affiche le script dans l'affichage en cours.

Exemples

Cet exemple montre comment ouvrir le projet HTML dans le classeur actif en affichage source.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

Cet exemple montre comment ouvrir le premier élément de projet HTML dans le classeur actif en affichage texte.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace, méthode

Copie le contenu du Presse-papiers dans le bouton de barre de commandes spécifié.

expression.PasteFace

expression Obligatoire. Expression qui renvoie un objet CommandBarButton.

Exemple

Cet exemple montre comment rechercher le bouton prédéfini FileOpen et comment lui appliquer l'image du bouton Grammaire et orthographe à partir du Presse-papiers.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument, méthode

Actualise le projet HTML spécifié dans l'application hôte Microsoft Office.

expression.RefreshDocument(Refresh)

expression Expression qui renvoie un objet HTMLProject.

Refresh Argument de type Boolean obligatoire. Cet argument à la valeur True si toutes les modifications doivent être enregistrées. Il a la valeur False si toutes les modifications doivent être ignorées.

Notes

L'utilisation de cette méthode revient à cliquer sur le bouton Actualiser de la barre d'outils Actualiser de l'application hôte Office. Si vous actualisez le document en affectant à la méthode RefreshDocument la valeur True, toutes les modifications apportées à la source HTML dans Microsoft Script Editor sont enregistrées dans l'application hôte Office. Si vous attribuez à la méthode RefreshDocument la valeur False, toutes les modifications apportées à la source HTML sont ignorées. Notez que la valeur renvoyée par la méthode State est affectée par la méthode RefreshDocument. Si vous appelez RefreshDocument (True) après l'opération d'actualisation, la méthode State renvoie msoHTMLProjectStateDocumentProjectUnlocked.

Exemple

Cet exemple montre comment actualiser le projet HTML dans le classeur actif de l'application hôte.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject, méthode

Actualise le projet HTML spécifié dans Microsoft Script Editor.

expression.RefreshProject

expression Expression qui renvoie un objet HTMLProject.

Notes

L'utilisation de cette méthode revient à cliquer sur le bouton Actualiser de la barre d'outils Actualiser dans Microsoft Script Editor. Si vous actualisez le document en affectant à la méthode RefreshDocument la valeur True, toutes les modifications apportées à la source HTML dans l'application Office hôte sont enregistrées dans le projet HTML dans Microsoft Script Editor. Si vous attribuez à la méthode RefreshDocument la valeur False, toutes les modifications apportées à la source HTML sont ignorées.

Exemple

Cet exemple montre comment actualiser le projet HTML dans Microsoft Script Editor.

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes, méthode

Cette méthode actualise la liste des objets ScopeFolder actuellement disponibles.

expression.RefreshScopes

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher tous les objets ScopeFolder actuellement disponibles sur le lecteur C:\ dans le Poste de travail.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus, méthode

Désactive la sélection de toutes les barres de commandes.

expression.ReleaseFocus

expression Obligatoire. Expression qui renvoie un objet CommandBars.

Exemple

Cet exemple montre comment ajouter trois nouveaux boutons à la barre de commandes intitulée « Custom », placer le focus sur le bouton du milieu, puis comment désactiver toutes les barres de commandes après une attente de cinq secondes.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove, méthode

Méthode Remove telle qu'elle s'applique à l'objet NewFile.

Cette méthode supprime un élément du volet Office Nouvel élément. Elle renvoie un objet de type Boolean.

expression.Remove(FileName, Section, DisplayName, Action)

expression Obligatoire. Expression qui renvoie un objet NewFile.

FileName Argument de type String obligatoire. Nom de la référence du fichier.

Section Argument de type Variant facultatif. Section du volet Office où la référence de fichier existe. Il peut s'agir de n'importe quelle constante msoFileNewSection.

DisplayName Argument de type Variant facultatif. Texte d'affichage de la référence de fichier.

Action Argument de type Variant facultatif. Action entreprise lorsqu'un utilisateur clique sur l'élément. Il peut s'agir de n'importe quelle constante msoFileNewAction.

Méthode Remove telle qu'elle s'applique aux objets FileTypes, PropertyTests et SearchFolders.

Cette méthode supprime l'objet spécifié de la collection.

expression.Remove(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Numéro d'index du test de propriété à supprimer.

Exemple

Telle qu'elle s'applique aux objets FileTypes, PropertyTests et SearchFolders.

Cet exemple montre comment supprimer le premier critère de recherche de la collection.

Application.FileSearch.PropertyTests.Remove(1)

Telle qu'elle s'applique à l'objet NewFile.

Cet exemple montre comment supprimer l'élément spécifié du volet Office NewDocument de Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


RemoveItem, méthode

Supprime un élément de liste de la zone de liste modifiable de barre de commandes spécifiée.

Remarque Cette propriété échoue dans le cas de contrôles autres que les zones de liste.

expression.RemoveItem(Index)

expression Obligatoire. Expression qui renvoie un objet CommandBarComboBox.

Index Argument de type Long obligatoire. Élément à supprimer de la liste.

Exemple

Cet exemple montre comment déterminer si la zone de liste modifiable contient plus de trois éléments. Si tel est le cas, le deuxième élément de la liste est supprimé, le style de la liste est modifié de sorte que son étiquette ne soit pas affichée, et une nouvelle valeur est affectée. La propriété Tag de l'objet parent (l'objet CommandBarControl) se voit affecter une valeur indiquant que la liste a été modifiée.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Reset, méthode

Réinitialise la barre de commandes prédéfinie spécifiée en lui appliquant sa valeur de configuration de contrôle par défaut, ou réinitialise le contrôle de barre de commandes prédéfini spécifié en lui appliquant sa fonction et son image par défaut.

expression.Reset

expression Obligatoire. Expression qui renvoie un objet CommandBar, CommandBarControl, CommandBarButton, CommandBarPopup ou CommandBarComboBox.

Note

La réinitialisation d'un contrôle prédéfini rétablit les actions originellement prévues pour ce dernier et réinitialise chacune de ses propriétés à leur état initial. La réinitialisation d'une barre de commandes supprime les contrôles personnalisés et rétablit les contrôles prédéfinis.

Exemple

Cet exemple montre comment utiliser la valeur de la variable user pour adapter les barres de commandes selon le niveau de l'utilisateur. Si la valeur de user est « Level 1 », la barre de commandes intitulée « Custom » s'affiche. Si une autre valeur est affectée à user, la barre de commandes prédéfinie de Visual Basic est réinitialisée à son état par défaut et la barre de commandes intitulée « Custom » est désactivée.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList, méthode

Rétablit la liste des fichiers de l'aide intuitive actuelle en la remplaçant par la liste de fichiers par défaut pour l'application hôte Microsoft Office.

expression.ResetFileList

expression Expression qui renvoie un objet AnswerWizard.

Note

Cette méthode permet de restaurer toutes les entrées de la liste de fichiers actuelle de l'aide intuitive dans le Registre Windows pour l'application hôte. Vous pouvez établir une liste de fichiers par défaut personnalisée dans le Registre en ajoutant les noms des fichiers personnalisés à la clé du Registre appropriée.

Exemple

Cet exemple montre comment restaurer la liste des fichiers pour l'aide intuitive actuelle, puis afficher à la fois le nombre de fichiers et leurs noms dans un message.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Réinitialise les conseils d'application qui s'afficheront dans la bulle du Compagnon Office.

expression.ResetTips

expression Obligatoire. Expression qui renvoie un objet Assistant.

Note

La méthode ResetTips correspond au bouton Réinitialiser les astuces de l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment réinitialiser les conseils d'application avant de rendre visible le Compagnon Office. Une bulle de confirmation s'affiche, informant l'utilisateur que ses conseils d'application ont été réinitialisés.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs, méthode

Enregistre l'élément de projet HTML spécifié en utilisant un nouveau nom de fichier.

expression.SaveCopyAs(Filename)

expression Objet HTMLProjectItem.

Filename Argument de type String obligatoire. Chemin d'accès complet du fichier dans lequel vous souhaitez enregistrer l'élément de projet HTML.

Exemple

Cet exemple montre comment enregistrer une copie du texte de l'élément de projet HTML en cours dans le fichier NewScript.txt.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Évite que la bulle du Compagnon Office ne s'affiche dans une zone donnée de l'écran.

expression.SetAvoidRectangle(Left, Top, Right, Bottom)

expression Obligatoire. Expression qui renvoie un objet Assistant.

Left, Top, Right, Bottom Arguments de type Long obligatoires. Coordonnées (en points, par rapport à l'écran) de la zone de l'écran où la bulle du Compagnon Office ne doit pas être affichée.

Note

Cette propriété a pour but d'éviter que la bulle du Compagnon Office ne recouvre les boîtes de dialogue et les bulles personnalisées.

Exemple

Cet exemple montre comment éviter que la bulle du Compagnon Office, représentée par la variable myBalloon, ne s'affiche dans la zone de l'écran définie par les coordonnées spécifiées (mesurées en pixels).

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus, méthode

Déplace le focus vers le contrôle de barre de commandes spécifié. Si le contrôle est désactivé ou s'il n'est pas visible, cette méthode échoue.

Note

Le focus sur le contrôle est subtil. Après avoir utilisé cette méthode, vous remarquerez une surbrillance en trois dimensions sur le contrôle. Appuyer sur les touches de direction vous permet de naviguer dans les barres d'outils, comme si vous aviez atteint le contrôle en appuyant uniquement sur les touches du clavier.

expression.SetFocus

expression Obligatoire. Expression qui renvoie un objet CommandBarControl, CommandBarButton, CommandBarPopup ou CommandBarComboBox.

Exemple

Cet exemple montre comment créer une barre de commandes intitulée « Custom » et comment lui ajouter un contrôle ComboBox et un contrôle Button. Cet exemple montre ensuite comment utiliser la méthode SetFocus pour placer le focus sur le contrôle ComboBox.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


SetSortOrder, méthode

Cette méthode définit l'ordre de tri pour les données de publipostage.

expression.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

SortField1 Argument de type String obligatoire. Premier champ sur lequel trier les données de publipostage.

SortAscending1 Argument de type Boolean facultatif. Il a la valeur True (par défaut) pour effectuer un tri en ordre croissant sur SortField1 ; il a la valeur False pour effectuer un tri en ordre décroissant.

SortField2 Argument de type String facultatif. Second champ sur lequel trier les données de publipostage. La valeur par défaut est une chaîne vide.

SortAscending2 Argument de type Boolean facultatif. Il a la valeur True (par défaut) pour effectuer un tri en ordre croissant sur SortField2 ; il a la valeur False pour effectuer un tri en ordre décroissant.

SortField3 Argument de type String facultatif. Troisième champ sur lequel trier les données de publipostage. La valeur par défaut est une chaîne vide.

SortAscending3 Argument de type Boolean facultatif. Il a la valeur True (par défaut) pour effectuer un tri en ordre croissant sur SortField3 ; il a la valeur False pour effectuer un tri en ordre décroissant.

Exemple

L'exemple suivant montre comment trier la source de données tout d'abord en ordre décroissant sur le code postal, puis en ordre croissant sur le nom et le prénom.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show, méthode

Méthode Show telle qu'elle s'applique à l'objet Balloon.

Cette méthode affiche l'objet d'info-bulle spécifié. Elle renvoie une constante MsoBalloonButtonType qui indique sur quel bouton ou quelle étiquette l'utilisateur clique. Type de données en lecture seule.

MsoBalloonButtonType peut être l'une de ces constantes MsoBalloonButtonType.
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expression.Show

expression Obligatoire. Expression qui renvoie un objet Balloon.

Méthode Show telle qu'elle s'applique à l'objet FileDialog.

Cette méthode affiche une boîte de dialogue de fichier et renvoie un objet de type Long indiquant si l'utilisateur a appuyé sur le bouton d'action (-1) ou sur le bouton d'annulation (0). Lorsque vous appelez la méthode Show, le code n'est plus exécuté jusqu'à ce que l'utilisateur fasse disparaître la boîte de dialogue. Dans le cas des boîtes de dialogue Enregistrer sous et Ouvrir, utilisez la méthode Execute juste après la méthode Show pour accomplir l'action de l'utilisateur.

expression.Show

expression Obligatoire. Expression qui renvoie un objet FileDialog.

Exemples

Telle qu'elle s'applique à l'objet Balloon.

Cet exemple montre comment créer une info-bulle contenant deux choix d'étiquette d'info-bulle pour le paramétrage de l'orientation d'impression : Portrait et Paysage. Il montre également comment utiliser la méthode Show dans une instruction Select Case afin de déterminer l'orientation que l'utilisateur a sélectionnée.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

Cet exemple montre comment créer une info-bulle contenant trois boutons de commande : Oui, Non et Annuler. Il montre également comment utiliser la méthode Show dans une instruction Select Case afin de déterminer la valeur renvoyée du bouton sur lequel l'utilisateur a cliqué.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

Telle qu'elle s'applique à l'objet FileDialog.

L'exemple suivant montre comment afficher une boîte de dialogue de sélection de fichier en utilisant l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


ShowPopup, méthode

Affiche la barre de commandes spécifiée sous la forme d'un menu contextuel selon les coordonnées indiquées ou selon celles du curseur.

Remarque Si la valeur msoBarPopup n'est pas affectée à la propriété Position de la barre de commandes, cette méthode échoue.

expression.ShowPopup(x, y)

expression Obligatoire. Expression qui renvoie un objet CommandBar.

x Argument de type Variant facultatif. Coordonnée x de l'emplacement du menu contextuel. Si vous ne spécifiez pas cet argument, la coordonnée x du curseur est utilisée.

y Argument de type Variant facultatif. Coordonnée y de l'emplacement du menu contextuel. Si vous ne spécifiez pas cet argument, la coordonnée y du curseur est utilisée.

Exemple

Cet exemple montre comment créer un menu contextuel contenant deux contrôles. La méthode ShowPopup affiche ce menu.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard, méthode

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Démarre le Compagnon Office et renvoie une valeur Long qui identifie la session. Vous devez utiliser cette méthode uniquement pour exécuter le Compagnon Office dans un Assistant personnalisé.

Remarque Le numéro renvoyé par la méthode StartWizard est utilisé par les méthodes ActivateWizard et EndWizard.

expression.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expression Obligatoire. Expression qui renvoie un objet Assistant.

On Argument de type Boolean obligatoire. Affectez-lui la valeur True pour afficher la bulle de décision Office. Cette dernière demande à l'utilisateur s'il souhaite obtenir de l'aide par l'intermédiaire d'Assistants personnalisés actifs. Il n'est pas nécessaire d'utiliser la propriété Visible pour afficher le Compagnon Office si vous spécifiez True pour cet argument.

Callback Argument de type String obligatoire. Nom de la procédure de rappel exécutée par la bulle de décision Office et la bulle de branchement. La bulle de branchement permet à l'utilisateur de choisir entre l'aide personnalisée de l'Assistant et l'aide Office standard.

PrivateX Argument de type Long obligatoire. Numéro qui identifie l'info-bulle qui a initié la procédure de rappel.

Animation Argument de type Variant facultatif. Animation du Compagnon Office lorsque cette méthode est utilisée. La valeur par défaut est msoAnimationGetWizardy.

CustomTeaser Argument de type Variant facultatif. Affectez-lui la valeur False pour afficher la bulle de décision Office.

Top, Left, Bottom, Right Argument de type Variant facultatif. Position des angles (en points et relatifs à l'écran) de la feuille de l'Assistant personnalisé que le Compagnon Office évitera lorsqu'il s'affichera.

Notes

À la différence des procédures de rappel utilisées par des bulles non modales standard, les procédures de rappel appelées par les bulles de décision non modales et les bulles de branchement affichées lors d'une session du Compagnon Office ne prennent en compte que deux arguments : une constante MsoWizardMsgType et la valeur unique spécifiée par l'argument PrivateX de la méthode StartWizard.

Si l'utilisateur clique sur le bouton gauche de la bulle de décision ou de la bulle de branchement, la constante msoWizardMsgShowHelp est passée au premier argument de la procédure de rappel. Si l'utilisateur clique sur le bouton droit, la constante msoWizardLocalStateOff est passée. (Les autres constantes MsoWizardMsgType sont passées par la méthode ActivateWizard si vous avez spécifié msoWizardActResume ou msoWizardActSuspend pour l'argument Act.) Dans le cas de msoWizardMsgShowHelp, la procédure de rappel doit afficher la bulle appropriée pour le panneau en cours de l'Assistant personnalisé. Dans le cas de msoWizardLocalStateOff, la procédure de rappel doit masquer la bulle.

Exemple

Cet exemple montre comment démarrer le Compagnon Office dans le cadre de l'affichage d'explications complémentaires relatives à des A ssistants personnalisés existants. Si l'utilisateur clique sur la sélection de la bulle proposant de l'aide, la procédure de rappel démarre. La variable IHelpForWiz se voit affecter la valeur renvoyée par la méthode StartWizard, qui correspond à la valeur Long.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update, méthode

Met à jour le contenu de la collection COMAddIns à partir de la liste de compléments stockée dans le Registre Windows.

expression.Update

expression Collection COMAddIns.

Note

Pour être en mesure d'utiliser un complément COM donné dans une application Microsoft Office, ce complément doit être inscrit dans le Registre Windows comme complément COM associé à l'ID de catégorie de composants correspondant.

Exemple

Cet exemple montre comment mettre à jour le contenu de la collection COMAddIns à partir de la liste de compléments stockée dans le Registre Windows.

Application.COMAddIns.Update


ActionControl, propriété

Renvoie l'objet CommandBarControl dont la propriété OnAction est affectée à la procédure en cours d'exécution. Si la procédure en cours n'a pas été initiée par un contrôle de barre de commandes, cette propriété renvoie Nothing. En lecture seule.

Exemple

Cet exemple montre comment créer une barre de commandes intitulée « Custom », lui ajouter trois boutons, puis comment utiliser les propriétés ActionControl et Tag pour déterminer sur quel bouton l'utilisateur a cliqué en dernier.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

La sous-routine whichButton répond à la méthode OnAction et détermine sur quel bouton l'utilisateur a cliqué en dernier.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar, propriété

Renvoie un objet CommandBar qui représente la barre de menus active dans l'application conteneur. En lecture seule.

Exemple

Cet exemple montre comment ajouter un menu contextuel provisoire intitulé « Custom » à la fin de la barre de menus active, puis comment ajouter un bouton intitulé « Import » dans la barre de commandes affichée par le contrôle.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu, propriété

Cette propriété a la valeur True si un menu personnalisé est activé. Argument de type Boolean en lecture-écriture.

Exemple

Cet exemple montre comment affecter la valeur False à la propriété AdaptiveMenu pour le menu Fichier dans l'application Microsoft Office utilisée.

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus, propriété

Cette propriété a la valeur True si les menus adaptables sont activés. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment définir trois options pour toutes les barres de commandes dans Microsoft Office, y compris les barres de commandes personnalisées et les contrôles qu'elles contiennent.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect, propriété

Cette propriété a la valeur True si l'utilisateur a l'autorisation de sélectionner plusieurs fichiers dans une boîte de dialogue de fichiers. Argument de type Boolean en lecture-écriture.

expression.AllowMultiSelect

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

Cette propriété n'a pas d'effet sur les boîtes de dialogue Sélecteur de dossier ni les boîtes de dialogue Enregistrer sous parce que les utilisateurs ne doivent jamais être en mesure de sélectionner plusieurs fichiers dans ce type de boîtes de dialogue.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Animation, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit l'action d'animation du Compagnon Office. Quand cette propriété est appliquée à l'objet Assistant et que le Compagnon prend en charge l'animation spécifiée, le Compagnon est animé immédiatement (s'il est visible et activé). Quand elle est appliquée à l'objet Balloon, le Compagnon est animé uniquement pendant l'affichage de l'info-bulle. Type de données MsoAnimationType en lecture-écriture.

MsoAnimationType peut être l'une de ces constantes MsoAnimationType.
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

Notes

« Trombine » est le Compagnon par défaut et msoAnimationIdle est le type d'animation par défaut du Compagnon.

Selon le Compagnon sélectionné, définir la propriété Animation peut ou non aboutir à une animation évidente. Cependant, toutes les constantes MsoAnimationType sont valides pour tous les Compagnons. Remarquez que les différentes constantes peuvent produire la même animation.

Les constantes MsoAnimationType suivantes représentent des animations qui répètent l'action spécifiée jusqu'à ce que le Compagnon soit rendu invisible ou que la propriété Animation se voie affecter une autre constante :

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Exemple

Cet exemple montre comment afficher le Compagnon Office à un emplacement spécifique, puis définir plusieurs options avant de le rendre visible.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application, propriété

Cette propriété renvoie un objet Application qui représente l'application conteneur pour l'objet (vous pouvez utiliser cette propriété avec un objet Automation pour renvoyer l'application conteneur de cet objet).

expression.Application

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment renvoyer le nom de l'application dans lequel la barre de commande Standard a été créée et comment afficher ce résultat dans un message.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si la bulle du Compagnon Office affiche des messages d'alerte de l'application lorsque ce dernier est visible. Type de données Boolean en lecture-écriture.

Notes

La propriété AssistWithAlerts correspond à l'option Afficher les avertissements dans Utiliser le Compagnon Office sous l'onglet Options de la boîte de dialogue Compagnon Office.

Si cette propriété a la valeur False, l'application affiche les messages d'alerte dans des boîtes de dialogue sans faire intervenir le Compagnon Office.

Exemple

Cet exemple montre comment afficher le Compagnon Office lorsqu'un message d'alerte est généré.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office s'affiche lorsque l'utilisateur appuie sur la touche F1 pour obtenir de l'aide. Type de données Boolean en lecture-écriture.

Notes

La propriété AssistWithHelp correspond à l'option Réagir à la touche F1 située dans Utiliser le Compagnon Office, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Si cette propriété a la valeur False, la boîte de dialogue Rubriques de l'aide s'affiche à la place du Compagnon Office.

Exemple

Cet exemple montre comment afficher le Compagnon Office lorsque l'utilisateur appuie sur la touche F1 pour obtenir de l'aide.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office fournit l'aide sur les Assistants. Type de données Boolean en lecture-écriture.

Notes

La propriété AssistWithWizards correspond à l'option Aide sur les Assistants située dans Utiliser le Compagnon Office, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment définir le Compagnon Office pour qu'il fournisse l'aide sur les Assistants.

Assistant.AssistWithWizards = True


AttachCertificate, propriété

Cette propriété a la valeur True si le certificat numérique correspondant à l'objet Signature spécifié est lié au document. Argument de type Boolean en lecture-écriture.

expression.AttachCertificate

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et appelez cette fonction. La fonction vérifie que la signature numérique que l'utilisateur sélectionne ne va pas expirer avant 12 mois. Dans le cas contraire, le certificat n'est pas joint au document.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


BalloonError, propriété

Renvoie une valeur qui indique la dernière erreur de bulle enregistrée. MsoBalloonErrorType en lecture seule.

MsoBalloonErrorType peut être l'une de ces constantes MsoBalloonErrorType.
msoBalloonErrorBadCharacter La bulle contient un code de contrôle ASCII autre que CR ou LF, et inférieur à 32.
msoBalloonErrorBadPictureRef La bulle contient une image en mode point impossible à afficher, soit parce que le fichier n'existe pas, soit parce que l'image n'est pas un fichier .BMP ou .WMF valide.
msoBalloonErrorBadReference La bulle contient une référence non reconnue ou non prise en charge.
msoBalloonErrorButtonlessModal La bulle que vous essayez d'afficher est modale mais ne contient pas de bouton.
msoBalloonErrorButtonModeless La bulle que vous essayez d'afficher est non modale, contient des boutons et aucune procédure n'est affectée à sa propriété Callback. La bulle ne sera pas affichée parque qu'une procédure est nécessaire pour déterminer quel bouton a été utilisé dans la bulle.
msoBalloonErrorCharNotTopmostForModal La bulle modale a été demandée par une application qui n'est pas l'application active. Microsoft Office n'affiche les bulles que pour l'application active (au premier plan).
msoBalloonErrorCOMFailure La bulle n'a pas pu être affichée en raison d'un échec COM.
msoBalloonErrorNone La propriété a affiché la bulle sans erreur.
msoBalloonErrorOther La bulle ne s'affiche pas, car une autre erreur s'est produite ; par exemple, si une autre bulle modale est déjà active.
msoBalloonErrorOutOfMemory La bulle n'apparaîtra pas en raison d'une insuffisance de mémoire.
msoBalloonErrorTooBig La bulle est trop grosse pour apparaître à l'écran.
msoBalloonErrorTooManyControls La bulle contient plus de 20 contrôles (cases à cocher ou étiquettes).

Exemple

Cet exemple montre comment créer une info-bulle qui génère une erreur. L'erreur est provoquée par la création d'une info-bulle impossible à faire disparaître : le bouton se voit affecter le type msoButtonSetNone et le mode de l'info-bulle par défaut est msoModeModal, ce qui donne une info-bulle modale sans bouton. Notez qu'il est impossible de faire disparaître une info-bulle modale sans bouton.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit le type d'info-bulle utilisé par le Compagnon Office. Lorsque vous créez un objet Balloon, cette propriété se voit initialement affecter la valeur msoBalloonTypeButtons. MsoBalloonType en lecture-écriture.

MsoBalloonType peut être l'une de ces constantes MsoBalloonType.
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

Exemple

Cet exemple montre comment créer une info-bulle fournissant les instructions à suivre pour sélectionner une imprimante. L'info-bulle est non modale, ce qui permet à l'utilisateur de suivre ses instructions et de la garder sous les yeux tout en travaillant.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup, propriété

Cette propriété a la valeur True si le contrôle de barre de commandes spécifié est placé au début d'un groupe de contrôles de la barre de commandes. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment définir le dernier contrôle de la barre de menus active comme premier contrôle d'un nouveau groupe.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn, propriété

Cette propriété a la valeur True si la barre de commandes ou le contrôle de barre de commandes spécifié est prédéfini à l'application conteneur. Cette propriété a la valeur False s'il s'agit d'un contrôle ou d'une barre de commandes personnalisée, ou s'il s'agit d'un contrôle prédéfini dont la propriété OnAction a été définie. Type de données Boolean en lecture seule.

Exemple

Cet exemple montre comment supprimer toutes les barres de commandes personnalisées qui ne sont pas visibles.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


BuiltInFace, propriété

Cette propriété a la valeur True si l'image du bouton de barre de commandes spécifié est son image prédéfinie. Il est seulement possible d'affecter la valeur True à cette propriété, ce qui rétablit l'image prédéfinie. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment déterminer si l'image du premier contrôle de la barre de commandes intitulée « Custom » est son image prédéfinie. Si tel est le cas, l'image est copiée dans le Presse-papiers.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit le type de bouton affiché en bas de l'info-bulle du Compagnon Office. Lorsque vous créez un objet Balloon, cette propriété se voit initialement affecter la valeur msoButtonSetOK. MsoButtonSetType en lecture-écriture.

MsoButtonSetType peut être l'une de ces constantes MsoButtonSetType.
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

Exemple

Cet exemple montre comment afficher une info-bulle contenant un titre, du texte, trois choix de régions et deux boutons de commande (OK et Annuler).

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName, propriété

Cette propriété renvoie ou définit un objet de type String représentant le texte affiché dans le bouton d'action d'une boîte de dialogue de fichiers. Par défaut, le texte standard pour le type de boîte de dialogue de fichiers est affecté à cette propriété. Par exemple, dans le cas de la boîte de dialogue Ouvrir, le texte « Ouvrir » est affecté par défaut à la propriété. Type de données en lecture-écriture.

expression.ButtonName

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Callback, propriété

Définit le nom de la procédure à exécuter à partir d'une info-bulle non modale. Type de données String en lecture-écriture.

Notes

La procédure que vous spécifiez pour la propriété Callback doit être écrite de façon à recevoir deux ou trois arguments, en fonction de l'utilisation souhaitée. Si vous utilisez la propriété Callback avec un Assistant, vous devez écrire la procédure de telle sorte qu'elle puisse recevoir deux arguments : un argument long integer qui représente la valeur msoBalloonButtonType du bouton sur lequel l'utilisateur a cliqué et un argument long integer qui définit l'info-bulle de manière unique. Si vous utilisez la propriété Callback avec une info-bulle non modale, vous devez écrire la procédure de telle sorte qu'elle puisse recevoir trois arguments : l'objet Balloon qui a appelé la procédure, un argument long integer qui représente la valeur msoBalloonButtonType du bouton sur lequel l'utilisateur a cliqué et un argument long integer qui identifie de manière unique l'info-bulle qui a appelé la procédure, comme indiqué par la propriété Private de l'info-bulle.

La procédure callback doit contenir au moins une condition pour laquelle la méthode Close est appliquée à l'objet Balloon transmis. Sinon, l'info-bulle non modale ne peut pas être fermée.

Si vous spécifiez une procédure stockée dans un module de classe distinct, vous devez inclure le nom du module dans la valeur affectée à la propriété Callback (par exemple, « Feuil1.MonCallback »).

Exemple

Cet exemple montre comment afficher une bulle qui contient des instructions permettant de sélectionner une imprimante. Dès que l'utilisateur clique sur le bouton OK de la bulle, la procédure callback ProcessPrinter démarre et la bulle est fermée.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Caption, propriété

Renvoie ou définit le texte de légende du contrôle de barre de commandes spécifié. Type de données String en lecture-écriture.

Remarque La légende d'un contrôle est également affichée dans son info-bulle par défaut.

Exemple

Cet exemple montre comment ajouter un contrôle de barre de commandes dont l'image est celle du bouton de vérification orthographique à une barre de commandes personnalisée, puis comment l'intituler « Spelling checker ».

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes, propriété

Renvoie la collection BalloonCheckboxes qui représente toutes les cases à cocher contenues dans l'info-bulle spécifiée. En lecture seule.

Pour plus d'informations sur le renvoi d'un seul membre d'une collection, consultez Renvoi d'un objet à partir d'une collection.

Exemple

Cet exemple montre comment créer une info-bulle avec un en-tête, du texte et le choix entre trois régions. Un message est affiché quand l'utilisateur active des cases à cocher, puis clique sur OK dans l'info-bulle.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si la case à cocher spécifiée dans l'info-bulle du Compagnon Office est activée. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment créer une info-bulle avec un en-tête, du texte et le choix entre trois régions. Lorsque l'utilisateur clique sur OK dans l'info-bulle, des données concernant la ou les régions sélectionnées sont imprimées.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Column, propriété

Cette propriété renvoie ou définit un objet de type String qui représente le nom du champ de la source de données de publipostage à utiliser dans le filtre. Type de données en lecture-écriture.

expression.Column

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment modifier un filtre existant pour supprimer du publipostage tous les enregistrements qui n'ont pas de champ Région équivalent à « WA ».

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Columns, propriété

Cette propriété renvoie un objet ODSOColumns qui représente les champs d'une source de données.

expression.Columns

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher les noms de champs de la source de données liée à la publication active.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar, propriété

Cette propriété renvoie un objet CommandBar qui représente le menu affiché par le menu contextuel spécifié. En lecture seule.

Exemple

Cet exemple montre comment affecter à la variable fourthlevel le quatrième contrôle de la barre de commandes intitulée « Drawing ».

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars, propriété

Cette propriété renvoie une collection CommandBars.

expression.CommandBars

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment renvoyer la collection CommandBars de l'objet MsoEnvelope dans Microsoft Word.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo, propriété

Cette propriété renvoie ou définit un objet de type String qui représente le texte à comparer dans le critère du filtre de la requête. Type de données en lecture-écriture.

expression.CompareTo

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment modifier un filtre existant pour supprimer du publipostage tous les enregistrements qui n'ont pas de champ Région équivalent à « WA ».

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison, propriété

Cette propriété renvoie ou définit une constante MsoFilterComparison qui représente la manière de comparer les propriétés Column et CompareTo. Type de données en lecture-écriture.

MsoFilterComparison peut être l'une de ces constantes MsoFilterComparison.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expression.Comparison

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment modifier un filtre existant pour supprimer du publipostage tous les enregistrements qui n'ont pas de champ Région équivalent à « WA ».

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie la condition du critère de recherche spécifié. Type de données MsoCondition en lecture seule.

MsoCondition peut être l'une de ces constantes MsoCondition.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Exemple

Cet exemple montre comment renvoyer la valeur de condition des critères de recherche du premier test de propriété.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Conjunction, propriété

Cette propriété renvoie ou définit une constante MsoFilterConjunction qui représente la manière dont un critère de filtre est lié à d'autres critères de filtre dans l'objet ODSOFilters. Type de données en lecture-écriture.

MsoFilterConjunction peut être l'une de ces constantes MsoFilterConjunction.
msoFilterConjunctionAnd
msoFilterConjunctionOr

expression.Conjunction

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment modifier un filtre existant pour supprimer du publipostage tous les enregistrements qui n'ont pas de champ Région équivalent à « WA ».

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Connect, propriété

Renvoie ou définit l'état de la connexion pour l'objet COMAddIn spécifié. Type de données Boolean en lecture-écriture.

Note

La propriété Connect renvoie la valeur True si le complément est actif et la valeur False s'il est inactif. Un complément actif est inscrit et connecté, tandis qu'un complément inactif est inscrit mais pas actuellement connecté.

Exemple

Cet exemple montre comment afficher un message qui indique si le complément COMAddIns 1 est inscrit et actuellement connecté ou non.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Connector, propriété

Renvoie le connecteur reliant deux valeurs de test de propriétés semblables. La valeur par défaut est msoConnectorAnd. MsoConnector en lecture seule.

MsoConnector peut être l'une de ces constantes MsoConnector.
msoConnectorAnd
msoConnectorOr

Note

Un connecteur spécifie si deux critères de recherche similaires doivent être combinés pour former un test de propriété (comme pour msoConnectorAnd), ou s'ils doivent être traités séparément (comme pour msoConnectorOr).

Exemple

Cet exemple montre comment afficher un message qui décrit le mode d'évaluation des critères lors de la recherche.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


ConnectString, propriété

Cette propriété renvoie ou définit un objet de type String qui représente la connexion à la source de données de publipostage spécifiée. Type de données en lecture-écriture.

expression.ConnectString

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment vérifier si la chaîne de connexion contient les caractères ODSOOutlook et comment afficher un message en conséquence.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Context, propriété

Renvoie ou définit une chaîne de caractères qui détermine où la barre de commandes spécifiée sera enregistrée. Cette chaîne de caractères est définie et interprétée par l'application. Type de données String en lecture-écriture.

Note

Vous ne pouvez utiliser la propriété Context que pour les barres de commandes personnalisées. Cette propriété échoue si l'application ne reconnaît pas la chaîne de contexte ou si elle ne gère pas le changement de chaîne de contexte par programmation.

Exemple

Cet exemple montre comment afficher une zone de message contenant la chaîne de contexte de la barre de commandes « Custom ». Cet exemple fonctionne dans Microsoft Word et dans d'autres applications prenant en charge la propriété Context.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls, propriété

Renvoie un objet CommandBarControls qui représente tous les contrôles d'une barre de commandes ou d'un contrôle contextuel. En lecture seule.

Pour plus d'informations sur le renvoi d'un seul membre d'une collection, consultez Renvoi d'un objet à partir d'une collection.

Exemple

Cet exemple montre comment ajouter une zone de liste modifiable à une barre de commandes intitulée « Custom » et ajouter deux éléments à la liste. L'exemple montre également comment définir le nombre d'éléments et la largeur de la zone de liste modifiable, et lui affecter par défaut une valeur vide.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété renvoie ou définit un objet de type Long indiquant le nombre d'éléments contenus dans la collection spécifiée. Type de données Long en lecture-écriture pour les objets BalloonCheckboxes et BalloonLabels ; type de données Long en lecture seule pour tous les autres objets répertoriés dans la liste S'applique à.

expression.Count

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Notes

Pour la collection CommandBars, le nombre n'inclut que les barres de menus, barres d'outils et menus contextuels.

Pour la collection Scripts, le nombre renvoyé correspond au nombre de blocs de script dans le document spécifié. Dans Microsoft Word, Scripts.Count renvoie le nombre total d'ancres flottantes, insérées et combinées.

Exemples

Cet exemple montre comment afficher le nombre de barres de commandes de la collection CommandBars au moyen de la propriété Count.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

Cet exemple montre comment afficher le nombre de cases à cocher affichées dans la bulle Compagnon Office au moyen de la propriété Count.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

Cet exemple montre comment afficher le nombre de propriétés de document personnalisées dans le document actif.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator, propriété

Cette propriété renvoie le code à quatre caractères correspondant à l'application dans laquelle l'objet spécifié a été créé. Disponible uniquement sur Macintosh. Type de données Long en lecture seule.

expression.Creator

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.


DataSource, propriété

Cette propriété renvoie ou définit un objet de type String qui représente le nom de la source de données liée. Type de données en lecture-écriture.

expression.DataSource

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment définir le nom de la source de données si le nom est vide.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description, propriété

Propriété Description telle qu'elle s'applique à l'objet COMAddIn.

Cette propriété renvoie ou définit une valeur de type String descriptive pour l'objet COMAddIn spécifié. Type de données en lecture-écriture.

expression.Description

expression Obligatoire. Expression qui renvoie un objet COMAddIn.

Propriété Description telle qu'elle s'applique à l'objet FileDialogFilter.

Cette propriété renvoie la description de chaque objet Filter en tant que valeur de type String. La description est le texte affiché dans la boîte de dialogue de fichiers. Type de données en lecture seule.

expression.Description

expression Obligatoire. Expression qui renvoie un objet FileDialogFilter.

Exemple

Telle qu'elle s'applique à l'objet COMAddIn.

Cet exemple montre comment afficher le texte descriptif du complément COM (« COMAddIn ») d'accessibilité Microsoft destiné au dessin.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

Telle qu'elle s'applique à l'objet FileDialogFilter.

L'exemple suivant montre comment balayer les filtres par défaut de la boîte de dialogue Enregistrer sous et comment afficher la description de chaque filtre incluant un fichier Microsoft Excel. La propriété Extensions est utilisée pour trouver les objets de filtre appropriés.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText, propriété

Renvoie ou définit la description du contrôle de barre de commandes spécifié. La description ne s'affiche pas pour l'utilisateur, mais elle peut être utile pour expliquer le comportement du contrôle aux autres développeurs. Type de données String en lecture-écriture.

Notes

Cette propriété est utilisée pour les bulles d'aide sur Macintosh.

Example

Cet exemple montre comment ajouter un contrôle dans une barre de commandes personnalisée, avec une description du comportement du contrôle.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DialogType, propriété

Cette propriété renvoie une constante MsoFileDialogType représentant le type de boîte de dialogue de fichiers que l'objet FileDialog doit afficher. Type de données en lecture seule.

MsoFileDialogType peut être l'une de ces constantes MsoFileDialogType.
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expression.DialogType

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment prendre un objet FileDialog de type inconnu et exécuter la méthode Execute s'il s'agit d'une boîte de dialogue Enregistrer sous ou d'une boîte de dialogue Ouvrir.

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown, propriété

Cette propriété a la valeur True si le menu déroulant Aide intuitive est activé. Argument de type Boolean en lecture-écriture.

expression.DisableAskAQuestionDropdown

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment basculer vers la propriété DisableAskAQuestionDropdown.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize, propriété

Cette propriété a la valeur True si la personnalisation des barres d'outils est désactivée. Argument de type Boolean en lecture-écriture.

expression.DisableCustomize

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment basculer vers la propriété DisableCustomize .

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts, propriété

Cette propriété a la valeur True si les noms de polices figurant dans la zone Police sont affichés dans la police correspondante. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment définir trois options pour toutes les barres de commandes dans Microsoft Office, y compris les barres de commandes personnalisées et les contrôles qu'elles contiennent.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips, propriété

Cette propriété a la valeur True si les touches de raccourci sont affichées dans les info-bulles de chaque contrôle de barre de commandes. Type de données Boolean en lecture-écriture.

Note

Pour afficher les touches de raccourci dans les info-bulles, vous devez également affecter la valeur True à la propriété DisplayTooltips.

Example

Cet exemple montre comment définir les options de toutes les barres de commandes de Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips, propriété

Cette propriété a la valeur True si des info-bulles sont affichées chaque fois que l'utilisateur positionne le curseur sur les contrôles de barre de commandes. Type de données Boolean en lecture-écriture.

Note

La définition de la propriété DisplayTooltips dans une application conteneur affecte toutes les barres de commandes faisant partie de cette application, ainsi que celles de toute autre application Microsoft Office en cours d'exécution ou qui sera lancée ultérieurement, dès que la propriété sera définie.

Example

Cet exemple montre comment afficher des contrôles agrandis et des info-bulles sur toutes les barres de commandes.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines, propriété

Renvoie ou définit le nombre de lignes de la zone de liste modifiable de la barre de commandes spécifiée. Ce contrôle doit être personnalisé et représenter une zone de liste déroulante ou une zone de liste modifiable. Type de données Long en lecture-écriture.

Remarque Cette méthode échouera si elle est appliquée à une zone de liste modifiable prédéfinie ou à une zone de modification.

Note

Si la valeur 0 (zéro) est affectée à la propriété, le nombre de lignes du contrôle est basé sur le nombre d'éléments de la liste.

Exemple

Cet exemple montre comment ajouter une zone de liste modifiable à la barre de commandes intitulée « Custom » et ajouter deux éléments à la liste. L'exemple montre également comment définir le nombre d'éléments et la largeur de la zone, et lui affecter par défaut une valeur vide.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth, propriété

Renvoie ou affecte la largeur (en pixels) de la liste de la zone de liste modifiable de barre de commandes spécifiée. Type de données Long en lecture-écriture.

Remarque Une erreur se produit en cas d'affectation d'une valeur à cette propriété pour une zone de liste modifiable prédéfinie.

Note

Si la valeur affectée à cette propriété est -1, la largeur de la liste est basée sur la longueur de son élément le plus long. Si la valeur affectée est égale à 0, la largeur de la liste est basée sur celle du contrôle.

Exemple

Cet exemple montre comment ajouter une zone de liste modifiable à la barre de commandes intitulée « Custom » et ajouter deux éléments à la liste. L'exemple montre également comment définir le nombre d'éléments et la largeur de la zone, et lui affecter par défaut une valeur vide.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled, propriété

Cette propriété a la valeur True si la barre de commandes ou le contrôle de barre de commandes spécifié est actif. Type de données Boolean en lecture-écriture.

Notes

Dans le cas d'une barre de commandes, si vous affectez la valeur True à cette propriété, le nom de la barre s'affiche dans la liste des barres de commandes disponibles.

Dans le cas d'un contrôle prédéfini, si vous affectez la valeur True à la propriété Enabled, l'application détermine son état ; si vous lui affectez la valeur False, la propriété est désactivée.

Exemples

Cet exemple montre comment adapter les barres de commandes selon le niveau de l'utilisateur spécifié par user. Si la valeur « Level 1 » est affectée à la variable user, la barre de commandes intitulée « VB Custom Bar » s'affiche. Si une autre valeur est affectée à user, la barre de commandes prédéfinie Visual Basic est réinitialisée à son état par défaut et la barre « VB Custom Bar » est désactivée.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

Cet exemple montre comment ajouter deux boutons à la barre de commandes intitulée « Custom ». Le premier contrôle est désactivé, tandis que le second est activé par défaut.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate, propriété

Cette propriété renvoie un objet de type Variant représentant la date à laquelle la signature numérique correspondant à l'objet Signature expirera. Type de données en lecture seule.

expression.ExpireDate

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et appelez cette fonction. La fonction vérifie que la signature numérique que l'utilisateur sélectionne ne va pas expirer avant 12 mois. Dans le cas contraire, le certificat n'est pas joint au document.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Extended, propriété

Définit ou renvoie les attributs ajoutés à la balise <SCRIPT>, à l'exception des attributs LANGUAGE et ID. Type de données String en lecture-écriture.

Notes

Les attributs sont séparés par des espaces, comme en langage HTML. Vous ne pouvez pas transmettre l'attribut LANGUAGE ou ID en utilisant la propriété Extended.

L'application Microsoft Office hôte n'offre aucun moyen de vérifier la syntaxe des attributs transmis.

Si vous transmettez l'attribut LANGUAGE dans la propriété Extended, la balise <SCRIPT> reçoit deux paramètres de langue, ce qui génère un conflit.

Si vous transmettez un attribut ID dans la propriété Extended et qu'aucun ID n'a été défini par l'intermédiaire du paramètre ID de la méthode Add ou de la propriété Id de l'objet Script, l'ID est exporté correctement .

Exemple

Cet exemple montre comment vérifier la propriété Extended pour s'assurer qu'aucun attribut supplémentaire n'a été ajouté au premier script de la feuille de calcul 1 du classeur actif.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Extensions, propriété

Cette propriété renvoie une valeur de type String contenant les extensions qui déterminent quels fichiers sont affichés dans une boîte de dialogue de fichiers pour chaque objet Filter. Type de données en lecture seule.

expression.Extensions

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment balayer les filtres par défaut de la boîte de dialogue Enregistrer sous et comment afficher la description de chaque filtre incluant un fichier Microsoft Excel. La propriété Extensions est utilisée pour trouver les objets de filtre appropriés.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FaceId, propriété

Renvoie ou définit le numéro d'identification de l'image du bouton de barre de commandes spécifié. Type de données Long en lecture-écriture.

Notes

La propriété FaceId gère l'aspect mais pas la fonction d'un bouton de barre de commandes. La propriété Id de l'objet CommandBarControl détermine la fonction du bouton.

La valeur de la propriété FaceId pour un bouton de barre de commandes dont l'image est personnalisée est égale à 0 (zéro).

Exemple

Cet exemple montre comment ajouter un bouton à une barre de commandes personnalisée. Cliquer sur ce bouton revient à cliquer sur la commande Ouvrir du menu Fichier car son numéro d'identification (ID) est 23, mais le bouton a la même image que le bouton prédéfini Graphique.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office fournit des informations d'aide relatives à l'utilisation plus efficace des fonctionnalités de l'application. Type de données Boolean en lecture-écriture.

Note

La propriété FeatureTips correspond à l'option Utilisation efficace du logiciel située sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment demander au Compagnon Office de fournir des informations afin d'utiliser plus efficacement des fonctionnalités d'application.

Assistant.FeatureTips = True


FileName, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Objet Assistant : renvoie ou définit le chemin d'accès et le nom du fichier du Compagnon Office actif. Type de données String en lecture-écriture.

Objet FileSearch : renvoie ou définit le nom du fichier à rechercher lors d'une recherche de fichier. Ce nom peut contenir les caractères génériques * (astérisque) ou ? (point d'interrogation). Utilisez le point d'interrogation pour représenter n'importe quel caractère individuel. Par exemple, tapez gr?ve pour pour rechercher à la fois « grave » et « grive ». Utilisez l'astérisque pour représenter plusieurs caractères. Par exemple, tapez *.txt pour rechercher tous les fichiers dotés de l'extension .TXT. Type de données String en lecture-écriture.

expression.FileName

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment rechercher tous les fichiers situés dans le dossier Mes documents dont le nom commence par « cmd » et comporte une extension. Cet exemple montre comment afficher le nom et l'emplacement de chaque fichier trouvé.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files, propriété

Renvoie une collection AnswerWizardFiles qui représente la liste des fichiers disponibles pour l'aide intuitive actuelle. Argument en lecture seule.

Pour plus d'informations sur le renvoi d'un seul membre d'une collection, consultez Renvoi d'un objet à partir d'une collection.

Exemple

Cet exemple montre comment restaurer la liste des fichiers pour l'aide intuitive actuelle, puis afficher à la fois le nombre de fichiers et leurs noms dans un message.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType, propriété

Renvoie ou définit le type de fichier à rechercher. Type de données MsoFileType en lecture-écriture.

MsoFileType peut être l'une de ces constantes MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.FileType

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

La constante msoFileTypeOfficeFiles inclut tous les fichiers portant l'une des extensions suivantes : *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm ou *.html.

Exemple

Cet exemple montre comment rechercher tous les fichiers classeur dans le dossier Mes documents et afficher une boîte de message indiquant le nom et l'emplacement de chaque fichier trouvé.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FileTypes, propriété

Cette propriété renvoie une collection FileTypes.

expression.FileTypes

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment rechercher tous les fichiers HTML et Microsoft Excel sur le lecteur C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


FilterIndex, propriété

Cette propriété renvoie ou définit un objet de type Long indiquant le filtre de fichier par défaut d'une boîte de dialogue de fichiers. Le filtre par défaut détermine quels types de fichiers sont affichés lorsque la boîte de dialogue de fichiers est d'abord ouverte. Type de données en lecture-écriture.

expression.FilterIndex

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

Si vous essayez d'affecter à cette propriété un nombre supérieur à celui des filtres, le dernier filtre disponible est sélectionné.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message. Cet exemple illustre également comment ajouter un nouveau filtre de fichier et comment en faire le filtre par défaut.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Filters, propriété

Cette propriété renvoie une collection FileDialogFilters.

expression.Filters

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message. Cet exemple illustre également comment ajouter un nouveau filtre de fichier intitulé « Images ».

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FixedWidthFont, propriété

Définit ou renvoie le paramètre de la police à largeur fixe dans l'application hôte. Type de données String en lecture-écriture.

Note

Lorsque vous définissez la propriété FixedWidthFont, l'application hôte ne vérifie pas si la valeur est valide ou non.

Exemple

Cet exemple montre comment définir la police à largeur fixe et sa taille pour le jeu de caractères Anglais/Européen occidental/Autre script latin (« English/Western European/Other Latin Script ») dans l'application active.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize Property

Définit ou renvoie le paramètre de la taille de la police à largeur fixe dans l'application hôte, en points. Type de données Single en lecture-écriture.

Notes

Lorsque vous définissez la propriété FixedWidthFontSize, l'application hôte ne vérifie pas si la valeur est valide ou non. Si vous entrez une valeur non valide, telle qu'une valeur non numérique, l'application hôte définit une taille égale à 0 point. Vous pouvez entrer des tailles exprimées en demi-point : si vous entrez d'autres tailles fractionnaires en points, elles sont arrondies au demi-point le plus proche.

Exemple

Cet exemple montre comment définir la police à largeur fixe et sa taille pour le jeu de caractères Anglais/Européen occidental/Autre script latin (« English/Western European/Other Latin Script ») dans l'application active.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles, propriété

Cette propriété renvoie un objet FoundFiles qui contient les noms de tous les fichiers trouvés au cours d'une recherche. En lecture seule.

Exemple

Cet exemple montre comment parcourir la liste des fichiers trouvés lors d'une recherche et afficher leur chemin d'accès.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office affiche une liste des rubriques d'aide correspondant au contexte qui était en vigueur juste avant que l'utilisateur clique sur la fenêtre Compagnon ou appuie sur F1. Type de données Boolean en lecture-écriture.

Note

La propriété GuessHelp correspond à l'option Deviner la rubrique appropriée située sous Utiliser le Compagnon Office, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment définir le Compagnon Office pour qu'il devine les rubriques d'aide.

Assistant.GuessHelp = True


Guid, propriété

Renvoie le GUID (Globally Unique Identifier, identificateur unique global) pour l'objet COMAddIn spécifié. Type de données String en lecture seule.

Exemple

Cet exemple montre comment afficher le ProgID et le GUID du complément COM 1 dans un message.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit le titre qui apparaît dans la bulle du Compagnon Office. Type de données String en lecture-écriture.

Notes

Vous pouvez spécifier le graphisme à afficher dans le titre de la bulle en utilisant la syntaxe suivante : {type emplacement facteur_dimension}, la valeur de type étant bmp (image en mode point) ou wmf (métafichier Windows), emplacement l'identificateur de la ressource ou le chemin d'accès et le nom de fichier, et facteur_dimension la largeur de l'image au format WMF (non spécifié si l'image est au format BMP).

Le titre de la bulle prend également en charge le texte souligné et le texte auquel l'une des 16 couleurs de la palette système est appliquée. Pour afficher le texte souligné dans un titre, utilisez la syntaxe {ul} ou {ul 1} ; utilisez {ul 0} pour désactiver le soulignement. Pour modifier la couleur du texte du titre, faites précéder le texte de la chaîne de caractères {cf nombre}, où nombre est l'un des numéros de couleurs répertoriés dans le tableau suivant.

Numéro des couleurs système | Couleur
0 | Noir
1 | Rouge foncé
2 | Vert foncé
3 | Jaune foncé
4 | Bleu foncé
5 | Magenta foncé
6 | Cyan foncé
7 | Gris pâle
248 | Gris moyen
249 | Rouge
250 | Vert
251 | Jaune
252 | Bleu
253 | Magenta
254 | Cyan
255 | Blanc

Si vous spécifiez un numéro autre que l'un des numéros des couleurs système précédents, le texte du titre est noir.

Exemple

Cet exemple montre comment afficher une bulle comportant un titre, du texte et trois choix de régions.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Height, propriété

Cette propriété renvoie ou définit la hauteur d'un contrôle de barre de commandes ou d'une barre de commandes. Argument de type Long en lecture-écriture.

expression.Height

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Exemple

Cet exemple montre comment ajouter un contrôle personnalisé à la barre de commandes intitulée Custom. La hauteur du contrôle personnalisé est fixée au double de celle de la barre de commandes et sa largeur à 50 pixels. Notez que la barre de commandes est automatiquement redimensionnée pour contenir le contrôle.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId, propriété

Renvoie ou définit le numéro d'identificateur contextuel dans l'aide de la rubrique d'aide liée au contrôle de barre de commandes. Type de données Long en lecture-écriture.

Notes

Pour utiliser cette propriété, vous devez également définir la propriété HelpFile. Les rubriques d'aide s'affichent en appuyant sur MAJ+F1.

Exemple

Cet exemple montre comment ajouter une barre de commandes personnalisée comportant une zone de liste modifiable qui effectue le suivi des données relatives à un stock. Il montre également comment spécifier la rubrique d'aide qui doit s'afficher pour la zone de liste modifiable lorsque l'utilisateur appuie sur MAJ+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HelpFile, propriété

Renvoie ou définit le nom de fichier de la rubrique d'aide attachée au contrôle de barre de commandes. Type de données String en lecture-écriture.

Note

Pour utiliser cette propriété, vous devez également définir la propriété HelpContextID. Les rubriques d'aide s'affichent lorsque l'utilisateur appuie sur MAJ+F1.

Exemple

Cet exemple montre comment ajouter une barre de commandes personnalisée comportant une zone de liste modifiable qui effectue le suivi des données relatives à un stock. Il montre également comment spécifier la rubrique d'aide qui doit s'afficher pour la zone de liste modifiable lorsque l'utilisateur appuie sur MAJ+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office affiche les astuces importantes. Type de données Boolean en lecture-écriture.

Note

La propriété HighPriorityTips correspond à l'option Uniquement astuces importantes située sous Afficher les astuces sur, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment définir le Compagnon Office pour qu'il affiche les astuces importantes.

Assistant.HighPriorityTips = True


HTMLProjectItems, propriété

Renvoie la collection HTMLProjectItems qui est incluse dans le projet HTML spécifié. Type de données HTMLProjectItems en lecture seule.

Exemple

Cet exemple montre comment renvoyer le nombre d'éléments dans la collection HTMLProjectItems du projet HTML dans le classeur actif.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType, propriété

Définit ou renvoie le type de lien hypertexte associé au bouton de barre de commandes spécifié. MsoCommandBarButtonHyperlinkType en lecture-écriture.

MsoCommandBarButtonHyperlinkType peut être l'une de ces constantes MsoCommandBarButtonHyperlinkType.
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

Exemple

Cet exemple montre comment vérifier la propriété HyperlinkType pour le bouton de barre de commandes spécifié situé dans la barre de commandes nommée « Custom ». Si la propriété HyperlinkType a la valeur msoCommandBarButtonHyperlinkNone, l'exemple montre comment affecter à la propriété la valeur msoCommandBarButtonHyperlinkOpen et à l'URL la valeur www.microsoft.com.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit le type d'icône qui apparaît dans la partie supérieure gauche de l'info-bulle du Compagnon Office. MsoIconType en lecture-écriture.

MsoIconType peut être l'une de ces constantes MsoIconType.
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

Exemple

Cet exemple montre comment créer une info-bulle avec une icône d'avertissement qui demande à l'utilisateur de sélectionner une imprimante.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id, propriété

Propriété Id telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox et CommandBarControl.

Renvoie l'ID d'un contrôle de barre de commandes prédéfini. Type de données Long en lecture seule.

expression.Id

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Notes

L'ID d'un contrôle détermine l'action prédéfinie de ce contrôle. La valeur de la propriété Id de tous les contrôles personnalisés est 1.

Propriété Id telle qu'elle s'applique à l'objet Script.

Définit ou renvoie l'ID d'un objet Script. Type de données String en lecture-écriture.

expression.Id

expression Obligatoire. Expression qui renvoie l'objet Script.

Notes

L'ID renvoyé est l'attribut ID de la balise <SCRIPT> en langage HTML. Si aucun attribut ID n'est spécifié dans la balise <SCRIPT>, la propriété Id renvoie une chaîne vide.

Id spécifie un identificateur SGML utilisé pour nommer les éléments. Les identificateurs valides comprennent toute chaîne qui commence par une lettre et est composée de caractères alphanumériques. La chaîne peut également inclure le caractère de soulignement (_).

L'ID doit être unique au sein du document HTML.

Exemples

Telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox et CommandBarControl.

Cet exemple montre comment changer l'image du bouton correspondant au premier contrôle de la barre de commandes appelée « Custom2 » si la valeur de l'ID du bouton est inférieure à 25.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

L'exemple suivant montre comment modifier la légende de chaque contrôle de la barre d'outils intitulée « Standard » pour la remplacer par la valeur en cours de la propriété Id pour ce contrôle.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Telle qu'elle s'applique à l'objet Script.

Cet exemple montre comment attribuer une nouvelle valeur à la propriété Id du premier script de la feuille de calcul 1 du classeur actif.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index, propriété

Renvoie Long qui représente le numéro d'index d'un objet de la collection. Type de données en lecture seule.

expression.Index

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

La position du premier contrôle de barre de commandes est 1. Les séparateurs ne sont pas comptés dans la collection CommandBarControls.

Exemple

Cet exemple montre comment rechercher un contrôle dont la valeur d'ID est 23 dans la barre de commandes intitulée « Custom2 ». Si un tel contrôle est trouvé et que son numéro d'index est supérieur à 5, le contrôle est placé en première position sur la barre.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName, propriété

Cette propriété renvoie ou définit un objet de type String représentant le chemin et/ou le nom de fichier initialement affiché dans une boîte de dialogue de fichiers. Type de données en lecture-écriture.

expression.InitialFileName

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

Vous pouvez utiliser les caractères génériques '*' et '?' lorsque vous spécifiez le nom d'un fichier mais pas lorsque vous spécifiez le chemin d'accès. Le caractère '*' représente n'importe quel nombre de caractères consécutifs et le caractère '?' représente un seul caractère. Par exemple, .InitialFileName = « c:\c*s.txt » renvoie « cartes.txt » et « continentales.txt ».

Si vous spécifiez un chemin et aucun nom de fichier, tous les fichiers autorisés par le filtre de fichiers apparaissent dans la boîte de dialogue.

Si vous spécifiez un fichier qui existe dans le dossier initial, seul ce fichier s'affiche dans la boîte de dialogue.

Si vous spécifiez un nom de fichier qui n'existe pas dans le dossier initial, la boîte de dialogue ne contient aucun fichier. Le type de fichier que vous spécifiez dans la propriété InitialFileName remplace les paramètres de filtre de fichiers.

Si vous spécifiez un chemin non valide, le dernier chemin utilisé est utilisé. Un message avertit les utilisateurs lorsqu'un chemin non valide est utilisé.

Si vous affectez à cette propriété une chaîne supérieure à 256 caractères, une erreur d'exécution se produit.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


InitialView, propriété

Cette propriété renvoie ou définit une constante MsoFileDialogView représentant la présentation initiale des fichiers et des dossiers dans une boîte de dialogue de fichiers. Type de données en lecture-écriture.

MsoFileDialogView peut être l'une de ces constantes MsoFileDialogView.
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail Cette constante n'est disponible qu'en conjonction avec Microsoft Windows 2000 ou Microsoft Windows Millennium, ou toute version ultérieure.
msoFileDialogViewWebView Non disponible. Si vous sélectionnez cette constante, l'affichage par défaut est utilisé.

expression.InitialView

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier en mode Détails à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Introduction, propriété

Cette propriété renvoie ou définit le texte d'introduction inclus dans un document envoyé à l'aide de l'objet MsoEnvelope. Le texte d'introduction est inclus en haut du document dans le courrier électronique. Type de données String en lecture-écriture.

expression.Introduction

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment envoyer le document Microsoft Word actif sous la forme d'un courrier électronique à une adresse électronique que vous indiquez à la sous-routine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


IsCertificateExpired, propriété

Cette propriété a la valeur True si le certificat numérique qui correspond à l'objet Signature a expiré. Argument de type Boolean en lecture seule.

expression.IsCertificateExpired

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsCertificateRevoked, propriété

Cette propriété a la valeur True si le certificat numérique qui correspond à l'objet Signature a été révoqué par l'émetteur du certificat. Argument de type Boolean en lecture seule.

expression.IsCertificateRevoked

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsOpen, propriété

Cette propriété a la valeur True si le projet HTML spécifié est ouvert dans Microsoft Script Editor. Type de données Boolean en lecture seule.

Exemple

Cet exemple montre comment déterminer si l'élément de projet HTML spécifié est ouvert et, si tel est le cas, charger le script à partir du fichier spécifié.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped, propriété

Cette propriété à la valeur True si le contrôle est actuellement supprimé du menu ou de la barre d'outils en fonction des statistiques sur l'utilisation et de l'espace disponible. (Cette propriété ne concerne pas la visibilité du contrôle définie par la propriété Visible.) Un contrôle dont la propriété Visible a la valeur True ne sera pas immédiatement visible dans un menu personnalisé ou une barre d'outils si la propriété IsPriorityDropped à la valeur True. Argument de type Boolean en lecture seule.

Notes

Pour déterminer quand la valeur True doit être affectée à la propriété IsPriorityDropped pour un élément de menu spécifique, Microsoft Office conserve un décompte du nombre d'utilisations de l'élément de menu considéré et un enregistrement du nombre de sessions d'application au cours desquelles l'utilisateur a utilisé un autre élément du même menu, sans utiliser l'élément de menu considéré. Lorsque cette valeur atteint un certain seuil, le décompte est décrémenté. Lorsque le décompte atteint zéro, la valeur True est affectée à la propriété IsPriorityDropped. Les programmeurs ne peuvent pas définir la valeur de session, la valeur seuil, ni la propriété IsPriorityDropped. En revanche, ils peuvent utiliser la propriété AdaptiveMenus pour désactiver les menus adaptables pour certains menus d'une application.

Pour déterminer quand la valeur True doit être affectée à la propriété IsPriorityDropped pour un contrôle de barre d'outils spécifique, Office conserve une liste de l'ordre dans lequel les contrôles de cette barre d'outils ont été exécutés. Une barre d'outils affiche toujours autant de contrôles que l'espace qui lui est alloué le permet, en commençant par le bouton le plus récemment utilisé. Tous les contrôles dont la propriété Priority a la valeur 1 sont toujours affichés et la barre d'outils s'affichera sur deux lignes s'il n'y a pas suffisamment de place. Les programmeurs peuvent utiliser la propriété Priority pour s'assurer que certains contrôles de barre d'outils seront toujours affichés ou pour repositionner une barre d'outils de manière à lui attribuer suffisamment de place pour afficher tous les contrôles.

Vous pouvez utiliser le tableau suivant pour déterminer le nombre de sessions pendant lesquelles un élément d'un menu personnalisé restera visible avant que la valeur True ne soit affectée à sa propriété IsPriorityDropped.

Nombre d'utilisations du contrôle de barre de commandes | Nombre de sessions de l'application
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6-8 | 17
9-13 | 23
14–24 | 29
25 ou plus | 31

Exemple

Cet exemple montre comment vérifier la propriété IsPriorityDropped pour le premier contrôle de la barre de commandes appelée « Custom ». Si la valeur True est affectée à la propriété IsPriorityDropped, cet exemple montre comment affecter la valeur False à la propriété AdaptiveMenus, restaurant ainsi la barre de commandes supprimée.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer, propriété

Cette propriété renvoie un objet de type String représentant le nom de l'émetteur du certificat numérique qui correspond à l'objet Signature. Type de données en lecture seule.

expression.Issuer

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsValid, propriété

Cette propriété a la valeur True si le certificat numérique qui correspond à l'objet Signature est un certificat valide. Un certificat peut être non valide pour plusieurs raisons telles qu'une date d'expiration dépassée ou des modifications effectuées dans le document qui le contient. Argument de type Boolean en lecture seule.

expression.IsValid

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Item, propriété

Propriété Item telle qu'elle s'applique à la collection FileTypes.

Cette propriété renvoie une valeur qui indique quel type de fichier est recherché par la méthode Execute de l'objet FileSearch. Type de données MsoFileType en lecture seule.

MsoFileType peut être l'une de ces constantes MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.Item(Index)

expression Obligatoire. Expression qui renvoie une collection FileTypes.

Index Argument de type Long obligatoire. Numéro d'index de l'objet à renvoyer.

Propriété Item telle qu'elle s'applique à l'objet CommandBars.

Cette propriété renvoie un objet CommandBar de la collection CommandBars.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie un objet CommandBars.

Index Argument de type Variant obligatoire. Nom ou numéro d'index de l'objet à renvoyer.

Propriété Item telle qu'elle s'applique à l'objet CommandBarControls.

Cette propriété renvoie un objet CommandBarControl de la collection CommandBarControls.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie un objet CommandBarControls.

Index Argument de type Variant obligatoire. Nom ou numéro d'index de l'objet à renvoyer.

Propriété Item telle qu'elle s'applique à l'objet DocumentProperties.

Cette propriété renvoie un objet DocumentProperty de la collection DocumentProperties.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie un objet DocumentProperties.

Index Argument de type Variant obligatoire. Nom ou numéro d'index de la propriété de document à renvoyer.

Propriété Item telle qu'elle s'applique aux objets BalloonCheckboxes et BalloonLabels.

Cette propriété renvoie un objet BalloonCheckBox ou BalloonLabel.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Numéro d'index de la case à cocher ou de l'étiquette à renvoyer.

Propriété Item telle qu'elle s'applique à l'objet MsoEnvelope.

Cette propriété renvoie un objet MailItem qui peut être utilisé pour envoyer le document sous la forme d'un courrier électronique.

expression.Item

expression Obligatoire. Expression qui renvoie un objet MsoEnvelope.

Propriété Item telle qu'elle s'applique à l'objet PropertyTests.

Cette propriété renvoie un objet PropertyTest de la collection PropertyTests.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie un objet PropertyTests.

Index Argument de type Long obligatoire. Numéro d'index du test de propriété à renvoyer.

Propriété Item telle qu'elle s'applique aux objets ScopeFolders et SearchFolders.

Cette propriété renvoie un objet ScopeFolder qui représente un sous-dossier de l'objet parent.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Détermine quel sous-dossier renvoyer.

Propriété Item telle qu'elle s'applique à l'objet SearchScopes.

Cette propriété renvoie un objet SearchScope qui correspond à une zone dans laquelle effectuer une recherche de fichiers, telle que des lecteurs locaux ou des dossiers Microsoft Outlook.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie un objet SearchScopes.

Index Argument de type Long obligatoire. Détermine quel objet SearchScope renvoyer.

Propriété Item telle qu'elle s'applique à l'objet SignatureSet.

Cette propriété renvoie un objet Signature qui correspond à l'une des signatures numériques avec laquelle le document est actuellement signé.

expression.Item(iSig)

expression Obligatoire. Expression qui renvoie un objet SignatureSet.

iSig Argument de type Long obligatoire. Détermine quel objet Signature renvoyer.

Propriété Item telle qu'elle s'applique aux objets AnswerWizardFiles et FoundFiles.

Cette propriété renvoie, respectivement, une chaîne de nom de fichier d'une collection AnswerWizardFiles ou un nom de fichier de la liste des noms de fichiers représentée par l'objet FoundFiles. Argument de type String en lecture seule.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type Long obligatoire. Numéro d'index de la chaîne du nom de fichier de l'Aide intuitive ou nom du fichier à renvoyer.

Propriété Item telle qu'elle s'applique aux objets Assistant, BalloonCheckbox, BalloonLabel et FileDialog.

Cette propriété renvoie le texte associé à l'objet spécifié. Type de données String en lecture seule.

expression.Item

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Propriété Item telle qu'elle s'applique à l'objet WebPageFonts.

Cette propriété renvoie un objet WebPageFont de la collection WebPageFonts pour une valeur particulière de la constante MsoCharacterSet.

expression.Item(Index)

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Index Argument de type MsoCharacterSet obligatoire. Jeu de caractères spécifié.

MsoCharacterSet peut être l'une de ces constantes MsoCharacterSet.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Exemples

Telle qu'elle s'applique à l'objet CommandBars.

La propriété Item est le membre par défaut de l'objet ou de la collection. Les deux instructions suivantes affectent un objet CommandBar à cmdBar.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

Telle qu'elle s'applique aux objets BalloonCheckboxes et BalloonLabels.

La propriété Item est le membre par défaut de l'objet ou de la collection. Les deux instructions suivantes affectent à lblText le texte de la première étiquette dans l'objet Balloon affecté à myBalloon.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

Telle qu'elle s'applique aux objets AnswerWizardFiles et FoundFiles.

Cet exemple montre comment réinitialiser la liste de fichiers pour l'Aide intuitive en cours et comment afficher le nombre de fichiers et les noms de fichiers dans un message, en utilisant la propriété Item pour renvoyer les noms de fichiers.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

Telle qu'elle s'applique à l'objet WebPageFonts.

Cet exemple montre comment utiliser la propriété Item pour attribuer la valeur myFont à l'objet WebPageFont pour le jeu de caractères Anglais/Européen occidental/Autre script latin (« English/Western European/Other Latin Script ») dans l'application active.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

Telle qu'elle s'applique à l'objet MsoEnvelope.

L'exemple suivant montre comment envoyer le document Microsoft Word actif sous la forme d'un courrier électronique à une adresse électronique que vous indiquez à la sous-routine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office fournit l'aide sur les raccourcis clavier. Type de données Boolean en lecture-écriture.

Note

La propriété KeyboardShortcutTips correspond à l'option Raccourcis clavier située sous Afficher les astuces sur, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment définir le Compagnon Office pour qu'il fournisse l'aide sur les raccourcis clavier.

Assistant.KeyboardShortcutTips = True


Labels, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie une collection BalloonLabels qui représente les étiquettes des boutons, des numéros et des puces figurant dans l'info-bulle du Compagnon Office spécifiée. En lecture seule.

Pour plus d'informations sur le renvoi d'un seul membre d'une collection, consultez Renvoi d'un objet à partir d'une collection.

Exemple

Cet exemple montre comment créer une info-bulle contenant trois choix. La variable x se voit affecter la valeur renvoyée par la méthode Show, c'est-à-dire 1, 2 ou 3, qui correspond à l'étiquette sur laquelle clique l'utilisateur. Dans cet exemple, la valeur de la variable x est simplement affichée dans un message, mais vous pouvez la transmettre à une autre procédure ou l'utiliser dans une instruction Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language, propriété

Spécifie ou renvoie le langage de script du script actif. MsoScriptLanguage en lecture-écriture.

MsoScriptLanguage peut être l'une des ces constantes MsoScriptLanguage.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

Note

Les constantes MsoScriptLanguage utilisées avec la propriété Language sont également utilisées dans le paramètre Language de la méthode Add de la collection Scripts.

Exemple

Cet exemple montre comment vérifier la propriété Language pour s'assurer que le premier script de la feuille de calcul 1 du classeur actif est écrit en VBScript.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


LanguageID, propriété

Renvoie le LCID (Locale Identifier, identificateur des paramètres régionaux) de la langue du programme d'installation, de l'interface utilisateur ou de l'aide. Type de données Long en lecture seule.

expression.LanguageID(Id)

expression Required. Expression qui renvoie un objet LanguageSettings.

Id MsoAppLanguageID obligatoire.

Constante MsoAppLanguageID | Signification
msoLanguageIDExeMode | Mode d'exécution de la langue utilisé par l'application. Ce paramètre s'applique uniquement à Microsoft Excel et à Microsoft Access. Il a une incidence sur les langues qui peuvent être affichées et éditées, les fonctionnalités propres aux langues, les styles numériques et monétaires, etc. Si aucune des langues prises en charge par Excel et Access n'est utilisée, l'application hôte ne sera pas configurée pour prendre en charge les langues se lisant de droite à gauche ainsi que les langues d'Asie orientale. Les langues prises en charge sont les suivantes : Arabe Coréen Chinois simplifié Chinois traditionnel Farsi Hébreu Japonais Ourdou Yiddish
msoLanguageIDHelp | Langue utilisée pour l'aide en ligne.
msoLanguageIDInstall | Paramètres de langue utilisés par Microsoft Office pour configurer les éléments par défaut. Par exemple, Microsoft Word utilise ce paramètre pour déterminer la disposition des barres d'outils ainsi que les types de puces et de numéros par défaut en fonction de chaque langue.
msoLanguageIDUI | Langue utilisée par l'interface utilisateur de l'application hôte.
msoLanguageIDUIPrevious | Paramètre de langue de l'interface utilisateur au moment où un ordinateur donné a été réamorcé pour la dernière fois. Ce paramètre peut être utilisé par un programme ou un complément afin de déterminer si la langue de l'interface utilisateur a changé.

Exemple

Cet exemple Microsoft Excel montre comment vérifier les paramètres de la propriété LanguageID pour l'interface utilisateur et le mode d'exécution afin de contrôler que le même LCID leur a été affecté. Il montre ensuite comment renvoyer une erreur en cas de différence.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing, propriété

Renvoie la valeur True si la valeur de la constante msoLanguageID a été identifiée dans le Registre Windows comme langue de rédaction préférée. Type de données Boolean en lecture seule.

expression.LanguagePreferredForEditing(lid)

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

lid MsoLanguageID obligatoire.

MsoLanguageID peut être l'une de ces constantes MsoLanguageID.
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

Note

Vous devez tester toutes les valeurs msoLanguageID valides pour énumérer l'ensemble des langues préférées.

Exemple

Cet exemple montre comment afficher un message dans le cas où « EnglishUS » est une langue de rédaction préférée.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons, propriété

Cette propriété a la valeur True en cas d'affichage de boutons agrandis. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment changer la taille des boutons de barre d'outils dans toutes les barres de commandes.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified, propriété

Renvoie ou définit une constante qui indique le temps qui s'est écoulé depuis la dernière modification et le dernier enregistrement du fichier. La valeur par défaut est msoLastModifiedAnyTime. MsoLastModified en lecture-écriture.

MsoLastModified peut être l'une de ces constantes MsoLastModified.
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

Exemple

Cet exemple montre comment définir les critères d'une recherche de fichier. Les fichiers renvoyés par cette recherche ont été modifiés hier et se trouvent dans le dossier C:\My Documents ou dans l'un de ses sous-dossiers.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Propriété Left telle qu'elle s'applique aux objetsAssistant et CommandBar.

Cette propriété renvoie ou définit la position horizontale de la fenêtre du Compagnon Office (en points) ou la distance (en pixels) de la barre de commandes, du bord gauche de l'objet spécifié par rapport à l'écran. Argument de type Long en lecture-écriture.

expression.Left

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Propriété Left telle qu'elle s'applique aux objetsCommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cette propriété renvoie ou définit la position horizontale du contrôle de barre de commandes spécifié (en pixels) par rapport au bord gauche de l'écran. Il s'agit de la distance à compter du bord gauche de la zone d'ancrage. Type de données Long en lecture seule.

expression.Left

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Exemples

Telle qu'elle s'applique aux objetsAssistant et CommandBar.

Cet exemple montre comment afficher et positionner le Compagnon Office dans la fenêtre de l'application.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

Cet exemple montre comment déplacer la barre de commandes intitulée Custom de sa position ancrée le long du bord supérieur de la fenêtre vers le bord gauche de la fenêtre.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource, propriété

Renvoie ou définit la source d'une propriété de document personnalisée liée. Type de données String en lecture-écriture.

Notes

Cette propriété s'applique uniquement aux propriétés de document personnalisées. Vous ne pouvez pas l'utiliser pour les propriétés de document prédéfinies.

La source du lien spécifié est définie par l'application conteneur.

La propriété LinkSource, lorsqu'elle est définie, affecte la valeur True à la propriété LinkToContent.

Exemple

Cet exemple montre comment afficher l'état de liaison d'une propriété de document personnalisée. Il ne fonctionne que si dp est un objet DocumentProperty valide.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent, propriété

Cette propriété a la valeur True si la valeur de la propriété de document personnalisée est liée au contenu du document. Elle a la valeur False si la valeur est statique. Type de données Boolean en lecture-écriture.

Notes

Cette propriété s'applique uniquement aux propriétés de document personnalisées. Pour les propriétés de document prédéfinies, la valeur de cette propriété est False.

Utilisez la propriété LinkSource pour définir la source de la propriété liée spécifiée. La propriété LinkSource, lorsqu'elle est définie, affecte la valeur True à la propriété LinkToContent.

Exemple

Cet exemple montre comment afficher l'état de liaison d'une propriété de document personnalisée. Il ne fonctionne que si dp est un objet DocumentProperty valide.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


List, propriété

Renvoie ou définit la valeur d'un élément de liste dans la zone de liste modifiable de la barre de commandes. Type de données String en lecture-écriture.

Remarque Il s'agit d'une propriété en lecture seule dans le cas d'une zone de liste modifiable prédéfinie.

expression.List(Index)

expression Obligatoire. Expression qui renvoie un objet CommandBarComboBox.

Index Argument de type Long obligatoire. Index de l'élément de la liste.

Exemple

Cet exemple montre comment vérifier la valeur du quatrième élément de la zone de liste modifiable dont la légende est « Stock Data » dans la barre de commandes « Custom ». Si la valeur est « View News », l'exemple affiche un message indiquant à l'utilisateur que la zone de liste modifiable risque d'être endommagée et demande une réinstallation de l'application.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


ListCount, propriété

Renvoie le nombre d'éléments de liste de l'objet zone de liste modifiable de la barre de commandes spécifiée. Type de données Long en lecture-écriture.

Exemple

Cet exemple montre comment vérifier le nombre d'éléments de la zone de liste modifiable de la barre de commandes intitulée « Custom ». S'il n'existe pas trois éléments dans la liste créée par la procédure, l'exemple affiche un message indiquant à l'utilisateur que la zone de liste modifiable risque d'être endommagée et demande une réinstallation de l'application.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


ListHeaderCount, propriété

Renvoie ou définit le nombre d'éléments de liste de la zone de liste modifiable de barre de commandes qui sont situés au dessus de la ligne de séparation. Type de données Long en lecture-écriture.

Remarque Il s'agit d'une propriété en lecture seule dans le cas d'une zone de liste modifiable prédéfinie.

Note

La valeur -1 pour la propriété ListHeaderCount indique que la zone de liste modifiable ne comporte pas de ligne de séparation.

Exemple

Cet exemple montre comment ajouter une zone de liste modifiable à la barre de commandes intitulée « Custom », puis comment ajouter deux éléments à la liste ; L'exemple utilise la propriété ListHeaderCount pour afficher un séparateur de ligne entre le premier élément et le second élément de la zone de liste modifiable. Une valeur est ensuite affectée au nombre de lignes d'éléments et à la largeur de la zone. Enfin, la valeur vide est affectée par défaut à la liste.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex, propriété

Renvoie ou définit le numéro d'index de l'élément sélectionné dans la liste de la zone de liste modifiable de barre de commandes. La propriété renvoie la valeur zéro si aucun élément n'est sélectionné dans la liste. Type de données Long en lecture-écriture.

Remarque Cette propriété échoue dans le cas de contrôles autres que des listes.

Note

L'affectation d'une valeur à la propriété ListIndex a pour effet de sélectionner l'élément correspondant du contrôle spécifié et d'exécuter l'action appropriée dans l'application.

Exemple

Cet exemple montre comment utiliser la propriété ListIndex pour déterminer la sous-routine à exécuter, en fonction de la sélection effectuée dans la zone de liste modifiable de la barre de commandes « My Custom Bar ». Comme la procédure utilise ListIndex, le texte apparaissant dans la zone de liste modifiable n'a pas dimportance.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location, propriété

Renvoie l'emplacement de l'ancre de script dans le document HTML spéficié. MsoScriptLocation en lecture-écriture.

MsoScriptLocation peut être l'une de ces constantes MsoScriptLocation.
msoScriptLocationInBody
msoScriptLocationInHead

Notes

Les balises de script figurant dans un document HTML peuvent apparaître à tout endroit entre les balises <HTML> du document. Dans Microsoft Word, Excel ou PowerPoint, seules les ancres de script situées entre les balises <BODY> sont visibles. Le reste du script HTML qui figure avant ou après les balises <BODY> est stocké mais ne peut pas être visualisé par l'utilisateur.

La collection Scripts contient toutes les ancres de script qui apparaissent dans le document, que ce soit à l'intérieur ou à l'extérieur du corps principal du document. En utilisant l'argument Location de la méthode Add, vous pouvez insérer des ancres de script au sein des balises <HEAD> et <BODY> du document HTML. Vous pouvez également utiliser la propriété Location pour déterminer l'emplacement de stockage d'une ancre de script particulière au sein du document.

Exemple

Cet exemple montre comment vérifier la propriété Location du premier script de la feuille de calcul 1 du classeur actif et afficher l'emplacement dans un message.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn, propriété

Renvoie ou définit le dossier sur lequel portera la recherche spécifiée. Type de données String en lecture-écriture.

Exemple

Cet exemple montre comment rechercher dans le dossier « My Documents » tous les fichiers dont le nom commence par « Cmd », et comment afficher le nom et le chemin de chaque fichier trouvé.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Mask, propriété

Cette propriété renvoie un objet IPictureDisp représentant l'image de masque d'un objet CommandBarButton. L'image de masque détermine quelles parties de l'image d'un bouton sont transparentes.

expression.Mask

expression Obligatoire. Expression qui renvoie un objet CommandBarButton.

Notes

Lorsque vous créez une image planifiée à l'aide d'une image de masque, toutes les zones devant être transparentes doivent être blanches et toutes les zones devant être visibles doivent être noires.

Définissez toujours le masque après avoir défini l'image pour un objet CommandBarButton.

Exemples

L'exemple suivant montre comment définir l'image et le masque du premier objet CommandBarButton que le code renvoie. Créez pour cela une image de masque et une image de bouton et remplacez les chemins contenus dans l'exemple par les chemins d'accès à vos images.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

L'exemple suivant montre comment obtenir l'image et le masque du premier objet CommandBarButton que le code renvoie et comment les placer dans un fichier. Pour cela, spécifiez un chemin pour les fichers de sortie.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si la recherche de fichiers est étendue de manière à prendre en compte toutes les formes du fichier spécifié figurant dans le corps ou les propriétés du fichier. Argument de type Boolean en lecture-écriture.

Note

Cette propriété n'est disponible que si le fichier Mswds_en.lex a été installé et enregistré. L'installation par défaut ne comprend pas ce fichier.

Exemple

Cet exemple montre comment sont renvoyés tous les fichiers contenant les mots « run », « running », « runs » ou « ran » dans le corps ou les propriétés du fichier. La propriété TextOrProperty définit le mot à trouver et limite la recherche au corps du fichier ou à ses propriétés.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si la recherche spécifiée ne doit porter que sur les fichiers dont le corps de texte ou les propriétés contiennent exactement le mot ou la phrase spécifié. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment rechercher dans le dossier C:\My Documents tous les fichiers dont le corps de texte ou les propriétés contiennent le mot « Format ».

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle, propriété

Renvoie ou définit le mode d'animation de la barre de commandes spécifiée. MsoMenuAnimation en lecture-écriture.

MsoMenuAnimation peut être l'une de ces constantes MsoMenuAnimation.
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

Exemple

Cet exemple montre comment définir les options de toutes les barres de commandes de Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit le fonctionnement modal des info-bulles du Compagnon Office. Lorsque vous créez un objet Balloon, cette propriété se voit initialement affecter la valeur msoModeModal. MsoModeType en lecture-écriture.

MsoModeType peut être l'une de ces constantes MsoModeType.
msoModeAutoDown
msoModeModal
msoModeModeless

Notes

Si la propriété Mode d'une info-bulle se voit affecter la constante msoModeModeless, l'utilisateur peut travailler dans l'application tout en gardant l'info-bulle visible. Si la propriété se voit affecter la constante msoModeModal, l'utilisateur doit faire disparaître l'info-bulle avant de continuer à travailler dans l'application. Si la propriété se voit affecter la constante msoModeAutoDown, l'info-bulle disparaît quand l'utilisateur clique n'importe où sur l'écran.

Si la propriété Mode d'une info-bulle se voit affecter la constante msoModeModeless et si aucune valeur pour la propriété Callback n'est fournie, une erreur se produit. La méthode Close peut être utilisée uniquement dans la procédure spécifiée par la propriété Callback si la propriété Mode se voit affecter la valeur msoModeModeless.

Exemple

Cet exemple montre comment créer une info-bulle contenant une icône d'avertissement qui demande à l'utilisateur de sélectionner une imprimante. Comme l'info-bulle est non modale, l'utilisateur peut accéder aux commandes de l'imprimante en la gardant sous les yeux. Lorsque l'utilisateur clique sur le bouton OK, la procédure spécifiée dans la propriété Callback est exécutée.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office affiche des astuces sur une utilisation plus efficace de la souris. Type de données Boolean en lecture-écriture.

Notes

La propriété MouseTips correspond à l'option Utilisation efficace de la souris située sous Afficher les astuces sur, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment définir le Compagnon Office pour qu'il affiche des astuces sur une utilisation plus efficace de la souris.

Assistant.MouseTips = True


MoveWhenInTheWay, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si la fenêtre du Compagnon Office se déplace automatiquement lorsqu'elle gêne l'utilisateur dans sa zone de travail. Par exemple, le Compagnon se déplace, si lors d'un glisser-déplacer ou en réponse à des entrées clavier, vous faites glisser le curseur dessus. Type de données Boolean en lecture-écriture.

Note

La valeur par défaut est True. La propriété MoveWhenInTheWay correspond à l'option Déplacer la fenêtre si elle me gêne située sous Utiliser le Compagnon Office, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment afficher le Compagnon Office à un emplacement spécifique, puis définir plusieurs options avant de le rendre visible et actif.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name, propriété

Renvoie ou définit le nom de l'objet spécifié. Type de données String en lecture-écriture pour les objets CommandBar et DocumentProperty ; type de données String en lecture seule pour tous les autres.

Notes

Le nom local d'une barre de commandes intégrée, quand elle n'est pas ancrée, s'affiche dans sa barre de titre et dans la liste des barres de commandes disponibles, quel que soit l'emplacement où cette liste est affichée dans l'application conteneur.

Dans le cas d'une barre de commandes intégrée, la propriété Name renvoie son nom en anglais (États-Unis). La propriété NameLocal permet de renvoyer son nom local.

Si vous changez la valeur de la propriété NameLocal d'une barre de commandes personnalisée, la valeur de Name change également, et vice versa.

Exemples

Cet exemple montre comment rechercher la barre de commandes intitulée « Custom » dans la collection de barres de commandes et comment l'afficher si elle est trouvée.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

Cet exemple montre comment afficher le nom, le type et la valeur d'une propriété de document. Vous devez passer à la procédure un objet DocumentProperty valide.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


NameLocal Property

Renvoie le nom d'une barre de commandes intégrée tel qu'il est affiché dans la langue de l'application conteneur, ou renvoie ou définit le nom d'une barre de commandes personnalisée. Type de données String en lecture-écriture.

Remarque Une erreur se produit si vous essayez d'affecter une valeur à cette propriété dans le cas d'une barre de commandes prédéfinie.

Notes

Le nom local d'une barre de commandes intégrée s'affiche dans la barre de titre (quand la barre de commandes n'est pas ancrée) et dans la liste des barres de commandes disponibles, quel qu'en soit l'emplacement d'affichage dans l'application conteneur.

Si vous changez la valeur de la propriété NameLocal d'une barre de commandes personnalisée, la valeur de Name change également, et vice versa.

Exemple

Cet exemple montre comment afficher le nom et le nom local de la première barre de commandes de l'application.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété crée une info-bulle du Compagnon Office. Elle renvoie un objet Balloon. Type de données en lecture seule.

Exemple

Cet exemple montre comment créer une info-bulle avec un en-tête, du texte et le choix entre trois régions, puis comment afficher l'info-bulle.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object, propriété

Définit ou renvoie l'objet qui est à la base de l'objet COMAddIn spécifié. Type de données Object en lecture-écriture.

Note

Cette propriété est principalement utilisée pour permettre à un objet COMAddIn de communiquer avec un autre objet COMAddIn.

Exemple

Cet exemple montre comment renvoyer l'objet associé avec le complément COM msodraa9.ShapeSelect.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup, propriété

Renvoie ou définit le groupe de menus auquel appartient le contrôle contextuel de la barre de commandes spécifiée lorsque les groupes de menus du serveur OLE sont fusionnés avec les groupes de menus d'un client OLE (c'est-à-dire lorsqu'un objet application de type conteneur est incorporé dans une autre application). MsoOLEMenuGroup en lecture-écriture.

MsoOLEMenuGroup peut être l'une de ces constantes MsoOLEMenuGroup.
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

Remarque Cette propriété est en lecture seule pour les contrôles prédéfinis.

Notes

Cette propriété est destinée à permettre aux applications complémentaires de spécifier la façon dont leurs contrôles de barre de commandes sont représentés dans l'application Office. Si le conteneur ou le serveur n'implémente pas les barres de commandes, une fusion normale des menus OLE intervient : la barre de menus est fusionnée, de même que toutes les barres d'outils du serveur, mais aucune barre d'outils du conteneur. Cette propriété ne s'applique que pour les contrôles contextuels de la barre de menus parce que les menus sont fusionnés en fonction de leur catégorie de groupe de menus.

Si les deux applications qui fusionnent implémentent des barres de commandes, les contrôles de barres de contrôles sont fusionnés en fonction de la propriété OLEUsage.

Exemple

Cet exemple montre comment vérifier la propriété OLEMenuGroup d'un nouveau contrôle de menu contextuel personnalisé sur la barre de commandes « Custom », et comment lui affecter la valeur msoOLEMenuGroupNone.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage, propriété

Renvoie ou définit les rôles du client OLE et du serveur OLE dans lesquels un contrôle de barre de commandes est utilisé lorsque deux applications Microsoft Office sont fusionnées. MsoControlOLEUsage en lecture-écriture.

MsoControlOLEUsage peut être l'une de ces constantes MsoControlOLEUsage.
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

Notes

Cette propriété est destinée à vous permettre de spécifier la façon dont les applications complémentaires sont représentées dans une application Office lorsque cette dernière est fusionnée avec une autre application Office. Si le client et le serveur implémentent tous les deux les barres de commandes, les contrôles de barre de commandes sont incorporés un par un dans le contrôle client. Les contrôles personnalisés indiqués comme étant réservés aux clients (ou ni client, ni serveur) sont fournis par le serveur et les contrôles indiqués comme étant réservés aux serveurs (ou ni serveur, ni client) sont fournis par le client. Les contrôles restants sont fusionnés.

S'il l'une des applications fusionnées n'est pas une application Office, c'est une fusion de menus OLE normale qui est utilisée, sous le contrôle de la propriété OLEMenuGroup.

Exemple

Cet exemple montre comment ajouter un nouveau bouton à la barre de commandes intitulée Tools, et comment affecter une valeur à sa propriété OLEUsage.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office est activé. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment désactiver le Compagnon Office, afficher un message proposant à l'utilisateur d'activer le Compagnon et activer ce dernier si l'utilisateur clique sur Oui. Si l'utilisateur active le Compagnon, ce dernier apparaît et exécute l'animation msoAnimationGreeting.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction, propriété

Renvoie ou définit le nom de la macro Visual Basic exécutée si l'utilisateur clique sur le contrôle de barre de commandes ou change sa valeur. Type de données String en lecture-écriture.

Remarque L'application conteneur détermine s'il s'agit d'un nom de macro valide.

Exemples

Cet exemple montre comment ajouter un contrôle de barre de commandes à la barre intitulée « Custom » et spécifier que la macro intitulée « MySub » doit être exécutée sur simple clic du bouton.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

Cet exemple montre comment ajouter un contrôle de barre de commandes à la barre intitulée « Custom ». Le contrôle ajouté est appelé « FinanceAddIn » et s'exécute sur un simple clic du bouton.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter, propriété

Cette propriété renvoie ou définit une chaîne qu'une application peut utiliser pour exécuter une commande. Type de données String en lecture-écriture.

Note

Si le paramètre spécifié est défini pour un contrôle prédéfini, l'application peut modifier son fonctionnement par défaut si elle peut analyser et utiliser la nouvelle valeur. Si le paramètre est défini pour des contrôles personnalisés, il peut permettre d'envoyer des informations aux procédures Visual Basic ou de conserver des informations sur le contrôle (comme une seconde valeur de la propriété Tag).

Exemple

Cette exemple montre comment affecter un nouveau paramètre à un contrôle et attribuer le focus au nouveau bouton.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent, propriété

Renvoie l'objet Parent de l'objet spécifié. En lecture seule.

Exemple

Cet exemple montre comment afficher le nom de l'objet parent d'une propriété de document. Vous devez passer à la procédure un objet DocumentProperty valide.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path, propriété

Cette propriété renvoie un objet String indiquant le chemin complet d'un objet ScopeFolder. Type de données en lecture seule.

expression.Path

expression Obligatoire. Expression qui renvoie un objet ScopeFolder.

Exemple

L'exemple suivant montre comment afficher le chemin racine de chaque répertoire dans le Poste de travail. Pour récupérer cette information, l'exemple montre comment obtenir l'objet ScopeFolder à la racine du Poste de travail. Le chemin de cet objet ScopeFolder est toujours "*". Comme avec tous les objets ScopeFolder, l'objet racine contient une collection ScopeFolders. Cet exemple montre comment effectuer une boucle sur cette collection ScopeFolders et comment afficher le chemin de chaque objet ScopeFolder qu'elle contient. Les chemins de ces objets ScopeFolder sont "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture, propriété

Cette propriété renvoie un objet IPictureDisp représentant l'image d'un objet CommandBarButton.

expression.Picture

expression Obligatoire. Expression qui renvoie un objet CommandBarButton.

Notes

Lorsque vous modifiez l'image d'un bouton, utilisez également la propriété Mask pour définir une image de masque. L'image de masque détermine quelles parties de l'image du bouton sont transparentes. Définissez toujours le masque après avoir défini l'image pour un objet CommandBarButton.

Remarque Les images des boutons Afficher une Application Microsoft et Insertion Élément de la barre d'outils Standard de Visual Basic Editor ne peuvent être modifiées.

Exemple

L'exemple suivant montre comment définir l'image et le masque du premier objet CommandBarButton que le code renvoie. Créez pour cela une image de masque et une image de bouton et remplacez les chemins contenus dans l'exemple par les chemins d'accès à vos images.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

L'exemple suivant montre comment obtenir l'image et le masque du premier objet CommandBarButton que le code renvoie et comment les placer dans un fichier. Pour cela, spécifiez un chemin pour les fichers de sortie.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position, propriété

Renvoie ou définit la position d'une barre de commandes. MsoBarPosition en lecture-écriture.

MsoBarPosition peut être l'une de ces constantes MsoBarPosition.
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

Exemple

Cet exemple montre comment parcourir la collection de barres de commandes en ancrant les barres personnalisées en bas de la fenêtre de l'application et les barres prédéfinies en haut.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority, propriété

Renvoie ou définit la priorité d'un contrôle de barre de commandes. De la priorité d'un contrôle dépend le fait que ce contrôle puisse être exclu d'une barre de commandes ancrée si les contrôles de cette barre de commandes ne peuvent tenir sur une seule ligne. Argument de type Long en lecture-écriture.

Notes

Les numéros de priorité valides sont compris entre 0 (zéro) et 7. Une priorité de 1 signifie que le contrôle ne peut pas être supprimé d'une barre d'outils. Les autres valeurs de priorité sont ignorées.

La propriété Priority n'est pas utilisée par des contrôles de barre de commandes de type éléments de menus.

Exemple

Cet exemple montre comment déplacer un contrôle et lui affecter une priorité de 5 de manière à ce qu'il puisse être détaché de la barre de commandes si tous les contrôles ne tiennent pas sur une seule ligne.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit un nombre entier qui identifie de façon unique la bulle du Compagnon Office qui est à l'origine de la procédure de rappel. Type de données Long en lecture-écriture.

Note

Cette propriété est utile lorsque vous utilisez la même procédure de rappel en différentes circonstances.

Exemple

Cet exemple montre comment identifier l'info-bulle du Compagnon Office en attribuant la valeur 129 à la propriété Private.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId, propriété

Renvoie le ProgID de l'objet COMAddIn spécifié. Type de données String en lecture seule.

Exemple

Cet exemple montre comment afficher le ProgID et le GUID du complément COM 1 dans un message.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests, propriété

Renvoie la collection PropertyTests qui représente tous les critères de recherche pour une recherche de fichiers. En lecture seule.

Pour plus d'informations sur le renvoi d'un seul membre d'une collection, consultez Renvoi d'un objet à partir d'une collection.

Exemple

Cet exemple montre comment afficher tous les critères de recherche du premier test de propriété de la collection.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests, propriété

Définit ou renvoie le paramètre de la police proportionnelle dans l'application hôte. Type de données String en lecture-écriture.

Note

Lorsque vous définissez la propriété ProportionalFont, l'application hôte ne vérifie pas si la valeur est valide ou non.

Exemple

Cet exemple montre comment définir la police proportionnelle et sa taille pour le jeu de caractères Anglais/Européen occidental/Autre script latin (« English/Western European/Other Latin Script ») dans l'application active.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


PropertyTests, propriété

Définit ou renvoie le paramètre de la taille de la police proportionnelle dans l'application hôte, en points. Type de données Single en lecture-écriture.

Notes

Lorsque vous définissez la propriété ProportionalFontSize, l'application hôte ne vérifie pas si la valeur est valide ou non. Si vous entrez une valeur non valide, telle qu'une valeur non numérique, l'application hôte définit une taille égale à 0 point. Vous pouvez entrer des tailles exprimées en demi-point : si vous entrez d'autres tailles fractionnaires en points, elles sont arrondies au demi-point le plus proche.

Exemple

Cet exemple montre comment définir la police proportionnelle et sa taille pour le jeu de caractères Anglais/Européen occidental/Autre script latin (« English/Western European/Other Latin Script ») dans l'application active.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Renvoie ou définit le type de protection anti-personnalisation associé à la barre de commandes. MsoBarProtection en lecture-écriture.

MsoBarProtection peut être l'une de ces constantes MsoBarProtection.
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

Note

L'utilisation de la constante msoBarNoCustomize empêche les utilisateurs d'accéder au menu Ajouter/Supprimer des boutons (ce menu permet aux utilisateurs de personnaliser une barre d'outils).

Exemple

Cet exemple montre comment parcourir la collection de barres de commandes à la recherche de la barre intitulée « Forms ». En cas de succès, cette dernière est affichée et son ancrage est protégé.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si la fenêtre du Compagnon Office apparaît dans sa taille minimale. Type de données Boolean en lecture-écriture.

Note

Cette propriété n'est pas utilisée dans Microsoft Office.

Exemple

Cet exemple montre comment afficher le Compagnon Office à un emplacement spécifique, puis définir plusieurs options avant de le rendre visible.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount, propriété

Cette propriété renvoie un objet de type Long qui représente le nombre d'enregistrements contenus dans la source de données spécifiée. Type de données en lecture seule.

expression.RowCount

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment ajouter un nouveau filtre qui supprime tous les enregistrements contenant un champ Région vide, puis comment appliquer le filtre à la publication active.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex, propriété

Renvoie ou définit l'ordre d'ancrage de la barre de commandes spécifiée par rapport aux autres barres de la zone d'ancrage. Il peut s'agir d'un nombre entier supérieur à zéro, ou de l'une des constantes MsoBarRow suivantes : msoBarRowFirst ou msoBarRowLast. Type de données Long en lecture-écriture.

Notes

L'ordre d'ancrage commence par la barre associée au plus petit numéro. Plusieurs barres de commandes peuvent partager le même index de rangée. Si deux barres de commandes ou plus partagent le même index de rangée, la plus récente sera affichée en tête de son groupe.

Exemple

Cet exemple montre comment régler la position de la barre de commandes intitulée « Custom » en la déplaçant vers la gauche de 140 pixels de plus que la valeur par défaut, et comment l'ancrer en tête de rangée en affectant la valeur msoBarRowFirst à son index de rangée.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder, propriété

Cette propriété renvoie un objet ScopeFolder.

expression.ScopeFolder

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher le chemin racine de chaque répertoire dans le Poste de travail. Pour récupérer cette information, l'exemple montre comment obtenir l'objet ScopeFolder à la racine du Poste de travail. Le chemin de cet objet ScopeFolder est toujours "*". Comme avec tous les objets ScopeFolder, l'objet racine contient une collection ScopeFolders. Cet exemple montre comment effectuer une boucle sur cette collection ScopeFolders et comment afficher le chemin de chaque objet ScopeFolder qu'elle contient. Les chemins de ces objets ScopeFolder sont "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders, propriété

Cette propriété renvoie une collection ScopeFolders. Les éléments de cette collection correspondent aux sous-dossiers de l'objet ScopeFolder parent.

expression.ScopeFolders

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher le chemin racine de chaque répertoire dans le Poste de travail. Pour récupérer cette information, l'exemple montre comment obtenir l'objet ScopeFolder à la racine du Poste de travail. Le chemin de cet objet ScopeFolder est toujours "*". Comme avec tous les objets ScopeFolder, l'objet racine contient une collection ScopeFolders. Cet exemple montre comment effectuer une boucle sur cette collection ScopeFolders et comment afficher le chemin de chaque objet ScopeFolder qu'elle contient. Les chemins de ces objets ScopeFolder sont "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText, propriété

Définit ou renvoie le texte contenu dans un bloc de script. Type de données String en lecture-écriture.

Note

L'application hôte Microsoft Office ne vérifie pas la syntaxe du script. La propriété ScriptText est la propriété par défaut de l'objet Script.

Exemple

Cet exemple montre comment définir le texte du premier script de la feuille de calcul 1 du classeur actif.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchFolders, propriété

Cette propriété renvoie une collection SearchFolders.

expression.SearchFolders

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher le nombre d'objets ScopeFolder actuellement contenus dans la collection SearchFolders. Consultez la rubrique correspondante de la collection SearchFolders pour voir un exemple plus détaillé.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes, propriété

Cette propriété renvoie une collection SearchScopes.

expression.SearchScopes

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher tous les objets SearchScope actuellement disponibles dans la collection SearchScopes.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchSubFolders, propriété

Cette propriété a la valeur True si la recherche inclut tous les sous-dossiers du dossier spécifié par la propriété LookIn. Type de données Boolean en lecture-écriture.

Exemple

Cet exemple montre comment rechercher dans le dossier « My Documents », ainsi que dans tous ses sous-dossiers, tous les fichiers dont le nom commence par « Cmd ». Il montre également comment afficher le nom et le chemin de chaque fichier trouvé.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office affiche l'aide sur l'application et sur la programmation lorsque l'utilisateur travaille dans Visual Basic. Type de données Boolean en lecture-écriture.

Notes

La valeur par défaut est False. La propriété SearchWhenProgramming correspond à l'option Aide sur le produit et la programmation située sous Utiliser le Compagnon Office, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment rechercher l'aide sur l'application et sur la programmation lorsque vous travaillez dans Visual Basic.

Assistant.SearchWhenProgramming = True


SecondValue, propriété

Renvoie une deuxième valeur, facultative, de test de propriété (par exemple pour définir une plage) pour la recherche spécifiée. Type de données Variant en lecture seule.

Note

Cette propriété, qui a pour objet de spécifier une plage, ne peut être utilisée qu'avec la constante MsoCondition msoConditionAnyTimeBetween ou msoConditionAnyNumberBetween.

Exemple

Cet exemple montre comment afficher dans une boîte de dialogue la deuxième valeur du critère de recherche, s'il y en a une. Un message différent est affiché s'il n'y a pas de deuxième valeur.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


SelectedItems, propriété

Cette propriété renvoie une collection FileDialogSelectedItems. Cette collection contient une liste de chemins d'accès aux fichiers qu'un utilisateur a sélectionné dans une boîte de dialogue de fichiers affichée à l'aide de la méthode Show de l'objet FileDialog.

expression.SelectedItems

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Shape, propriété

Renvoie un objet Shape ou InlineShape, en fonction de l'application Microsoft Office hôte. Type de données Object en lecture seule.

Notes

La propriété Shape renvoie un objet Shape dans Microsoft Excel et PowerPoint. Dans Word, la propriété Shape renvoie un objet Shape si l'ancre de script est flottante. En revanche, si cette dernière est fixe, cette propriété renvoie un objet InlineShape.

Exemple

Cet exemple montre comment obtenir la forme associée au premier script de la collection Scripts et la supprimer de la feuille de calcul 1 du classeur actif.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText, propriété

Renvoie ou définit le texte de touche de raccourci affiché en regard d'un contrôle bouton lorsque ce bouton s'affiche dans un menu, un sous-menu ou un menu contextuel. Type de données String en lecture-écriture.

Note

Vous pouvez définir cette propriété uniquement pour les boutons de barre de commandes qui contiennent une macro OnAction.

Exemple

Cet exemple montre comment afficher le texte de raccourci de la commande Ouvrir (menu Fichier) de la barre de menus Feuille de calcul Microsoft Excel dans une zone de message.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


SignDate, propriété

Cette propriété renvoie un objet de type Variant représentant la date et l'heure à laquelle le certificat numérique correspondant à l'objet Signature a été joint au document. Type de données en lecture seule.

expression.SignDate

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et appelez cette fonction. La fonction vérifie que la signature numérique que l'utilisateur sélectionne ne va pas expirer avant 12 mois. Dans le cas contraire, le certificat n'est pas joint au document.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Signer, propriété

Cette propriété renvoie un objet de type String représentant le nom de la personne qui a joint le certificat numérique correspondant à l'objet Signature au document. Type de données en lecture seule.

expression.Signer

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment inviter l'utilisateur à sélectionner une signature numérique avec laquelle signer le document actif dans Microsoft Word. Pour utiliser cet exemple, ouvrez un document dans Word et transmettez à cette fonction le nom d'un émetteur de certificat et le nom d'un signataire de certificat correspondant aux champs Émis par et Délivré à d'un certificat numérique dans la boîte de dialogue Certificats numériques. Cet exemple montre comment vérifier que la signature numérique que l'utilisateur sélectionne répond à certains critères, comme une date d'expiration non dépassée, avant que la nouvelle signature soit appliquée au lecteur.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Sounds, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office génère les sons correspondant aux animations. Type de données Boolean en lecture-écriture.

Note

La valeur par défaut est True. La propriété Sounds correspond à l'option Sons sous Utiliser le Compagnon Office, sous l'onglet Options de la boîte de dialogue Compagnon Office. Si vous ne disposez pas d'une carte son, cette propriété est sans effet.

Exemple

Cet exemple montre comment afficher le Compagnon Office, l'animer et générer des sons.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State, propriété

Propriété State telle qu'elle s'applique à l'objet CommandBarButton.

Cette propriété renvoie ou définit l'aspect du bouton de barre de commandes spécifié. Type de données MsoButtonState en lecture-écriture.

MsoButtonState peut être l'une de ces constantes MsoButtonState.
msoButtonDown
msoButtonMixed
msoButtonUp

expression.State

expression Obligatoire. Expression qui renvoie un objet CommandBarButton.

Propriété State telle qu'elle s'applique à l'objet HTMLProject.

Cette propriété renvoie l'état actuel d'un objet HTMLProject. Type de données MsoHTMLProjectState en lecture seule.

MsoHTMLProjectState peut être l'une de ces constantes MsoHTMLProjectState.
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expression.State

expression Obligatoire. Expression qui renvoie un objet HTMLProject.

Exemple

Telle qu'elle s'applique à l'objet CommandBarButton.

Cet exemple montre comment créer une barre de commande intitulée Custom et comment lui ajouter deux boutons vides. Il montre comment affecter ensuite la valeur msoButtonUp au bouton de gauche et la valeur msoButtonDown au bouton de droite.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Style, propriété

Propriété Style telle qu'elle s'applique à l'objet CommandBarButton.

Renvoie ou définit le mode d'affichage d'un bouton de barre de commandes. MsoButtonStyle en lecture-écriture.

MsoButtonStyle peut être l'une de ces constantes MsoButtonStyle.
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Propriété Style telle qu'elle s'applique à l'objet CommandBarComboBox.

Renvoie ou définit le mode d'affichage de la zone modifiable de barre de commandes spécifiée. Il peut s'agit de l'une de ces constantes MsoComboStyle : msoComboLabel ou msoComboNormal. MsoComboStyle en lecture-écriture.

MsoComboStyle peut être l'une de ces constantes MsoComboStyle.
msoComboLabel
msoComboNormal

Exemple

Cet exemple montre comment créer un menu contextuel contenant un bouton et une zone de liste modifiable, et comment définir leur style.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Table, propriété

Cette propriété renvoie un objet de type String qui représente le nom de la table située dans le fichier de source de données contenant les enregistrements de publipostage. La valeur renvoyée peut être vide si le nom de la table est inconnu ou non applicable à la source de données en cours. Type de données en lecture seule.

expression.Table

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment définir le nom de la table si celui-ci est actuellement vide.

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Tag, propriété

Renvoie ou définit des informations relatives au contrôle de barre de commandes spécifié : données pouvant être utilisées comme argument dans les procédures ou informations identifiant le contrôle. Type de données String en lecture-écriture.

expression.Tag

expression Required. An expression that returns one of the objects in the Applies To list.

Remarks

To avoid duplicate calls of the same class when tiggered with events, define the Tag property unique to the events. L'exemple suivant montre comment demonstrates this concept with two modules.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

Exemple

Cet exemple montre comment définir l'intitulé « Spelling button » pour le bouton de la barre de commandes personnalisée et afficher cet intitulé dans une zone de message.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Text, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Objets BalloonLabel ou BalloonCheckbox : renvoient ou définissent le texte affiché en regard de la case à cocher ou de l'étiquette spécifiées dans l'info-bulle du Compagnon Office. Type de données String en lecture-écriture.

Objet Balloon : renvoie ou définit le texte affiché après le titre mais avant les étiquettes ou les cases à cocher dans l'info-bulle du Compagnon Office. Type de données String en lecture-écriture.

Objet CommandBarComboBox: renvoie ou définit le texte dans la zone d'affichage ou de modification de la zone de liste modifiable de la barre de commandes. Type de données String en lecture-écriture.

Objet HTMLProjectItem : renvoie ou définit le texte HTML dans l'éditeur HTML. Type de données String en lecture-écriture.

expression.Text

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

Dans le cas des objets Balloon, BalloonLabel et BalloonCheckbox, vous pouvez spécifier l'affichage d'un graphisme particulier en utilisant la syntaxe suivante : {type emplacement facteur_dimension}, où type correspond à bmp (bitmap) ou à wmf (métafichier Windows), emplacement à l'identificateur de ressource ou au chemin d'accès et au nom de fichier, et facteur_dimension à la largeur du fichier .wmf (facteur_dimension est omis pour les fichiers .bmp).

L'objet Balloon prend également en charge le texte souligné et le texte auquel l'une des 16 couleurs de la palette système est appliquée. Pour afficher le texte souligné, utilisez la syntaxe {ul} ou {ul 1} ; utilisez {ul 0} pour désactiver le soulignement. Pour modifier la couleur du texte, faites précéder la chaîne de texte de la séquence de caractères {cf nombre}, où nombre est l'un des numéros de couleurs répertoriés dans le tableau suivant.

Numéro des couleurs système | Couleur
0 | Noir
1 | Rouge foncé
2 | Vert foncé
3 | Jaune foncé
4 | Bleu foncé
5 | Magenta foncé
6 | Cyan foncé
7 | Gris pâle
248 | Gris moyen
249 | Rouge
250 | Vert
251 | Jaune
252 | Bleu
253 | Magenta
254 | Cyan
255 | Blanc

Si vous spécifiez un numéro autre que l'un des numéros des couleurs système précédents, le texte de l'info-bulle du Compagnon Office s'affiche en noir.

Exemples

Cet exemple montre comment créer une nouvelle barre de commandes nommée « Custom » et y ajouter une zone de liste déroulante contenant quatre éléments de liste. Il montre ensuite comment utiliser la propriété Text pour définir le troisième élément, « Item 3 », comme élément par défaut.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

Cet exemple montre comment créer une nouvelle info-bulle du Compagnon Office avec un en-tête, du texte et trois choix de régions. L'exemple montre comment utiliser la propriété Text pour donner à l'utilisateur des informations liées à l'info-bulle et une étiquette à chaque zone de texte.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Cet exemple montre comment créer une nouvelle info-bulle du Compagnon Office qui contient un texte d'en-tête souligné, du texte en rouge, ainsi que du texte en bleu qui est également souligné.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

Cet exemple montre comment créer une info-bulle du Compagnon Office qui contient un métafichier Windows.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


TextOrProperty, propriété

Renvoie ou définit le mot ou la phrase à rechercher dans le corps de texte ou dans les propriétés du fichier lors de la recherche spécifiée. Le mot ou la phrase peut contenir le caractère générique * (astérisque) ou ? (point d'interrogation). Type de données String en lecture-écriture.

Notes

Utilisez le point d'interrogation pour remplacer n'importe quel caractère. Par exemple, spécifiez gr?ve pour rechercher tous les fichiers qui contiennent au moins une fois « grave » ou « grive ».

Utilisez l'astérisque pour remplacer un nombre quelconque de caractères. Par exemple, spécifiez San* pour renvoyer tous les fichiers qui contiennent au moins un mot commençant par « San ».

Exemple

Cet exemple montre comment rechercher dans le dossier C:\My Documents, ainsi que dans tous ses sous-dossiers, tous les fichiers dont le corps de texte ou les propriétés contiennent un ou plusieurs mots commençant par « San ». La propriété TextOrProperty définit le mot à rechercher et ne fait porter la recherche que sur le corps de texte ou sur les propriétés du fichier.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si le Compagnon Office affiche une astuce spéciale à chaque ouverture de l'application Office. Type de données Boolean en lecture-écriture.

Note

La valeur par défaut est False. La propriété TipofDay correspond à l'option Astuce du jour au démarrage située sous Afficher les astuces sur, sous l'onglet Options de la boîte de dialogue Compagnon Office.

Exemple

Cet exemple montre comment afficher le Compagnon Office à un emplacement spécifique, puis définir plusieurs options avant de le rendre visible.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title, propriété

Cette propriété renvoie ou définit le titre d'une boîte de dialogue de fichiers affichée à l'aide de l'objet FileDialog. Type de données String en lecture-écriture.

expression.Title

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

L'exemple suivant montre comment afficher une boîte de dialogue Sélecteur de fichier à l'aide de l'objet FileDialog et comment afficher chaque fichier sélectionné dans un message.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


TooltipText, propriété

Renvoie ou définit le texte affiché dans l'info-bulle d'un contrôle de barre de commandes. Type de données String en lecture-écriture.

Note

Par défaut, la valeur de la propriété Caption est utilisée comme info-bulle.

Exemple

Cet exemple montre comment ajouter une info-bulle au dernier contrôle de la barre de menus active.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Top, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Propriété Top telle qu'elle s'applique aux objets Assistant et CommandBar.

Cette propriété renvoie ou définit la distance (en points) du haut du Compagnon Office, ou du bord supérieur de la barre de commandes spécifiée, au bord supérieur de l'écran. Pour des barres de commandes ancrées, cette propriété renvoie ou définit la distance de la barre de commandes au bord supérieur de la zone d'ancrage. Argument de type Long en lecture-écriture.

expression.Top

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Propriété Top telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cette propriété renvoie la distance (en pixels) entre le bord supérieur du contrôle de barre de commandes spécifié et le bord supérieur de l'écran. Type de données Long en lecture seule.

expression.Top

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Exemples

Telle qu'elle s'applique aux objets Assistant et CommandBar.

Cet exemple montre comment déplacer le Compagnon Office vers une autre coordonnée et définir sa propriété Top pour les affichages suivants.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

Cet exemple montre comment placer le coin supérieur gauche de la barre de commandes flottante intitulée Custom à 140 pixels du bord gauche de l'écran et à 100 pixels du haut de l'écran.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type, propriété

Propriété Type telle qu'elle s'applique à l'objet CommandBar.

Cette propriété renvoie le type de barre de commandes. Type de données MsoBarType en lecture seule.

MsoBarType peut être l'une de ces constantes MsoBarType.
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expression.Type

expression Obligatoire. Expression qui renvoie un objet CommandBar.

Propriété Type telle qu'elle s'applique aux objets CommandBarButton, CommandBarComboBox, CommandBarControl et CommandBarPopup.

Cette propriété renvoie le type de contrôle d'une barre de commandes. Type de données MsoControlType en lecture seule.

MsoControlType peut être l'une de ces constantes MsoControlType.
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expression.Type

expression Obligatoire. Expression qui renvoie l'un des objets ci-dessus.

Propriété Type telle qu'elle s'applique à l'objet SearchScope.

Cette propriété renvoie une valeur qui correspond au type d'objet SearchScope. Le type indique la zone dans laquelle la méthode Execute de l'objet FileSearch recherche des fichiers. Type de données MsoSearchIn en lecture seule.

MsoSearchIn peut être l'une de ces constantes MsoSearchIn.
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expression.Type

expression Obligatoire. Expression qui renvoie un objet SearchScope.

Propriété Type telle qu'elle s'applique à l'objet DocumentProperty.

Cette propriété renvoie ou définit le type de propriété du document. En lecture seule pour les propriétés de document prédéfinies ; en lecture-écriture pour les propriétés de document personnalisées.

expression.Type

expression Obligatoire. Expression qui renvoie un objet DocumentProperty.

Notes

La valeur renvoyée sera une constante MsoDocProperties.

MsoDocProperties peut être l'une de ces constantes MsoDocProperties.
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

Exemples

Telle qu'elle s'applique à l'objet CommandBar.

Cet exemple montre comment rechercher le premier contrôle de la barre de commandes intitulée Custom. À l'aide de la propriété Type, l'exemple montre comment déterminer si le contrôle est un bouton. Si tel est le cas, l'exemple montre comment copier l'image du bouton Copier (situé sur la barre d'outils Standard), puis comment la coller sur le contrôle.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

Telle qu'elle s'applique à l'objet DocumentProperty.

Cet exemple montre comment afficher le nom, le type et la valeur d'une propriété de document. Vous devez passer à la procédure un objet DocumentProperty valide.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value, propriété

Propriété Value telle qu'elle s'applique à l'objet DocumentProperty.

Cette propriété renvoie ou définit la valeur d'une propriété de document. Type de données Variant en lecture-écriture.

expression.Value

expression Obligatoire. Expression qui renvoie un objet DocumentProperty.

Notes

Lorsqu'une application conteneur ne définit pas de valeur pour l'une des propriétés de document prédéfinies, la lecture de la propriété Value de cette propriété de document provoque une erreur.

Propriété Value telle qu'elle s'applique à l'objet PropertyTest.

Cette propriété renvoie la valeur d'un test de propriété pour une recherche de fichiers. Type de données Variant en lecture seule.

expression.Value

expression Obligatoire. Expression qui renvoie un objet PropertyTest.

Exemple

Telle qu'elle s'applique à l'objet DocumentProperty.

Cet exemple montre comment afficher le nom, le type et la valeur d'une propriété de document. Il ne fonctionne que si dp est un objet DocumentProperty valide.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

Telle qu'elle s'applique à l'objet PropertyTest.

Cet exemple montre comment afficher la valeur des critères de recherche (le cas échéant) dans un message. Un message différent est affiché s'il n'y a pas de deuxième valeur.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Visible, propriété

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Cette propriété a la valeur True si l'objet spécifié est visible. Type de données Boolean en lecture-écriture.

expression.Visible

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Notes

Par défaut, la propriété Visible des barres de commandes personnalisées nouvellement créées est False.

Vous devez affecter la valeur True à la propriété Enabled d'une barre de commandes avant d'affecter True à sa propriété Visible.

Exemples

Cet exemple montre comment parcourir la collection de barres de commandes à la recherche de la barre « Forms ». Si cette barre est trouvée, elle est rendue visible et son ancrage est protégé.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

Cet exemple montre comment afficher le Compagnon Office et définir une valeur pour son animation.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width, propriété

Cette propriété renvoie ou définit la largeur (en pixels) de la barre de commandes ou du contrôle de barre de commandes spécifiés. Type de données Integer en lecture-écriture.

expression.Width

expression Obligatoire. Expression qui renvoie l'un des objets de la liste S'applique à.

Exemple

Cet exemple montre comment ajouter un contrôle personnalisé à la barre de commandes intitulée Custom. La hauteur du contrôle personnalisé est ensuite fixée au double de celle de la barre de commandes et sa largeur à 50 pixels. Notez que la barre de commandes est automatiquement redimensionnée pour contenir le contrôle.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change, événement

Cet événement se produit quand l'utilisateur final modifie la sélection dans une zone de liste déroulante d'une barre de commandes.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Note

L'événement Change est reconnu par l'objet CommandBarComboBox. Pour renvoyer cet événement pour un contrôle CommandBarComboBox particulier, utilisez le mot clé WithEvents pour déclarer une variable, puis attribuez la valeur du contrôle CommandBarComboBox à la variable. Lorsque l'événement Change est déclenché, il exécute la macro ou le code que vous avez spécifié avec la propriété OnAction du contrôle.

Exemple

Cet exemple montre comment créer une barre de commandes avec un contrôle CommandBarComboBox contenant quatre sélections. La zone de liste déroulante répond aux actions de l'utilisateur par l'intermédiaire de l'événement CommandBarComboBox_Change.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

L'exemple qui précède est fondé sur le code suivant, qui est stocké dans un module de classe du projet VBA.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click, événement

Cet événement se produit lorsque l'utilisateur clique sur un objet CommandBarButton.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

La syntaxe de l'événement Click comprend deux arguments décrits dans le tableau suivant.

Argument | Description
CTRL | Argument de type CommandBarButton obligatoire. Désigne le contrôle CommandBarButton qui a démarré l'événement.
CancelDefault | Argument de type Boolean obligatoire. Il a la valeur False si le comportement par défaut associé au contrôle CommandBarButton se produit, sauf s'il est annulé par un autre processus ou un autre complément.

Note

L'événement Click est reconnu par l'objet CommandBarButton. Pour renvoyer l'événement Click d'un contrôle CommandBarButton particulier, utilisez le mot clé WithEvents pour déclarer une variable, puis attribuez la valeur du contrôle à la variable.

Exemple

Cet exemple montre comment créer un nouveau bouton de barre de commandes dans le menu File (Fichier) de l'application hôte afin de permettre à l'utilisateur d'enregistrer un classeur sous forme de fichier de valeurs séparées par des virgules. (Cet exemple fonctionne dans toutes les applications, mais le contexte de l'enregistrement d'un CSV est propre à Microsoft Excel.)

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


EnvelopeHide, événement

Cet événement se produit lorsque l'interface utilisateur qui correspond à l'objet MsoEnvelope est masquée.

Private Sub object_EnvelopHide()

object Variable qui fait référence à un objet de type MsoEnvelope déclaré avec des événements dans un module de classe.

Exemple

L'exemple suivant montre comment installer des routines de gestion d'événements pour l'objet MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


EnvelopeShow, événement

Cet événement se produit lorsque l'interface utilisateur qui correspond à l'objet MsoEnvelope s'affiche.

Private Sub object_EnvelopShow()

object Variable qui fait référence à un objet de type MsoEnvelope déclaré avec des événements dans un module de classe.

Exemple

L'exemple suivant montre comment installer des routines de gestion d'événements pour l'objet MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


OnUpdate, événement

Cet événement se produit lorsqu'une modification quelconque est apportée à une barre de commandes.

Private Sub CommandBars_OnUpdate()

Notes

L'événement OnUpdate est reconnu par l'objet CommandBar et par tous les contrôles de barre de commandes. Cet événement est déclenché lorsqu'une modification est apportée à une barre de commandes ou à un contrôle de barre de commandes ou lorsqu'une modification est apportée à l'état d'une barre de commandes ou d'un contrôle de barre de commandes. Ces modifications peuvent se produire à la suite de la sélection d'un texte ou d'une cellule, par exemple. Étant donné qu'un grand nombre d'événements OnUpdate peuvent se produire dans le cadre d'une utilisation normale, les développeurs doivent utiliser cet événement avec précaution. Il est vivement recommandé que cet événement soit utilisé principalement pour vérifier qu'une barre de commandes personnalisée a été ajoutée par un objet COMAddln.


Élément de langage masqué

Vous avez demandé de l'aide pour un élément de langage masqué et, par conséquent, indisponible par programmation.


Créer et modifier des info-bulles

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Utilisez l'info-bulle du Compagnon Office pour fournir des informations à votre utilisateur. Les informations contenues dans l'info-bulle peuvent être un simple message, une demande d'informations supplémentaires, ou une liste d'options pour l'utilisateur. Les info-bulles du Compagnon Office sont créées, affichées, fermées et modifiées lors de l'exécution.

Le tableau suivant contient les propriétés et les méthodes les plus utilisées pour modifier l'aspect ou la fonction d'une info-bulle existante ou nouvelle. Les info-bulles sont affichées ou actualisées lorsque la méthode Show est utilisée ; par conséquent, les modifications apportées à une info-bulle apparaîtront la prochaine fois que la méthode Show sera utilisée.

Propriété ou méthode | Description
Heading | Indique le texte en gras qui apparaît en haut de l'info-bulle du Compagnon Office.
Text | Indique le texte qui apparaît dans le corps de l'info-bulle du Compagnon Office. Ce texte s'affiche entre l'en-tête et avant les cases à cocher, étiquettes ou boutons.
Labels | Renvoie la collection d'étiquettes dans l'info-bulle. Le format des étiquettes est déterminé par la propriété BalloonType. Les étiquettes s'affichent après le texte de l'info-bulle. La liste des étiquettes peut être numérotée ou à puces ou peut être une liste de boutons. Contrairement aux cases à cocher, le choix de l'utilisateur est enregistré dès que ce dernier clique sur un bouton.
CheckBoxes | Renvoie la collection de cases à cocher dans l'info-bulle. L'utilisateur sélectionne la case à cocher, puis clique sur le bouton approprié en bas de l'info-bulle (par exemple, OK ou Suivant) pour enregistrer son choix.
Close | Ferme et fait disparaître une info-bulle non modale, mais ne désactive pas la variable objet. La variable objet assignée à l'info-bulle est encore valide — vous pouvez la réafficher ou vous pouvez la modifier et l'afficher ultérieurement. Vous ne pouvez utiliser cette méthode que sur des info-bulles non modales.
Show | Affiche l'info-bulle et tous les objets qu'elle contient pour l'utilisateur. Utilisez cette méthode uniquement pour les objets Balloon ; utilisez la propriété Visible pour l'objet Assistant.

L'exemple suivant montre comment créer une info-bulle qui aide l'utilisateur à sélectionner une imprimante. L'exemple montre comment créer une case à cocher pour les utilisateurs qui souhaitent ignorer les informations de l'info-bulle.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Créer des info-bulles

Pour créer une info-bulle, utilisez la propriété NewBalloon de l'objet Assistant. La nouvelle info-bulle sera vide. Utilisez la propriété Heading pour ajouter un en-tête, puis la propriété Text pour ajouter du texte au corps de l'info-bulle et ajoutez des contrôles, si nécessaire. Enfin, utilisez la méthode Show pour afficher l'info-bulle. La méthode Show affiche l'info-bulle telle qu'elle apparaît à ce moment ; par conséquent, il est important d'utiliser cette méthode après avoir défini toutes les propriétés de l'info-bulle. L'exemple suivant montre comment créer une info-bulle, définir l'en-tête et le corps du texte et créer trois cases à cocher que l'utilisateur peut sélectionner.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Gérer plusieurs info-bulles

Le Compagnon Office n'a pas de collection Balloons. Pour gérer plusieurs info-bulles, vous pouvez définir une variable objet distincte pour chaque info-bulle que vous créez et faire référence à la variable si nécessaire. Ou vous pouvez créer un tableau de variables objet Balloon et affecter une info-bulle pour chacune d'entre elles. L'exemple suivant montre comment créer un tableau et lui ajouter trois objets Balloon vides.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Obtenir de l'aide sur les mots clés Macintosh

Vous avez demandé de l'aide sur un mot clé Visual Basic utilisé uniquement sur Macintosh. Pour plus d'informations sur ce mot clé, consultez l'aide de référence du langage fournie avec Microsoft Office Édition Macintosh.


Apporter des modifications aux info-bulles au moment de l'exécution

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Après avoir créé une info-bulle pour le Compagnon Office, vous pouvez la personnaliser en ajoutant des bitmaps, des icônes, ou des métafichiers Windows à l'en-tête ou au texte de l'info-bulle. Vous pouvez ajouter des contrôles tels que des cases à cocher ou des boutons à l'info-bulle afin de pouvoir répondre à votre utilisateur lorsqu'il clique sur un élément. Vous pouvez également utiliser des attributs tels qu'une couleur ou un soulignage pour mettre en relief des éléments de l'info-bulle.

Ajouter des icônes et des bitmaps aux info-bulles

Pour ajouter une icône, affectez une constante MsoIconType à la propriété Icon de l'objet Balloon. Pour ajouter une bitmap ou un métafichier Windows au texte d'une info-bulle du Compagnon Office, spécifiez le type, l'emplacement, et la taille (le cas échéant) lorsque vous définissez la propriété Text d'un en-tête, d'un texte, d'une case à cocher ou d'une étiquette. L'exemple suivant montre comment insérer un fichier bitmap Windows dans le texte de l'info-bulle.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Ajouter des contrôles aux info-bulles

Il existe deux types de contrôles que vous pouvez ajouter à une info-bulle : les cases à cocher et les boutons. Une info-bulle contient cinq cases à cocher lorsqu'elle est créée ; vous pouvez les afficher si vous spécifiez le texte pour le contrôle. L'info-bulle contient également cinq boutons (si le type de l'info-bulle est msoBalloonTypeButtons) que vous pouvez afficher de la même façon que les cases à cocher. Si vous essayez d'afficher plus de cinq cases à cocher ou cinq boutons dans une info-bulle, une erreur se produit.

Vous pouvez modifier l'aspect de n'importe quelle info-bulle en modifiant la propriété Text du contrôle. Vous pouvez modifier la fonctionnalité d'une case à cocher ou d'un bouton en spécifiant une autre procédure qui sera exécutée lorsque la case à cocher ou le bouton sera sélectionné (lorsque vous cliquerez dessus).

L'exemple suivant montre comment créer une info-bulle avec un en-tête, du texte et le choix entre trois régions. Lorsque l'utilisateur active une ou plusieurs cases à cocher et clique sur OK, l'exemple montre comment appeler la ou les procédures appropriées.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Ajouter de la couleur et du soulignement dans un texte d'info-bulle

Il existe deux attributs que vous pouvez ajouter au texte d'une info-bulle : la couleur et le soulignement. Il existe 16 couleurs système prises en charge que vous pouvez utiliser pour mettre votre texte en relief. Vous pouvez également modifier l'aspect du texte de l'info-bulle en le soulignant. Les attributs de texte sont incorporés dans le texte de l'info-bulle et placés entre accolades dans le code. L'exemple suivant montre comment créer une info-bulle du Compagnon Office contenant un en-tête souligné, du texte de couleur rouge et du texte souligné et de couleur bleue.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Renvoyer un objet à partir d'une collection

La propriété Item permet de renvoyer un objet donné à partir d'une collection. L'exemple qui suit montre comment affecter à la variable cmdbar un objet CommandBar correspondant à la première barre de commandes de la collection CommandBars.

Set cmdbar = CommandBars.Item(1)

La propriété Item étant la propriété par défaut pour la plupart des collections, vous pouvez omettre le mot clé Item dans ce type d'instruction.

Set cmdbar = CommandBars(1)

Pour plus d'informations sur une collection spécifique, consultez la rubrique d'aide relative à la collection ou à la propriété Item de la collection.


Utiliser le Compagnon Office

Certains éléments de cette rubrique ne sont pas applicables à toutes les langues.

Le Compagnon Office s'affiche généralement avec son info-bulle qui affiche des messages et fournit de l'aide à votre utilisateur lorsque celui-ci travaille sur votre application. Cependant, le Compagnon Office peut également être utile à votre utilisateur sans les info-bulles. Vous pouvez obtenir l'attention de votre utilisateur avec le Compagnon seul en définissant sa propriété Animation. Vous pouvez utiliser d'autres propriétés de l'objet Assistant pour personnaliser la présentation de l'aide Office standard.

Toutes les propriétés répertoriées sous l'onglet Options de la boîte de dialogue Compagnon Office correspondent à une propriété du Compagnon que vous pouvez définir au moment de l'exécution. Les propriétés répertoriées dans le tableau suivant sont généralement utilisées pour modifier le Compagnon Office.

Propriété | Description
Animation | Anime le Compagnon Office. Certaines animations sont continues ; d'autres ne se déroulent qu'une seule fois.
FileName | Spécifie le nom de fichier complet du Compagnon Office, avec l'extension .acs. Par exemple, le nom de fichier pour le Compagnon Office Toufou est Toufou.acs.
Name | Renvoie le nom du Compagnon Office. Si vous souhaitez connaître le nom du Compagnon Office que votre utilisateur a sélectionné, utilisez cette propriété.
Visible | Spécifie si le Compagnon est affiché ou masqué.

L'exemple suivant montre comment sélectionner Toufou comme Compagnon Office, l'afficher et le rendre actif, sélectionner une animation et définir plusieurs options.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Pour représenter le Compagnon Office, il existe six personnages différents que vous pouvez installer sur Microsoft Office, mais un seul personnage peut être actif à un moment donné. Vous pouvez laisser l'utilisateur sélectionner le Compagnon à partir de la galerie des Compagnons Office, ou vous pouvez sélectionner un Compagnon pour l'utilisateur par programmation. Vous ne pouvez pas modifier les fichiers sur les Compagnons installés.


Rubrique d'aide non disponible

La rubrique d'aide ne peut pas être affichée car l'aide de Microsoft Office Visual Basic est introuvable, n'a pas été installée ou a été supprimée.

Pour installer l'aide de Microsoft Office Visual Basic

  1. Dans le Panneau de configuration, double-cliquez sur Ajout/Suppression de programmes.
  2. Sous l'onglet Modifier/Supprimer des programmes, cliquez sur l'édition de Microsoft Office installée, puis cliquez sur Modifier.
  3. Cliquez sur Ajouter ou supprimer des composants, puis développez Composants partagés de Office dans la liste des fonctionnalités.
  4. Développez Visual Basic pour Applications dans la liste des fonctionnalités, puis cliquez sur l'icône en regard de Aide de Visual Basic pour afficher les options d'installation.
  5. Cliquez sur Exécuter à partir du disque dur ou Exécuter à partir du réseau, puis cliquez sur Mise à jour.


Élément de langage non pris en charge

Vous avez demandé de l'aide pour un élément de langage qui n'est pas pris en charge.


Add, méthode (Microsoft Word)

Dans Microsoft Word, l'argument Temporary de la méthode Add (objet CommandBarControls) est toujours ignoré. Par conséquent, lorsque vous ajoutez un bouton de contrôle à une barre de menus sur une barre de commandes, il reste dans le modèle Normal.dot même si vous affectez la valeur True à l'argument Temporary. Pour supprimer un élément de menu inutile du modèle Normal.dot, vous pouvez utiliser l'une des méthodes suivantes.

  1. Supprimer Normal.dot. Cette méthode nécessite que Word recrée le modèle par défaut Normal, ce qui supprime également les éventuelles autres modifications ayant pu être effectuées dans le modèle Normal, telles que l'ajout de barres d'outils. Étant donné que tous les documents Word reposent sur le modèle Normal, il est préférable de supprimer le modèle manuellement plutôt que par programmation.
  2. Réinitialiser des barres de commandes. Vous pouvez créer une procédure pour réinitialiser toutes les barres de commandes ou uniquement une barre de commandes spécifiée. Cet exemple montre comment réinitialiser toutes les barres de commandes, y compris des barres de menus et des barres d'outils.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    Cet exemple montre comment réinitialiser uniquement les éléments de la barre de menus au lieu de toutes les barres d'outils de Word.
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context, propriété

Dans Microsoft Word, la propriété Context est en lecture seule et renvoie le nom complet (et le chemin d'accès) du modèle associé au document contenant l'objet CommandBar spécifié.


Nouveaux événements

 Nouvelles méthodes

 Nouveaux objets

 Nouvelles propriétés (liste alphabétique)

 Nouvelles propriétés (par objet)


CommandBarComboBox, objet


CommandBarButton, objet


MsoEnvelope, objet
EnvelopeShow, événement


MsoEnvelope, objet
EnvelopeHide, événement


CommandBars, collection d'objets


Nouvelles méthodes

 Nouveaux objets

 Nouvelles propriétés (liste alphabétique)

 Nouvelles propriétés (par objet)

 Nouveaux événements


Apporter des modifications aux info-bulles au moment de l'exécution

 Vue d'ensemble du Compagnon Office


Ajouter et afficher des menus contextuels

 Ajouter et modifier des barres d'outils

 Utiliser des barres de commandes


Assistant, objet

 Balloon, objet

 Créer et modifier des info-bulles

 Vue d'ensemble du Compagnon Office


Animation, propriété

 Créer et modifier des info-bulles

 FileName, propriété

 Objets Microsoft Office


Ajouter et afficher des menus contextuels

 Ajouter et gérer des barres de menus et des éléments de menu

 Ajouter et modifier des barres d'outils

 Objets Microsoft Office


BalloonCheckboxes, collection d'objets

 BalloonLabels, collection d'objets

 CommandBarControls, collection d'objets

 CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 PropertyTests Collection Object


Ajouter et gérer des barres de menus et des éléments de menu

 Ajouter et modifier des barres d'outils

 Utiliser des barres de commandes


Ajouter et afficher des menus contextuels

 Ajouter et gérer des barres de menus et des éléments de menu

 Utiliser des barres de commandes


Assistant, objet

 Créer et modifier des info-bulles

 Apporter des modifications aux info-bulles au moment de l'exécution

 Objets Microsoft Office


Assistant, objet


AnswerWizardFiles, collection d'objets

 CommandBarControls, collection d'objets

 CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 FileDialogFilters, collection

 FileTypes, collection

 NewFile, objet

 ODSOFilters, objet

 PropertyTests Collection Object

 Scripts, collection d'objets

 SearchFolders, collection

 SignatureSet, collection
CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 Objets Microsoft Office
Add, méthode (Microsoft Word)


ScopeFolder, objet
Add, méthode


OfficeDataSourceObject, objet


CommandBarComboBox, objet

 FileDialogFilters, collection
AddItem, méthode

 CommandBarComboBox, objet

 Enabled, propriété


AnswerWizard, objet


Balloon, objet


SignatureSet, collection


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet


AnswerWizardFiles, collection d'objets

 CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet

 DocumentProperty, objet

 FileDialogFilters, collection

 ODSOFilters, objet

 Script, objet

 Scripts, collection d'objets

 Signature, objet


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet

 FileDialog, objet

 FileSearch, objet


FindControls, méthode


COMAddIns, collection d'objets

 FileDialogFilters, collection

 FileDialogSelectedItems, collection

 HTMLProjectItems, collection d'objets

 ODSOColumns, objet

 ODSOFilters, objet

 Scripts, collection d'objets


HTMLProjectItem, objet


Assistant, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet

 OfficeDataSourceObject, objet


FileSearch, objet
FileSearch, objet


HTMLProject, objet

 HTMLProjectItem, objet

 OfficeDataSourceObject, objet


HTMLProject, objet


FileSearch, objet


CommandBars, collection d'objets
SetFocus, méthode


FileTypes, collection

 NewFile, objet

 PropertyTests Collection Object

 SearchFolders, collection


ResetTips, méthode


Assistant, objet
Reset, méthode


Balloon, objet

 FileDialog, objet
BalloonCheckboxes, collection d'objets

 Créer et modifier des info-bulles

 Execute, méthode

 NewBalloon, propriété


CommandBar, objet


Assistant, objet
ActivateWizard, méthode

 Assistant, objet

 Créer et modifier des info-bulles

 EndWizard, méthode

 Apporter des modifications aux info-bulles au moment de l'exécution

 Vue d'ensemble du Compagnon Office


COMAddIns, collection d'objets


Nouveaux événements

 Nouveaux objets

 Nouvelles propriétés (liste alphabétique)

 Nouvelles propriétés (par objet)

 Nouveaux événements


ClearFileList, méthode

 ResetFileList, méthode
Application, propriété

 Creator, propriété

 Files, propriété

 Parent, propriété


Add, méthode

 Delete, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Item, propriété

 Parent, propriété


Animation, propriété

 Application, propriété

 AssistWithAlerts, propriété

 AssistWithHelp, propriété

 AssistWithWizards, propriété

 BalloonError, propriété

 Creator, propriété

 FeatureTips, propriété

 FileName, propriété

 GuessHelp, propriété

 HighPriorityTips, propriété

 Item, propriété

 KeyboardShortcutTips, propriété

 Left, propriété

 MouseTips, propriété

 MoveWhenInTheWay, propriété

 Name, propriété

 NewBalloon, propriété

 On, propriété

 Parent, propriété

 Reduced, propriété

 SearchWhenProgramming, propriété

 Sounds, propriété

 TipOfDay, propriété

 Top, propriété

 Visible, propriété


Animation, propriété

 Application, propriété

 BalloonType, propriété

 Button, propriété

 Callback, propriété

 Checkboxes, propriété

 Creator, propriété

 Heading, propriété

 Icon, propriété

 Labels, propriété

 Mode, propriété

 Name, propriété

 Parent, propriété

 Private, propriété

 Text, propriété
Objets Microsoft Office


Objets Microsoft Office


Objets Microsoft Office
BalloonLabels, collection d'objets


Application, propriété

 Connect, propriété

 Creator, propriété

 Description, propriété

 Guid, propriété

 Object, propriété

 Parent, propriété

 ProgId, propriété
COMAddIns, collection d'objets


Item, méthode

 Update, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Parent, propriété


AdaptiveMenu, propriété

 Application, propriété

 BuiltIn, propriété

 Context, propriété

 Controls, propriété

 Creator, propriété

 Enabled, propriété

 Height, propriété

 Id, propriété

 Index, propriété

 Left, propriété

 Name, propriété

 NameLocal Property

 Parent, propriété

 Position, propriété

 Protection, propriété

 RowIndex, propriété

 Top, propriété

 Type, propriété

 Visible, propriété

 Width, propriété
Objets Microsoft Office
CommandBars, collection d'objets


Click, événement
Copy, méthode

 CopyFace, méthode

 Delete, méthode

 Execute, méthode

 Move, méthode

 PasteFace, méthode

 Reset, méthode

 SetFocus, méthode
Application, propriété

 BeginGroup, propriété

 BuiltIn, propriété

 BuiltInFace, propriété

 Caption, propriété

 Creator, propriété

 DescriptionText, propriété

 Enabled, propriété

 FaceId, propriété

 Height, propriété

 HelpContextId, propriété

 HelpFile, propriété

 HyperlinkType, propriété

 Id, propriété

 Index, propriété

 IsPriorityDropped, propriété

 Left, propriété

 Mask, propriété

 OLEUsage, propriété

 OnAction, propriété

 Parameter, propriété

 Parent, propriété

 Picture, propriété

 Priority, propriété

 ShortcutText, propriété

 State, propriété

 Style, propriété

 Tag, propriété

 TooltipText, propriété

 Top, propriété

 Type, propriété

 Visible, propriété

 Width, propriété
Objets Microsoft Office


Change, événement
AddItem, méthode

 Clear, méthode

 Copy, méthode

 Delete, méthode

 Execute, méthode

 Move, méthode

 RemoveItem, méthode

 Reset, méthode

 SetFocus, méthode
Application, propriété

 BeginGroup, propriété

 BuiltIn, propriété

 Caption, propriété

 Creator, propriété

 DescriptionText, propriété

 DropDownLines, propriété

 DropDownWidth, propriété

 Enabled, propriété

 Height, propriété

 HelpContextId, propriété

 HelpFile, propriété

 Id, propriété

 Index, propriété

 IsPriorityDropped, propriété

 Left, propriété

 List, propriété

 ListCount, propriété

 ListHeaderCount, propriété

 ListIndex, propriété

 OLEUsage, propriété

 OnAction, propriété

 Parameter, propriété

 Parent, propriété

 Priority, propriété

 Style, propriété

 Tag, propriété

 Text, propriété

 TooltipText, propriété

 Top, propriété

 Type, propriété

 Visible, propriété

 Width, propriété


Application, propriété

 BeginGroup, propriété

 BuiltIn, propriété

 Caption, propriété

 Creator, propriété

 DescriptionText, propriété

 Enabled, propriété

 Height, propriété

 HelpContextId, propriété

 HelpFile, propriété

 Id, propriété

 Index, propriété

 IsPriorityDropped, propriété

 Left, propriété

 OLEUsage, propriété

 OnAction, propriété

 Parameter, propriété

 Parent, propriété

 Priority, propriété

 Tag, propriété

 TooltipText, propriété

 Top, propriété

 Type, propriété

 Visible, propriété

 Width, propriété
Objets Microsoft Office
CommandBarControls, collection d'objets


Add, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Item, propriété

 Parent, propriété
Objets Microsoft Office


Application, propriété

 BeginGroup, propriété

 BuiltIn, propriété

 Caption, propriété

 CommandBar, propriété

 Controls, propriété

 Creator, propriété

 DescriptionText, propriété

 Enabled, propriété

 Height, propriété

 HelpContextId, propriété

 HelpFile, propriété

 Id, propriété

 Index, propriété

 IsPriorityDropped, propriété

 Left, propriété

 OLEMenuGroup, propriété

 OLEUsage, propriété

 OnAction, propriété

 Parameter, propriété

 Parent, propriété

 Priority, propriété

 Tag, propriété

 TooltipText, propriété

 Top, propriété

 Type, propriété

 Visible, propriété

 Width, propriété
Objets Microsoft Office


OnUpdate, événement
Add, méthode

 FindControl, méthode

 FindControls, méthode

 ReleaseFocus, méthode
ActionControl, propriété

 ActiveMenuBar, propriété

 AdaptiveMenus, propriété

 Application, propriété

 Count, propriété

 Creator, propriété

 DisableAskAQuestionDropdown, propriété

 DisableCustomize, propriété

 DisplayFonts, propriété

 DisplayKeysInTooltips, propriété

 DisplayTooltips, propriété

 Item, propriété

 LargeButtons, propriété

 MenuAnimationStyle, propriété

 Parent, propriété
Objets Microsoft Office


Delete, méthode
Application, propriété

 Creator, propriété

 LinkSource, propriété

 LinkToContent, propriété

 Name, propriété

 Parent, propriété

 Type, propriété

 Value, propriété
Objets Microsoft Office


AllowMultiSelect, propriété

 Application, propriété

 ButtonName, propriété

 Creator, propriété

 DialogType, propriété

 FilterIndex, propriété

 Filters, propriété

 InitialFileName, propriété

 InitialView, propriété

 Item, propriété

 Parent, propriété

 SelectedItems, propriété

 Title, propriété


Application, propriété

 Creator, propriété

 Description, propriété

 Extensions, propriété

 Parent, propriété
FileDialog, objet

 FileDialogFilters, collection

 FileDialogSelectedItems, collection


Add, méthode

 Clear, méthode

 Delete, méthode

 Item, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Parent, propriété
FileDialog, objet

 FileDialogFilter, objet

 FileDialogSelectedItems, collection


Item, méthode


Application, propriété

 Creator, propriété

 FileName, propriété

 FileType, propriété

 FileTypes, propriété

 FoundFiles, propriété

 LastModified, propriété

 LookIn, propriété

 MatchAllWordForms, propriété

 MatchTextExactly, propriété

 PropertyTests, propriété

 SearchFolders, propriété

 SearchScopes, propriété

 SearchSubFolders, propriété

 TextOrProperty, propriété
FileTypes, collection

 FoundFiles, propriété

 PropertyTest, objet

 PropertyTests, propriété

 ScopeFolder, objet

 ScopeFolders, collection

 SearchFolders, collection

 SearchScope, objet

 SearchScopes, collection


Add, méthode

 Remove, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Item, propriété
FileName, propriété

 FileSearch, objet

 FileType, propriété

 FileTypes, propriété

 SearchFolders, collection

 SearchScopes, collection


Open, méthode

 RefreshDocument, méthode

 RefreshProject, méthode
Application, propriété

 Creator, propriété

 HTMLProjectItems, propriété

 Parent, propriété

 State, propriété


LoadFromFile, méthode

 Open, méthode

 SaveCopyAs, méthode
Application, propriété

 Creator, propriété

 IsOpen, propriété

 Name, propriété

 Parent, propriété

 Text, propriété


Application, propriété

 Creator, propriété

 LanguageID, propriété

 LanguagePreferredForEditing, propriété

 Parent, propriété


EnvelopeHide, événement

 EnvelopeShow, événement
CommandBars, propriété

 Introduction, propriété

 Item, propriété

 Parent, propriété


Add, méthode

 Remove, méthode
Application, propriété

 Creator, propriété


Application, propriété

 Creator, propriété

 Index, propriété

 Name, propriété

 Parent, propriété

 Value, propriété
ODSOColumns, objet

 ODSOFilter, objet

 ODSOFilters, objet

 OfficeDataSourceObject, objet


Application, propriété

 Column, propriété

 CompareTo, propriété

 Comparison, propriété

 Conjunction, propriété

 Creator, propriété

 Index, propriété

 Parent, propriété


Add, méthode

 Delete, méthode

 Item, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Parent, propriété
ODSOColumn, objet

 ODSOColumns, objet

 ODSOFilter, objet

 OfficeDataSourceObject, objet


ApplyFilter, méthode

 Move, méthode

 Open, méthode

 SetSortOrder, méthode
ODSOColumns, objet

 ODSOFilters, objet
Columns, propriété

 ConnectString, propriété

 DataSource, propriété

 Filters, propriété

 RowCount, propriété

 Table, propriété
ODSOColumn, objet

 ODSOColumns, objet

 ODSOFilter, objet

 ODSOFilters, objet


PropertyTests Collection Object


AddToSearchFolders, méthode


Application, propriété

 Count, propriété

 Creator, propriété

 Item, propriété
FileSearch, objet

 SearchFolders, collection

 SearchScopes, collection


Delete, méthode
Application, propriété

 Creator, propriété

 Extended, propriété

 Id, propriété

 Language, propriété

 Location, propriété

 Parent, propriété

 ScriptText, propriété

 Shape, propriété
Scripts, collection d'objets


Add, méthode

 Delete, méthode

 Item, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Parent, propriété


FileSearch, objet

 FileTypes, collection

 LookIn, propriété

 ScopeFolder, objet

 ScopeFolders, collection

 SearchFolders, propriété

 SearchScopes, collection


Application, propriété

 Creator, propriété

 ScopeFolder, propriété

 Type, propriété
FileSearch, objet

 ScopeFolder, objet

 SearchScopes, collection


Delete, méthode
Application, propriété

 AttachCertificate, propriété

 Creator, propriété

 ExpireDate, propriété

 IsCertificateExpired, propriété

 IsCertificateRevoked, propriété

 IsValid, propriété

 Issuer, propriété

 Parent, propriété

 SignDate, propriété

 Signer, propriété


Add, méthode

 Commit, méthode
Application, propriété

 Count, propriété

 Creator, propriété

 Item, propriété

 Parent, propriété


WebPageFonts, collection d'objets


Application, propriété

 Count, propriété

 Creator, propriété

 Item, propriété


Nouveaux événements

 Nouvelles méthodes

 Nouvelles propriétés (liste alphabétique)

 Nouvelles propriétés (par objet)

 Nouveaux événements


CommandBars, collection d'objets
Ajouter et afficher des menus contextuels

 Ajouter et gérer des barres de menus et des éléments de menu

 Ajouter et modifier des barres d'outils

 Utiliser des barres de commandes


FileDialog, objet


Assistant, objet

 Balloon, objet
Assistant, objet

 FileName, propriété

 Vue d'ensemble du Compagnon Office

 Visible, propriété


AnswerWizard, objet

 AnswerWizardFiles, collection d'objets

 Assistant, objet

 Balloon, objet

 BalloonCheckBox, objet

 BalloonCheckboxes, collection d'objets

 BalloonLabel, objet

 BalloonLabels, collection d'objets

 COMAddIn, objet

 COMAddIns, collection d'objets

 CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarControls, collection d'objets

 CommandBarPopup, objet

 CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 DocumentProperty, objet

 FileDialog, objet

 FileDialogFilter, objet

 FileDialogFilters, collection

 FileDialogSelectedItems, collection

 FileSearch, objet

 FileTypes, collection

 FoundFiles Object

 HTMLProject, objet

 HTMLProjectItem, objet

 HTMLProjectItems, collection d'objets

 LanguageSettings, objet

 NewFile, objet

 ODSOColumn, objet

 ODSOColumns, objet

 ODSOFilter, objet

 ODSOFilters, objet

 PropertyTest, objet

 PropertyTests Collection Object

 ScopeFolder, objet

 ScopeFolders, collection

 Script, objet

 Scripts, collection d'objets

 SearchFolders, collection

 SearchScope, objet

 SearchScopes, collection

 Signature, objet

 SignatureSet, collection

 WebPageFont, objet

 WebPageFonts, collection d'objets


Signature, objet


Utiliser des barres de commandes


CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
CommandBar, objet

 CommandBarControl, objet

 FaceId, propriété

 PasteFace, méthode

 Utiliser des barres de commandes


Balloon, objet
Ajouter et afficher des menus contextuels

 Ajouter et gérer des barres de menus et des éléments de menu

 Ajouter et modifier des barres d'outils

 BuiltIn, propriété

 BuiltInFace, propriété

 Créer et modifier des info-bulles

 FaceId, propriété

 PasteFace, méthode

 Show, méthode

 Utiliser des barres de commandes


Balloon, objet
Balloon, objet

 BalloonCheckBox, objet

 BalloonLabel, objet

 Checked, propriété

 Créer et modifier des info-bulles

 Apporter des modifications aux info-bulles au moment de l'exécution

 Vue d'ensemble du Compagnon Office

 Show, méthode


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
CommandBarControl, objet

 DescriptionText, propriété

 Enabled, propriété

 TooltipText, propriété


BalloonCheckBox, objet


ODSOFilter, objet


CommandBarPopup, objet


MsoEnvelope, objet


PropertyTest, objet
NewSearch, méthode


COMAddIn, objet


PropertyTest, objet


CommandBar, objet
Ajouter et afficher des menus contextuels

 Ajouter et gérer des barres de menus et des éléments de menu

 Ajouter et modifier des barres d'outils

 Utiliser des barres de commandes
Context, propriété


AnswerWizardFiles, collection d'objets

 BalloonCheckboxes, collection d'objets

 BalloonLabels, collection d'objets

 COMAddIns, collection d'objets

 CommandBarControls, collection d'objets

 CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 FileDialogFilters, collection

 FileDialogSelectedItems, collection

 FileTypes, collection

 FoundFiles Object

 HTMLProjectItems, collection d'objets

 ODSOColumns, objet

 ODSOFilters, objet

 PropertyTests Collection Object

 ScopeFolders, collection

 Scripts, collection d'objets

 SearchFolders, collection

 SearchScopes, collection

 SignatureSet, collection

 WebPageFonts, collection d'objets


COMAddIn, objet

 FileDialogFilter, objet


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
Caption, propriété

 DisplayKeysInTooltips, propriété

 DisplayTooltips, propriété


Ajouter et afficher des menus contextuels

 Ajouter et gérer des barres de menus et des éléments de menu

 Ajouter et modifier des barres d'outils

 Utiliser des barres de commandes


Script, objet


FileDialogFilter, objet


Assistant, objet

 FileSearch, objet
Animation, propriété

 Vue d'ensemble du Compagnon Office

 Utiliser le Compagnon Office


FileDialog, objet

 OfficeDataSourceObject, objet


WebPageFont, objet


Assistant, objet
Vue d'ensemble du Compagnon Office


Controls, propriété


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
Help, méthode

 HelpFile, propriété


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
Help, méthode

 HelpContextId, propriété


CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet

 Script, objet


CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet

 ODSOColumn, objet

 ODSOFilter, objet


Signature, objet
IsCertificateRevoked, propriété


Signature, objet
IsCertificateExpired, propriété


AnswerWizardFiles, collection d'objets

 Assistant, objet

 BalloonCheckBox, objet

 BalloonCheckboxes, collection d'objets

 BalloonLabel, objet

 BalloonLabels, collection d'objets

 CommandBarControls, collection d'objets

 CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 FileDialog, objet

 FileTypes, collection

 FoundFiles Object

 MsoEnvelope, objet

 PropertyTests Collection Object

 ScopeFolders, collection

 SearchFolders, collection

 SearchScopes, collection

 SignatureSet, collection

 WebPageFonts, collection d'objets


LanguageSettings, objet


FileSearch, objet
NewSearch, méthode


Top, propriété


DocumentProperty, objet
LinkToContent, propriété


DocumentProperty, objet
LinkSource, propriété


CommandBarButton, objet
Picture, propriété


Assistant, objet

 Balloon, objet

 BalloonCheckBox, objet

 BalloonCheckboxes, collection d'objets

 BalloonLabel, objet

 BalloonLabels, collection d'objets

 CommandBar, objet

 DocumentProperty, objet

 HTMLProjectItem, objet

 ODSOColumn, objet

 PropertyTest, objet

 ScopeFolder, objet
NameLocal Property


CommandBar, objet
Name, propriété


Assistant, objet
Assistant, objet

 Balloon, objet

 BalloonError, propriété

 Créer et modifier des info-bulles

 Apporter des modifications aux info-bulles au moment de l'exécution

 Show, méthode


AnswerWizard, objet

 AnswerWizardFiles, collection d'objets

 Assistant, objet

 Balloon, objet

 BalloonCheckBox, objet

 BalloonCheckboxes, collection d'objets

 BalloonLabel, objet

 BalloonLabels, collection d'objets

 COMAddIn, objet

 COMAddIns, collection d'objets

 CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarControls, collection d'objets

 CommandBarPopup, objet

 CommandBars, collection d'objets

 DocumentProperties, collection d'objets

 DocumentProperty, objet

 FileDialog, objet

 FileDialogFilter, objet

 FileDialogFilters, collection

 FileDialogSelectedItems, collection

 HTMLProject, objet

 HTMLProjectItem, objet

 HTMLProjectItems, collection d'objets

 LanguageSettings, objet

 MsoEnvelope, objet

 ODSOColumn, objet

 ODSOColumns, objet

 ODSOFilter, objet

 ODSOFilters, objet

 Script, objet

 Scripts, collection d'objets

 Signature, objet

 SignatureSet, collection


ScopeFolder, objet


CommandBarButton, objet
Mask, propriété


SearchScope, objet


PropertyTest, objet
Value, propriété


CommandBarButton, objet
Vue d'ensemble du Compagnon Office


CommandBarButton, objet

 HTMLProject, objet


CommandBarButton, objet

 CommandBarComboBox, objet


FindControl, méthode


Balloon, objet

 BalloonCheckBox, objet

 BalloonLabel, objet

 CommandBarComboBox, objet

 HTMLProjectItem, objet
Créer et modifier des info-bulles

 Heading, propriété

 Vue d'ensemble du Compagnon Office

 Show, méthode


CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
Caption, propriété

 DescriptionText, propriété


Left, propriété


CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet

 DocumentProperty, objet

 SearchScope, objet
Utiliser des barres de commandes


DocumentProperty, objet

 ODSOColumn, objet

 PropertyTest, objet


Assistant, objet

 CommandBar, objet

 CommandBarButton, objet

 CommandBarComboBox, objet

 CommandBarControl, objet

 CommandBarPopup, objet
Vue d'ensemble du Compagnon Office

 Utiliser le Compagnon Office


Nouveaux événements

 Nouvelles méthodes

 Nouveaux objets

 Nouvelles propriétés (par objet)

 Nouveaux événements


Nouveaux événements

 Nouvelles méthodes

 Nouveaux objets

 Nouvelles propriétés (liste alphabétique)

 Nouveaux événements


Height, propriété


Créer et modifier des info-bulles

 Vue d'ensemble des barres de commandes

 Vue d'ensemble du Compagnon Office

 Utiliser des barres de commandes

 Utiliser le Compagnon Office


INDEX~TEXT
seealso~"Voir&nbsp;aussi"
appliesto~"S'applique&nbsp;à"
elements~"Éléments"
properties~"Propriétés"
methods~"Méthodes"
events~"Événements"
example~"Exemple"
specifics~"Spécificités"
show~"Afficher&nbsp;la&nbsp;description"
hide~"Masquer&nbsp;la&nbsp;description"